wxWidgets: wxStyledTextCtrl Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
List of all members
wxStyledTextCtrl Class Reference
Class List by Category » Scintilla Text Editor

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-3.x86_64/src/wxWidgets-3.1.5/interface/wx/stc/stc.h>`

Inheritance diagram for wxStyledTextCtrl:
[legend]

## Detailed Description

A wxWidgets implementation of the Scintilla source code editing component.

As well as features found in standard text editing components, Scintilla includes features especially useful when editing and debugging source code. These include support for syntax styling, error indicators, code completion and call tips.

The selection margin can contain markers like those used in debuggers to indicate breakpoints and the current line. Styling choices are more open than with many editors, allowing the use of proportional fonts, bold and italics, multiple foreground and background colours and multiple fonts.

wxStyledTextCtrl is a 1 to 1 mapping of "raw" scintilla interface, whose documentation can be found in the Scintilla website (http://www.scintilla.org/).

Please see wxStyledTextEvent for the documentation of all event types you can use with wxStyledTextCtrl.

# Index of the member groups

Links for quick access to the various categories of wxStyledTextCtrl functions:

- Constructors and related methods
- Text retrieval and modification
- Searching and replacing
- Overtype
- Cut copy and paste
- Error handling
- Undo and Redo
- Selection and information
- Multiple Selection and Virtual Space
- Scrolling and automatic scrolling
- White space
- Cursor
- Mouse capture
- Line endings
- Words
- Styling
- Style definition
- Caret selection and hotspot styles
- Character representations
- Margins
- Annotations
- Other settings
- Brace highlighting
- Tabs and Indentation Guides
- Markers
- Indicators
- Autocompletion
- User lists
- Call tips
- Keyboard commands
- Key bindings
- Popup edit menu
- Macro recording
- Printing
- Direct access
- Multiple views
- Background loading and saving
- Folding
- Line wrapping
- Zooming
- Long lines
- Lexer
- Event related items
- Deprecated items
- Additional wxStyledTextCtrl methods
- Raw variants
- Text entry methods
- Text area methods

##

Library: wxSTC

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxStyledTextEvent

## Text area methods
virtual int | GetLineLength (long lineNo) const
| Gets the length of the specified line, not including any trailing newline character(s).
virtual wxString | GetLineText (long lineNo) const
| Returns the contents of a given line in the text control, not including any trailing newline character(s).
virtual int | GetNumberOfLines () const
| Returns the number of lines in the text control buffer.
virtual bool | IsModified () const
| Returns true if the text has been modified by user.
virtual void | MarkDirty ()
| Mark text as modified (dirty).
virtual void | DiscardEdits ()
| Resets the internal modified flag as if the current changes had been saved.
virtual bool | SetStyle (long start, long end, const wxTextAttr &style)
| This method is inherited from wxTextAreaBase but is not implemented in wxStyledTextCtrl.
virtual bool | GetStyle (long position, wxTextAttr &style)
| This method is inherited from wxTextAreaBase but is not implemented in wxStyledTextCtrl.
virtual bool | SetDefaultStyle (const wxTextAttr &style)
| This method is inherited from wxTextAreaBase but is not implemented in wxStyledTextCtrl.
virtual long | XYToPosition (long x, long y) const
| Converts the given zero based column and line number to a position.
virtual bool | PositionToXY (long pos, long *x, long *y) const
| Converts given position to a zero-based column, line number pair.
virtual void | ShowPosition (long pos)
| Makes the line containing the given position visible.
virtual wxTextCtrlHitTestResult | HitTest (const wxPoint &pt, long *pos) const
| Finds the position of the character at the specified point.
virtual wxTextCtrlHitTestResult | HitTest (const wxPoint &pt, wxTextCoord *col, wxTextCoord *row) const
| Finds the row and column of the character at the specified point.
static wxVersionInfo | GetLibraryVersionInfo ()
| Returns the version of the Scintilla library used by this control.

## Public Member Functions
Constructors and related methods
| wxStyledTextCtrl (wxWindow *parent, wxWindowID id=wxID_ANY, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name=wxSTCNameStr)
| Ctor.
| wxStyledTextCtrl ()
| Default ctor.
| ~wxStyledTextCtrl ()
| Destructor.
bool | Create (wxWindow *parent, wxWindowID id=wxID_ANY, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name=wxSTCNameStr)
| Create the UI elements for a STC that was created with the default ctor.
Text retrieval and modification
void | AddText (const wxString &text)
| Add text to the document at current position.
void | AddStyledText (const wxMemoryBuffer &data)
| Add array of cells to document.
void | InsertText (int pos, const wxString &text)
| Insert string at a position.
void | ChangeInsertion (int length, const wxString &text)
| Change the text that is being inserted in response to wxSTC_MOD_INSERTCHECK.
void | ClearAll ()
| Delete all text in the document.
void | DeleteRange (int start, int lengthDelete)
| Delete a range of text in the document.
void | ClearDocumentStyle ()
| Set all style bytes to 0, remove all folding information.
int | GetCharAt (int pos) const
| Returns the character byte at the position.
int | GetStyleAt (int pos) const
| Returns the style byte at the position.
void | SetSavePoint ()
| Remember the current position in the undo history as the position at which the document was saved.
wxMemoryBuffer | GetStyledText (int startPos, int endPos)
| Retrieve a buffer of cells.
bool | GetReadOnly () const
| In read-only mode?
wxString | GetLine (int line) const
| Retrieve the contents of a line.
wxString | GetTextRange (int startPos, int endPos)
| Retrieve a range of text.
void | ReplaceSelection (const wxString &text)
| Replace the selected text with the argument text.
void | SetReadOnly (bool readOnly)
| Set to read only or read write.
void | SetText (const wxString &text)
| Replace the contents of the document with the argument text.
wxString | GetText () const
| Retrieve all the text in the document.
void | AppendText (const wxString &text)
| Append a string to the end of the document without changing the selection.
void | Allocate (int bytes)
| Enlarge the document to a particular size of text bytes.
void | ReleaseAllExtendedStyles ()
| Release all extended (>255) style numbers.
int | AllocateExtendedStyles (int numberStyles)
| Allocate some extended (>255) style numbers and return the start of the range.
Searching and replacing
int | FindText (int minPos, int maxPos, const wxString &text, int flags=0, int *findEnd=NULL)
| Find some text in the document.
void | SetTargetStart (int start)
| Sets the position that starts the target which is used for updating the document without affecting the scroll position.
int | GetTargetStart () const
| Get the position that starts the target.
void | SetTargetEnd (int end)
| Sets the position that ends the target which is used for updating the document without affecting the scroll position.
int | GetTargetEnd () const
| Get the position that ends the target.
void | SetTargetRange (int start, int end)
| Sets both the start and end of the target in one call.
wxString | GetTargetText () const
| Retrieve the text in the target.
void | TargetFromSelection ()
| Make the target range start and end be the same as the selection range start and end.
void | TargetWholeDocument ()
| Sets the target to the whole document.
int | ReplaceTarget (const wxString &text)
| Replace the target text with the argument text.
int | ReplaceTargetRE (const wxString &text)
| Replace the target text with the argument text after \d processing.
int | SearchInTarget (const wxString &text)
| Search for a counted string in the target and set the target to the found range.
void | SetSearchFlags (int searchFlags)
| Set the search flags used by SearchInTarget.
int | GetSearchFlags () const
| Get the search flags used by SearchInTarget.
wxString | GetTag (int tagNumber) const
| Retrieve the value of a tag from a regular expression search.
void | SearchAnchor ()
| Sets the current caret position to be the search anchor.
int | SearchNext (int searchFlags, const wxString &text)
| Find some text starting at the search anchor.
int | SearchPrev (int searchFlags, const wxString &text)
| Find some text starting at the search anchor and moving backwards.
Overtype
void | SetOvertype (bool overType)
| Set to overtype (true) or insert mode.
bool | GetOvertype () const
| Returns true if overtype mode is active otherwise false is returned.
Cut copy and paste
bool | CanPaste () const
| Will a paste succeed?
void | Cut ()
| Cut the selection to the clipboard.
void | Copy ()
| Copy the selection to the clipboard.
void | Paste ()
| Paste the contents of the clipboard into the document replacing the selection.
void | Clear ()
| Clear the selection.
void | CopyRange (int start, int end)
| Copy a range of text to the clipboard.
void | CopyText (int length, const wxString &text)
| Copy argument text to the clipboard.
void | SetPasteConvertEndings (bool convert)
| Enable/Disable convert-on-paste for line endings.
bool | GetPasteConvertEndings () const
| Get convert-on-paste setting.
void | CopyAllowLine ()
| Copy the selection, if selection empty copy the line with the caret.
Error handling
void | SetStatus (int status)
| Change error status - 0 = OK.
int | GetStatus () const
| Get error status.
Undo and Redo
void | Redo ()
| Redoes the next action on the undo history.
void | SetUndoCollection (bool collectUndo)
| Choose between collecting actions into the undo history and discarding them.
bool | CanRedo () const
| Are there any redoable actions in the undo history?
bool | GetUndoCollection () const
| Is undo history being collected?
void | BeginUndoAction ()
| Start a sequence of actions that is undone and redone as a unit.
void | EndUndoAction ()
| End a sequence of actions that is undone and redone as a unit.
bool | CanUndo () const
| Are there any undoable actions in the undo history?
void | EmptyUndoBuffer ()
| Delete the undo history.
void | Undo ()
| Undo one action in the undo history.
void | AddUndoAction (int token, int flags)
| Add a container action to the undo stack.
Selection and information
int | GetLength () const
| Returns the number of bytes in the document.
int | GetCurrentPos () const
| Returns the position of the caret.
int | GetAnchor () const
| Returns the position of the opposite end of the selection to the caret.
void | SelectAll ()
| Select all the text in the document.
int | PositionFromPoint (wxPoint pt) const
| Find the position from a point within the window.
int | PositionFromPointClose (int x, int y)
| Find the position from a point within the window but return wxSTC_INVALID_POSITION if not close to text.
void | GotoLine (int line)
| Set caret to start of a line and ensure it is visible.
void | GotoPos (int caret)
| Set caret to a position and ensure it is visible.
void | SetAnchor (int anchor)
| Set the selection anchor to a position.
wxString | GetCurLine (int *linePos=NULL)
| Retrieve the text of the line containing the caret.
int | GetColumn (int pos) const
| Retrieve the column number of a position, taking tab width into account.
int | CountCharacters (int start, int end)
| Count characters between two positions.
int | GetLineEndPosition (int line) const
| Get the position after the last visible characters on a line.
void | SetCurrentPos (int caret)
| Sets the position of the caret.
void | SetSelectionStart (int anchor)
| Sets the position that starts the selection - this becomes the anchor.
int | GetSelectionStart () const
| Returns the position at the start of the selection.
void | SetSelectionEnd (int caret)
| Sets the position that ends the selection - this becomes the caret.
int | GetSelectionEnd () const
| Returns the position at the end of the selection.
void | SetEmptySelection (int caret)
| Set caret to a position, while removing any existing selection.
int | GetLineCount () const
| Returns the number of lines in the document.
bool | GetModify () const
| Is the document different from when it was last saved?
wxString | GetSelectedText ()
| Retrieve the selected text.
void | HideSelection (bool hide)
| Draw the selection in normal style or with selection highlighted.
wxPoint | PointFromPosition (int pos)
| Retrieve the point in the window where a position is displayed.
int | LineFromPosition (int pos) const
| Retrieve the line containing a position.
int | PositionFromLine (int line) const
| Retrieve the position at the start of a line.
int | GetTextLength () const
| Retrieve the number of characters in the document.
int | TextWidth (int style, const wxString &text)
| Measure the pixel width of some text in a particular style.
int | TextHeight (int line)
| Retrieve the height of a particular line of text in pixels.
void | MoveCaretInsideView ()
| Move the caret inside current view if it's not there already.
int | LineLength (int line) const
| How many characters are on a line, including end of line characters?
int | LinesOnScreen () const
| Retrieves the number of lines completely visible.
bool | SelectionIsRectangle () const
| Is the selection rectangular?
void | ChooseCaretX ()
| Set the last x chosen value to be the caret x position.
int | PositionBefore (int pos)
| Given a valid document position, return the previous position taking code page into account.
int | PositionAfter (int pos)
| Given a valid document position, return the next position taking code page into account.
int | PositionRelative (int pos, int relative)
| Given a valid document position, return a position that differs in a number of characters.
void | SetSelectionMode (int selectionMode)
| Set the selection mode to stream (wxSTC_SEL_STREAM) or rectangular (wxSTC_SEL_RECTANGLE/wxSTC_SEL_THIN) or by lines (wxSTC_SEL_LINES).
int | GetSelectionMode () const
| Get the mode of the current selection.
int | GetLineSelStartPosition (int line)
| Retrieve the position of the start of the selection at the given line (wxSTC_INVALID_POSITION if no selection on this line).
int | GetLineSelEndPosition (int line)
| Retrieve the position of the end of the selection at the given line (wxSTC_INVALID_POSITION if no selection on this line).
int | FindColumn (int line, int column)
| Find the position of a column on a line taking into account tabs and multi-byte characters.
int | CharPositionFromPoint (int x, int y)
| Find the position of a character from a point within the window.
int | CharPositionFromPointClose (int x, int y)
| Find the position of a character from a point within the window.
void | SetMouseSelectionRectangularSwitch (bool mouseSelectionRectangularSwitch)
| Set whether switching to rectangular mode while selecting with the mouse is allowed.
bool | GetMouseSelectionRectangularSwitch () const
| Whether switching to rectangular mode while selecting with the mouse is allowed.
void | MoveSelectedLinesUp ()
| Move the selected lines up one line, shifting the line above after the selection.
void | MoveSelectedLinesDown ()
| Move the selected lines down one line, shifting the line below before the selection.
Multiple Selection and Virtual Space
void | SetMultiPaste (int multiPaste)
| Change the effect of pasting when there are multiple selections.
int | GetMultiPaste () const
| Retrieve the effect of pasting when there are multiple selections.
void | SetMultipleSelection (bool multipleSelection)
| Set whether multiple selections can be made.
bool | GetMultipleSelection () const
| Whether multiple selections can be made.
void | SetAdditionalSelectionTyping (bool additionalSelectionTyping)
| Set whether typing can be performed into multiple selections.
bool | GetAdditionalSelectionTyping () const
| Whether typing can be performed into multiple selections.
void | SetAdditionalCaretsBlink (bool additionalCaretsBlink)
| Set whether additional carets will blink.
bool | GetAdditionalCaretsBlink () const
| Whether additional carets will blink.
void | SetAdditionalCaretsVisible (bool additionalCaretsVisible)
| Set whether additional carets are visible.
bool | GetAdditionalCaretsVisible () const
| Whether additional carets are visible.
int | GetSelections () const
| How many selections are there?
bool | GetSelectionEmpty () const
| Is every selected range empty?
void | ClearSelections ()
| Clear selections to a single empty stream selection.
int | AddSelection (int caret, int anchor)
| Add a selection.
void | DropSelectionN (int selection)
| Drop one selection.
void | SetMainSelection (int selection)
| Set the main selection.
int | GetMainSelection () const
| Which selection is the main selection.
void | SetSelectionNCaret (int selection, int caret)
| Set the caret position of the nth selection.
int | GetSelectionNCaret (int selection) const
| Return the caret position of the nth selection.
void | SetSelectionNAnchor (int selection, int anchor)
| Set the anchor position of the nth selection.
int | GetSelectionNAnchor (int selection) const
| Return the anchor position of the nth selection.
void | SetSelectionNCaretVirtualSpace (int selection, int space)
| Set the virtual space of the caret of the nth selection.
int | GetSelectionNCaretVirtualSpace (int selection) const
| Return the virtual space of the caret of the nth selection.
void | SetSelectionNAnchorVirtualSpace (int selection, int space)
| Set the virtual space of the anchor of the nth selection.
int | GetSelectionNAnchorVirtualSpace (int selection) const
| Return the virtual space of the anchor of the nth selection.
void | SetSelectionNStart (int selection, int anchor)
| Sets the position that starts the selection - this becomes the anchor.
int | GetSelectionNStart (int selection) const
| Returns the position at the start of the selection.
void | SetSelectionNEnd (int selection, int caret)
| Sets the position that ends the selection - this becomes the currentPosition.
int | GetSelectionNEnd (int selection) const
| Returns the position at the end of the selection.
void | SetRectangularSelectionCaret (int caret)
| Set the caret position of the rectangular selection.
int | GetRectangularSelectionCaret () const
| Return the caret position of the rectangular selection.
void | SetRectangularSelectionAnchor (int anchor)
| Set the anchor position of the rectangular selection.
int | GetRectangularSelectionAnchor () const
| Return the anchor position of the rectangular selection.
void | SetRectangularSelectionCaretVirtualSpace (int space)
| Set the virtual space of the caret of the rectangular selection.
int | GetRectangularSelectionCaretVirtualSpace () const
| Return the virtual space of the caret of the rectangular selection.
void | SetRectangularSelectionAnchorVirtualSpace (int space)
| Set the virtual space of the anchor of the rectangular selection.
int | GetRectangularSelectionAnchorVirtualSpace () const
| Return the virtual space of the anchor of the rectangular selection.
void | SetVirtualSpaceOptions (int virtualSpaceOptions)
| Set options for virtual space behaviour.
int | GetVirtualSpaceOptions () const
| Return options for virtual space behaviour.
void | SetRectangularSelectionModifier (int modifier)
| On GTK+, allow selecting the modifier key to use for mouse-based rectangular selection.
int | GetRectangularSelectionModifier () const
| Get the modifier key used for rectangular selection.
void | SetAdditionalSelForeground (const wxColour &fore)
| Set the foreground colour of additional selections.
void | SetAdditionalSelBackground (const wxColour &back)
| Set the background colour of additional selections.
void | SetAdditionalSelAlpha (int alpha)
| Set the alpha of the selection.
int | GetAdditionalSelAlpha () const
| Get the alpha of the selection.
void | SetAdditionalCaretForeground (const wxColour &fore)
| Set the foreground colour of additional carets.
wxColour | GetAdditionalCaretForeground () const
| Get the foreground colour of additional carets.
void | RotateSelection ()
| Set the main selection to the next selection.
void | SwapMainAnchorCaret ()
| Swap that caret and anchor of the main selection.
void | MultipleSelectAddNext ()
| Add the next occurrence of the main selection to the set of selections as main.
void | MultipleSelectAddEach ()
| Add each occurrence of the main selection in the target to the set of selections.
Scrolling and automatic scrolling
void | SetUseHorizontalScrollBar (bool visible)
| Show or hide the horizontal scroll bar.
bool | GetUseHorizontalScrollBar () const
| Is the horizontal scroll bar visible?
int | GetFirstVisibleLine () const
| Retrieve the display line at the top of the display.
void | LineScroll (int columns, int lines)
| Scroll horizontally and vertically.
void | EnsureCaretVisible ()
| Ensure the caret is visible.
void | ScrollRange (int secondary, int primary)
| Scroll the argument positions and the range between them into view giving priority to the primary position then the secondary position.
void | SetScrollWidth (int pixelWidth)
| Sets the document width assumed for scrolling.
int | GetScrollWidth () const
| Retrieve the document width assumed for scrolling.
void | SetScrollWidthTracking (bool tracking)
| Sets whether the maximum width line displayed is used to set scroll width.
bool | GetScrollWidthTracking () const
| Retrieve whether the scroll width tracks wide lines.
void | SetEndAtLastLine (bool endAtLastLine)
| Sets the scroll range so that maximum scroll position has the last line at the bottom of the view (default).
bool | GetEndAtLastLine () const
| Retrieve whether the maximum scroll position has the last line at the bottom of the view.
void | SetUseVerticalScrollBar (bool visible)
| Show or hide the vertical scroll bar.
bool | GetUseVerticalScrollBar () const
| Is the vertical scroll bar visible?
void | SetFirstVisibleLine (int displayLine)
| Scroll so that a display line is at the top of the display.
void | SetVisiblePolicy (int visiblePolicy, int visibleSlop)
| Set the way the display area is determined when a particular line is to be moved to by Find, FindNext, GotoLine, etc.
void | SetXOffset (int xOffset)
| Set the xOffset (ie, horizontal scroll position).
int | GetXOffset () const
| Get the xOffset (ie, horizontal scroll position).
void | SetXCaretPolicy (int caretPolicy, int caretSlop)
| Set the way the caret is kept visible when going sideways.
void | SetYCaretPolicy (int caretPolicy, int caretSlop)
| Set the way the line the caret is on is kept visible.
White space
int | GetViewWhiteSpace () const
| Are white space characters currently visible?
void | SetViewWhiteSpace (int viewWS)
| Make white space characters invisible, always visible or visible outside indentation.
int | GetTabDrawMode () const
| Retrieve the current tab draw mode.
void | SetTabDrawMode (int tabDrawMode)
| Set how tabs are drawn when visible.
void | SetWhitespaceForeground (bool useSetting, const wxColour &fore)
| Set the foreground colour of all whitespace and whether to use this setting.
void | SetWhitespaceBackground (bool useSetting, const wxColour &back)
| Set the background colour of all whitespace and whether to use this setting.
void | SetWhitespaceSize (int size)
| Set the size of the dots used to mark space characters.
int | GetWhitespaceSize () const
| Get the size of the dots used to mark space characters.
void | SetExtraAscent (int extraAscent)
| Set extra ascent for each line.
int | GetExtraAscent () const
| Get extra ascent for each line.
void | SetExtraDescent (int extraDescent)
| Set extra descent for each line.
int | GetExtraDescent () const
| Get extra descent for each line.
Cursor
void | SetSTCCursor (int cursorType)
| Sets the cursor to one of the wxSTC_CURSOR* values.
int | GetSTCCursor () const
| Get cursor type.
Mouse capture
void | SetMouseDownCaptures (bool captures)
| Set whether the mouse is captured when its button is pressed.
bool | GetMouseDownCaptures () const
| Get whether mouse gets captured.
void | SetMouseWheelCaptures (bool captures)
| Set whether the mouse wheel can be active outside the window.
bool | GetMouseWheelCaptures () const
| Get whether mouse wheel can be active outside the window.
Line endings
void | ConvertEOLs (int eolMode)
| Convert all line endings in the document to one mode.
int | GetEOLMode () const
| Retrieve the current end of line mode - one of wxSTC_EOL_CRLF, wxSTC_EOL_CR, or wxSTC_EOL_LF.
void | SetEOLMode (int eolMode)
| Set the current end of line mode.
bool | GetViewEOL () const
| Are the end of line characters visible?
void | SetViewEOL (bool visible)
| Make the end of line characters visible or invisible.
void | SetLineEndTypesAllowed (int lineEndBitSet)
| Set the line end types that the application wants to use.
int | GetLineEndTypesAllowed () const
| Get the line end types currently allowed.
int | GetLineEndTypesActive () const
| Get the line end types currently recognised.
int | GetLineEndTypesSupported () const
| Bit set of LineEndType enumertion for which line ends beyond the standard LF, CR, and CRLF are supported by the lexer.
Words
void | SetWordChars (const wxString &characters)
| Set the set of characters making up words for when moving or selecting by word.
wxString | GetWordChars () const
| Get the set of characters making up words for when moving or selecting by word.
int | WordStartPosition (int pos, bool onlyWordCharacters)
| Get position of start of word.
int | WordEndPosition (int pos, bool onlyWordCharacters)
| Get position of end of word.
bool | IsRangeWord (int start, int end)
| Is the range start..end considered a word?
void | SetWhitespaceChars (const wxString &characters)
| Set the set of characters making up whitespace for when moving or selecting by word.
wxString | GetWhitespaceChars () const
| Get the set of characters making up whitespace for when moving or selecting by word.
void | SetPunctuationChars (const wxString &characters)
| Set the set of characters making up punctuation characters Should be called after SetWordChars.
wxString | GetPunctuationChars () const
| Get the set of characters making up punctuation characters.
void | SetCharsDefault ()
| Reset the set of characters for whitespace and word characters to the defaults.
Styling
int | GetEndStyled () const
| Retrieve the position of the last correctly styled character.
void | StartStyling (int start)
| Set the current styling position to start.
void | SetStyling (int length, int style)
| Change style from current styling position for length characters to a style and move the current styling position to after this newly styled segment.
void | SetStyleBytes (int length, char *styleBytes)
| Set the styles for a segment of the document.
void | SetLineState (int line, int state)
| Used to hold extra styling information for each line.
int | GetLineState (int line) const
| Retrieve the extra styling information for a line.
int | GetMaxLineState () const
| Retrieve the last line number that has line state.
void | SetIdleStyling (int idleStyling)
| Sets limits to idle styling.
int | GetIdleStyling () const
| Retrieve the limits to idle styling.
Style definition
void | StyleClearAll ()
| Clear all the styles and make equivalent to the global default style.
void | StyleSetForeground (int style, const wxColour &fore)
| Set the foreground colour of a style.
void | StyleSetBackground (int style, const wxColour &back)
| Set the background colour of a style.
void | StyleSetBold (int style, bool bold)
| Set a style to be bold or not.
void | StyleSetItalic (int style, bool italic)
| Set a style to be italic or not.
void | StyleSetSize (int style, int sizePoints)
| Set the size of characters of a style.
void | StyleSetFaceName (int style, const wxString &fontName)
| Set the font of a style.
void | StyleSetEOLFilled (int style, bool eolFilled)
| Set a style to have its end of line filled or not.
void | StyleResetDefault ()
| Reset the default style to its state at startup.
void | StyleSetUnderline (int style, bool underline)
| Set a style to be underlined or not.
wxColour | StyleGetForeground (int style) const
| Get the foreground colour of a style.
wxColour | StyleGetBackground (int style) const
| Get the background colour of a style.
bool | StyleGetBold (int style) const
| Get is a style bold or not.
bool | StyleGetItalic (int style) const
| Get is a style italic or not.
int | StyleGetSize (int style) const
| Get the size of characters of a style.
wxString | StyleGetFaceName (int style)
| Get the font facename of a style.
bool | StyleGetEOLFilled (int style) const
| Get is a style to have its end of line filled or not.
bool | StyleGetUnderline (int style) const
| Get is a style underlined or not.
int | StyleGetCase (int style) const
| Get is a style mixed case, or to force upper or lower case.
int | StyleGetCharacterSet (int style) const
| Get the character get of the font in a style.
bool | StyleGetVisible (int style) const
| Get is a style visible or not.
bool | StyleGetChangeable (int style) const
| Get is a style changeable or not (read only).
bool | StyleGetHotSpot (int style) const
| Get is a style a hotspot or not.
void | StyleSetCase (int style, int caseVisible)
| Set a style to be mixed case, or to force upper or lower case.
void | StyleSetSizeFractional (int style, int sizeHundredthPoints)
| Set the size of characters of a style.
int | StyleGetSizeFractional (int style) const
| Get the size of characters of a style in points multiplied by 100.
void | StyleSetWeight (int style, int weight)
| Set the weight of characters of a style.
int | StyleGetWeight (int style) const
| Get the weight of characters of a style.
void | StyleSetCharacterSet (int style, int characterSet)
| Set the character set of the font in a style.
void | StyleSetHotSpot (int style, bool hotspot)
| Set a style to be a hotspot or not.
void | StyleSetVisible (int style, bool visible)
| Set a style to be visible or not.
void | StyleSetChangeable (int style, bool changeable)
| Set a style to be changeable or not (read only).
Caret selection and hotspot styles
void | SetSelForeground (bool useSetting, const wxColour &fore)
| Set the foreground colour of the main and additional selections and whether to use this setting.
void | SetSelBackground (bool useSetting, const wxColour &back)
| Set the background colour of the main and additional selections and whether to use this setting.
int | GetSelAlpha () const
| Get the alpha of the selection.
void | SetSelAlpha (int alpha)
| Set the alpha of the selection.
bool | GetSelEOLFilled () const
| Is the selection end of line filled?
void | SetSelEOLFilled (bool filled)
| Set the selection to have its end of line filled or not.
void | SetCaretForeground (const wxColour &fore)
| Set the foreground colour of the caret.
int | GetCaretPeriod () const
| Get the time in milliseconds that the caret is on and off.
void | SetCaretPeriod (int periodMilliseconds)
| Get the time in milliseconds that the caret is on and off.
bool | GetCaretLineVisible () const
| Is the background of the line containing the caret in a different colour?
void | SetCaretLineVisible (bool show)
| Display the background of the line containing the caret in a different colour.
wxColour | GetCaretLineBackground () const
| Get the colour of the background of the line containing the caret.
void | SetCaretLineBackground (const wxColour &back)
| Set the colour of the background of the line containing the caret.
wxColour | GetCaretForeground () const
| Get the foreground colour of the caret.
void | SetCaretWidth (int pixelWidth)
| Set the width of the insert mode caret.
int | GetCaretWidth () const
| Returns the width of the insert mode caret.
void | SetHotspotActiveForeground (bool useSetting, const wxColour &fore)
| Set a fore colour for active hotspots.
wxColour | GetHotspotActiveForeground () const
| Get the fore colour for active hotspots.
void | SetHotspotActiveBackground (bool useSetting, const wxColour &back)
| Set a back colour for active hotspots.
wxColour | GetHotspotActiveBackground () const
| Get the back colour for active hotspots.
void | SetHotspotActiveUnderline (bool underline)
| Enable / Disable underlining active hotspots.
bool | GetHotspotActiveUnderline () const
| Get whether underlining for active hotspots.
void | SetHotspotSingleLine (bool singleLine)
| Limit hotspots to single line so hotspots on two lines don't merge.
bool | GetHotspotSingleLine () const
| Get the HotspotSingleLine property.
int | GetCaretSticky () const
| Can the caret preferred x position only be changed by explicit movement commands?
void | SetCaretSticky (int useCaretStickyBehaviour)
| Stop the caret preferred x position changing when the user types.
void | ToggleCaretSticky ()
| Switch between sticky and non-sticky: meant to be bound to a key.
void | SetCaretLineBackAlpha (int alpha)
| Set background alpha of the caret line.
int | GetCaretLineBackAlpha () const
| Get the background alpha of the caret line.
void | SetCaretStyle (int caretStyle)
| Set the style of the caret to be drawn.
int | GetCaretStyle () const
| Returns the current style of the caret.
bool | GetCaretLineVisibleAlways () const
| Is the caret line always visible?
void | SetCaretLineVisibleAlways (bool alwaysVisible)
| Sets the caret line to always visible.
Character representations
void | SetControlCharSymbol (int symbol)
| Change the way control characters are displayed: If symbol is < 32, keep the drawn way, else, use the given character.
int | GetControlCharSymbol () const
| Get the way control characters are displayed.
void | SetRepresentation (const wxString &encodedCharacter, const wxString &representation)
| Set the way a character is drawn.
wxString | GetRepresentation (const wxString &encodedCharacter) const
| Set the way a character is drawn.
void | ClearRepresentation (const wxString &encodedCharacter)
| Remove a character representation.
Margins
void | SetMarginType (int margin, int marginType)
| Set a margin to be either numeric or symbolic.
int | GetMarginType (int margin) const
| Retrieve the type of a margin.
void | SetMarginWidth (int margin, int pixelWidth)
| Set the width of a margin to a width expressed in pixels.
int | GetMarginWidth (int margin) const
| Retrieve the width of a margin in pixels.
void | SetMarginMask (int margin, int mask)
| Set a mask that determines which markers are displayed in a margin.
int | GetMarginMask (int margin) const
| Retrieve the marker mask of a margin.
void | SetMarginSensitive (int margin, bool sensitive)
| Make a margin sensitive or insensitive to mouse clicks.
bool | GetMarginSensitive (int margin) const
| Retrieve the mouse click sensitivity of a margin.
void | SetMarginCursor (int margin, int cursor)
| Set the cursor shown when the mouse is inside a margin.
int | GetMarginCursor (int margin) const
| Retrieve the cursor shown in a margin.
void | SetMarginBackground (int margin, const wxColour &back)
| Set the background colour of a margin.
wxColour | GetMarginBackground (int margin) const
| Retrieve the background colour of a margin.
void | SetMarginCount (int margins)
| Allocate a non-standard number of margins.
int | GetMarginCount () const
| How many margins are there?
void | SetMarginLeft (int pixelWidth)
| Sets the size in pixels of the left margin.
int | GetMarginLeft () const
| Returns the size in pixels of the left margin.
void | SetMarginRight (int pixelWidth)
| Sets the size in pixels of the right margin.
int | GetMarginRight () const
| Returns the size in pixels of the right margin.
void | SetFoldMarginColour (bool useSetting, const wxColour &back)
| Set one of the colours used as a chequerboard pattern in the fold margin.
void | SetFoldMarginHiColour (bool useSetting, const wxColour &fore)
| Set the other colour used as a chequerboard pattern in the fold margin.
void | MarginSetText (int line, const wxString &text)
| Set the text in the text margin for a line.
wxString | MarginGetText (int line) const
| Get the text in the text margin for a line.
void | MarginSetStyle (int line, int style)
| Set the style number for the text margin for a line.
int | MarginGetStyle (int line) const
| Get the style number for the text margin for a line.
void | MarginSetStyles (int line, const wxString &styles)
| Set the style in the text margin for a line.
wxString | MarginGetStyles (int line) const
| Get the styles in the text margin for a line.
void | MarginTextClearAll ()
| Clear the margin text on all lines.
void | MarginSetStyleOffset (int style)
| Get the start of the range of style numbers used for margin text.
int | MarginGetStyleOffset () const
| Get the start of the range of style numbers used for margin text.
void | SetMarginOptions (int marginOptions)
| Set the margin options.
int | GetMarginOptions () const
| Get the margin options.
Annotations
void | AnnotationSetText (int line, const wxString &text)
| Set the annotation text for a line.
wxString | AnnotationGetText (int line) const
| Get the annotation text for a line.
void | AnnotationSetStyle (int line, int style)
| Set the style number for the annotations for a line.
int | AnnotationGetStyle (int line) const
| Get the style number for the annotations for a line.
void | AnnotationSetStyles (int line, const wxString &styles)
| Set the annotation styles for a line.
wxString | AnnotationGetStyles (int line) const
| Get the annotation styles for a line.
int | AnnotationGetLines (int line) const
| Get the number of annotation lines for a line.
void | AnnotationClearAll ()
| Clear the annotations from all lines.
void | AnnotationSetVisible (int visible)
| Set the visibility for the annotations for a view.
int | AnnotationGetVisible () const
| Get the visibility for the annotations for a view.
void | AnnotationSetStyleOffset (int style)
| Get the start of the range of style numbers used for annotations.
int | AnnotationGetStyleOffset () const
| Get the start of the range of style numbers used for annotations.
Other settings
bool | GetBufferedDraw () const
| Is drawing done first into a buffer or direct to the screen?
void | SetBufferedDraw (bool buffered)
| If drawing is buffered then each line of text is drawn into a bitmap buffer before drawing it to the screen to avoid flicker.
void | SetCodePage (int codePage)
| Set the code page used to interpret the bytes of the document as characters.
int | GetIMEInteraction () const
| Is the IME displayed in a window or inline?
void | SetIMEInteraction (int imeInteraction)
| Choose to display the IME in a winow or inline.
int | GetCodePage () const
| Get the code page used to interpret the bytes of the document as characters.
void | SetLayoutCache (int cacheMode)
| Sets the degree of caching of layout information.
bool | GetTwoPhaseDraw () const
| Is drawing done in two phases with backgrounds drawn before foregrounds?
void | SetTwoPhaseDraw (bool twoPhase)
| In twoPhaseDraw mode, drawing is performed in two phases, first the background and then the foreground.
int | GetPhasesDraw () const
| How many phases is drawing done in?
void | SetPhasesDraw (int phases)
| In one phase draw, text is drawn in a series of rectangular blocks with no overlap.
void | SetFontQuality (int fontQuality)
| Choose the quality level for text.
int | GetFontQuality () const
| Retrieve the quality level for text.
void | SetSTCFocus (bool focus)
| Change internal focus flag.
bool | GetSTCFocus () const
| Get internal focus flag.
void | SetTechnology (int technology)
| Set the technology used.
int | GetTechnology () const
| Get the tech.
Brace highlighting
void | BraceHighlight (int posA, int posB)
| Highlight the characters at two positions.
void | BraceHighlightIndicator (bool useSetting, int indicator)
| Use specified indicator to highlight matching braces instead of changing their style.
void | BraceBadLight (int pos)
| Highlight the character at a position indicating there is no matching brace.
void | BraceBadLightIndicator (bool useSetting, int indicator)
| Use specified indicator to highlight non matching brace instead of changing its style.
int | BraceMatch (int pos, int maxReStyle=0)
| Find the position of a matching brace or wxSTC_INVALID_POSITION if no match.
Tabs and Indentation Guides
void | SetTabWidth (int tabWidth)
| Change the visible size of a tab to be a multiple of the width of a space character.
int | GetTabWidth () const
| Retrieve the visible size of a tab.
void | ClearTabStops (int line)
| Clear explicit tabstops on a line.
void | AddTabStop (int line, int x)
| Add an explicit tab stop for a line.
int | GetNextTabStop (int line, int x)
| Find the next explicit tab stop position on a line after a position.
void | SetIndent (int indentSize)
| Set the number of spaces used for one level of indentation.
int | GetIndent () const
| Retrieve indentation size.
void | SetUseTabs (bool useTabs)
| Indentation will only use space characters if useTabs is false, otherwise it will use a combination of tabs and spaces.
bool | GetUseTabs () const
| Retrieve whether tabs will be used in indentation.
void | SetLineIndentation (int line, int indentation)
| Change the indentation of a line to a number of columns.
int | GetLineIndentation (int line) const
| Retrieve the number of columns that a line is indented.
int | GetLineIndentPosition (int line) const
| Retrieve the position before the first non indentation character on a line.
void | SetIndentationGuides (int indentView)
| Show or hide indentation guides.
int | GetIndentationGuides () const
| Are the indentation guides visible?
void | SetHighlightGuide (int column)
| Set the highlighted indentation guide column.
int | GetHighlightGuide () const
| Get the highlighted indentation guide column.
void | SetTabIndents (bool tabIndents)
| Sets whether a tab pressed when caret is within indentation indents.
bool | GetTabIndents () const
| Does a tab pressed when caret is within indentation indent?
void | SetBackSpaceUnIndents (bool bsUnIndents)
| Sets whether a backspace pressed when caret is within indentation unindents.
bool | GetBackSpaceUnIndents () const
| Does a backspace pressed when caret is within indentation unindent?
Markers
See also MarkerDefineBitmap
int | MarkerLineFromHandle (int markerHandle)
| Retrieve the line number at which a particular marker is located.
void | MarkerDeleteHandle (int markerHandle)
| Delete a marker.
void | MarkerDefine (int markerNumber, int markerSymbol, const wxColour &foreground=wxNullColour, const wxColour &background=wxNullColour)
| Set the symbol used for a particular marker number, and optionally the fore and background colours.
void | MarkerSetForeground (int markerNumber, const wxColour &fore)
| Set the foreground colour used for a particular marker number.
void | MarkerSetBackground (int markerNumber, const wxColour &back)
| Set the background colour used for a particular marker number.
void | MarkerSetBackgroundSelected (int markerNumber, const wxColour &back)
| Set the background colour used for a particular marker number when its folding block is selected.
void | MarkerEnableHighlight (bool enabled)
| Enable/disable highlight for current folding block (smallest one that contains the caret).
int | MarkerAdd (int line, int markerNumber)
| Add a marker to a line, returning an ID which can be used to find or delete the marker.
void | MarkerDelete (int line, int markerNumber)
| Delete a marker from a line.
void | MarkerDeleteAll (int markerNumber)
| Delete all markers with a particular number from all lines.
int | MarkerGet (int line)
| Get a bit mask of all the markers set on a line.
int | MarkerNext (int lineStart, int markerMask)
| Find the next line at or after lineStart that includes a marker in mask.
int | MarkerPrevious (int lineStart, int markerMask)
| Find the previous line before lineStart that includes a marker in mask.
void | MarkerDefinePixmap (int markerNumber, const char *const *xpmData)
| Define a marker from a bitmap.
void | MarkerAddSet (int line, int markerSet)
| Add a set of markers to a line.
void | MarkerSetAlpha (int markerNumber, int alpha)
| Set the alpha used for a marker that is drawn in the text area, not the margin.
int | GetMarkerSymbolDefined (int markerNumber)
| Which symbol was defined for markerNumber with MarkerDefine.
void | RGBAImageSetWidth (int width)
| Set the width for future RGBA image data.
void | RGBAImageSetHeight (int height)
| Set the height for future RGBA image data.
void | RGBAImageSetScale (int scalePercent)
| Set the scale factor in percent for future RGBA image data.
void | MarkerDefineRGBAImage (int markerNumber, const unsigned char *pixels)
| Define a marker from RGBA data.
Indicators
void | IndicatorSetStyle (int indicator, int indicatorStyle)
| Set an indicator to plain, squiggle or TT.
int | IndicatorGetStyle (int indicator) const
| Retrieve the style of an indicator.
void | IndicatorSetForeground (int indicator, const wxColour &fore)
| Set the foreground colour of an indicator.
wxColour | IndicatorGetForeground (int indicator) const
| Retrieve the foreground colour of an indicator.
void | IndicatorSetUnder (int indicator, bool under)
| Set an indicator to draw under text or over(default).
bool | IndicatorGetUnder (int indicator) const
| Retrieve whether indicator drawn under or over text.
void | IndicatorSetHoverStyle (int indicator, int indicatorStyle)
| Set a hover indicator to plain, squiggle or TT.
int | IndicatorGetHoverStyle (int indicator) const
| Retrieve the hover style of an indicator.
void | IndicatorSetHoverForeground (int indicator, const wxColour &fore)
| Set the foreground hover colour of an indicator.
wxColour | IndicatorGetHoverForeground (int indicator) const
| Retrieve the foreground hover colour of an indicator.
void | IndicatorSetFlags (int indicator, int flags)
| Set the attributes of an indicator.
int | IndicatorGetFlags (int indicator) const
| Retrieve the attributes of an indicator.
void | SetIndicatorCurrent (int indicator)
| Set the indicator used for IndicatorFillRange and IndicatorClearRange.
int | GetIndicatorCurrent () const
| Get the current indicator.
void | SetIndicatorValue (int value)
| Set the value used for IndicatorFillRange.
int | GetIndicatorValue () const
| Get the current indicator value.
void | IndicatorFillRange (int start, int lengthFill)
| Turn an indicator on over a range.
void | IndicatorClearRange (int start, int lengthClear)
| Turn an indicator off over a range.
int | IndicatorAllOnFor (int pos)
| Are any indicators present at pos?
int | IndicatorValueAt (int indicator, int pos)
| What value does a particular indicator have at a position?
int | IndicatorStart (int indicator, int pos)
| Where does a particular indicator start?
int | IndicatorEnd (int indicator, int pos)
| Where does a particular indicator end?
void | IndicatorSetAlpha (int indicator, int alpha)
| Set the alpha fill colour of the given indicator.
int | IndicatorGetAlpha (int indicator) const
| Get the alpha fill colour of the given indicator.
void | IndicatorSetOutlineAlpha (int indicator, int alpha)
| Set the alpha outline colour of the given indicator.
int | IndicatorGetOutlineAlpha (int indicator) const
| Get the alpha outline colour of the given indicator.
Autocompletion
See also RegisterImage(int, const wxBitmap&)
void | AutoCompShow (int lengthEntered, const wxString &itemList)
| Display an auto-completion list.
void | AutoCompCancel ()
| Remove the auto-completion list from the screen.
bool | AutoCompActive ()
| Is there an auto-completion list visible?
int | AutoCompPosStart ()
| Retrieve the position of the caret when the auto-completion list was displayed.
void | AutoCompComplete ()
| User has selected an item so remove the list and insert the selection.
void | AutoCompStops (const wxString &characterSet)
| Define a set of character that when typed cancel the auto-completion list.
void | AutoCompSetSeparator (int separatorCharacter)
| Change the separator character in the string setting up an auto-completion list.
int | AutoCompGetSeparator () const
| Retrieve the auto-completion list separator character.
void | AutoCompSelect (const wxString &select)
| Select the item in the auto-completion list that starts with a string.
void | AutoCompSetCancelAtStart (bool cancel)
| Should the auto-completion list be cancelled if the user backspaces to a position before where the box was created.
bool | AutoCompGetCancelAtStart () const
| Retrieve whether auto-completion cancelled by backspacing before start.
void | AutoCompSetFillUps (const wxString &characterSet)
| Define a set of characters that when typed will cause the autocompletion to choose the selected item.
void | AutoCompSetChooseSingle (bool chooseSingle)
| Should a single item auto-completion list automatically choose the item.
bool | AutoCompGetChooseSingle () const
| Retrieve whether a single item auto-completion list automatically choose the item.
void | AutoCompSetIgnoreCase (bool ignoreCase)
| Set whether case is significant when performing auto-completion searches.
bool | AutoCompGetIgnoreCase () const
| Retrieve state of ignore case flag.
void | AutoCompSetAutoHide (bool autoHide)
| Set whether or not autocompletion is hidden automatically when nothing matches.
bool | AutoCompGetAutoHide () const
| Retrieve whether or not autocompletion is hidden automatically when nothing matches.
void | AutoCompSetDropRestOfWord (bool dropRestOfWord)
| Set whether or not autocompletion deletes any word characters after the inserted text upon completion.
bool | AutoCompGetDropRestOfWord () const
| Retrieve whether or not autocompletion deletes any word characters after the inserted text upon completion.
void | RegisterImage (int type, const char *const *xpmData)
| Register an image for use in autocompletion lists.
void | ClearRegisteredImages ()
| Clear all the registered images.
int | AutoCompGetTypeSeparator () const
| Retrieve the auto-completion list type-separator character.
void | AutoCompSetTypeSeparator (int separatorCharacter)
| Change the type-separator character in the string setting up an auto-completion list.
void | AutoCompSetMaxWidth (int characterCount)
| Set the maximum width, in characters, of auto-completion and user lists.
int | AutoCompGetMaxWidth () const
| Get the maximum width, in characters, of auto-completion and user lists.
void | AutoCompSetMaxHeight (int rowCount)
| Set the maximum height, in rows, of auto-completion and user lists.
int | AutoCompGetMaxHeight () const
| Set the maximum height, in rows, of auto-completion and user lists.
int | AutoCompGetCurrent () const
| Get currently selected item position in the auto-completion list.
wxString | AutoCompGetCurrentText () const
| Get currently selected item text in the auto-completion list.
void | AutoCompSetCaseInsensitiveBehaviour (int behaviour)
| Set auto-completion case insensitive behaviour to either prefer case-sensitive matches or have no preference.
int | AutoCompGetCaseInsensitiveBehaviour () const
| Get auto-completion case insensitive behaviour.
void | AutoCompSetMulti (int multi)
| Change the effect of autocompleting when there are multiple selections.
int | AutoCompGetMulti () const
| Retrieve the effect of autocompleting when there are multiple selections.
void | AutoCompSetOrder (int order)
| Set the way autocompletion lists are ordered.
int | AutoCompGetOrder () const
| Get the way autocompletion lists are ordered.
void | RegisterRGBAImage (int type, const unsigned char *pixels)
| Register an RGBA image for use in autocompletion lists.
User lists
void | UserListShow (int listType, const wxString &itemList)
| Display a list of strings and send notification when user chooses one.
Call tips
void | CallTipShow (int pos, const wxString &definition)
| Show a call tip containing a definition near position pos.
void | CallTipCancel ()
| Remove the call tip from the screen.
bool | CallTipActive ()
| Is there an active call tip?
int | CallTipPosAtStart ()
| Retrieve the position where the caret was before displaying the call tip.
void | CallTipSetPosAtStart (int posStart)
| Set the start position in order to change when backspacing removes the calltip.
void | CallTipSetHighlight (int highlightStart, int highlightEnd)
| Highlight a segment of the definition.
void | CallTipSetBackground (const wxColour &back)
| Set the background colour for the call tip.
void | CallTipSetForeground (const wxColour &fore)
| Set the foreground colour for the call tip.
void | CallTipSetForegroundHighlight (const wxColour &fore)
| Set the foreground colour for the highlighted part of the call tip.
void | CallTipUseStyle (int tabSize)
| Enable use of wxSTC_STYLE_CALLTIP and set call tip tab size in pixels.
void | CallTipSetPosition (bool above)
| Set position of calltip, above or below text.
Keyboard commands
void | LineDown ()
| Move caret down one line.
void | LineDownExtend ()
| Move caret down one line extending selection to new caret position.
void | LineUp ()
| Move caret up one line.
void | LineUpExtend ()
| Move caret up one line extending selection to new caret position.
void | CharLeft ()
| Move caret left one character.
void | CharLeftExtend ()
| Move caret left one character extending selection to new caret position.
void | CharRight ()
| Move caret right one character.
void | CharRightExtend ()
| Move caret right one character extending selection to new caret position.
void | WordLeft ()
| Move caret left one word.
void | WordLeftExtend ()
| Move caret left one word extending selection to new caret position.
void | WordRight ()
| Move caret right one word.
void | WordRightExtend ()
| Move caret right one word extending selection to new caret position.
void | Home ()
| Move caret to first position on line.
void | HomeExtend ()
| Move caret to first position on line extending selection to new caret position.
void | LineEnd ()
| Move caret to last position on line.
void | LineEndExtend ()
| Move caret to last position on line extending selection to new caret position.
void | DocumentStart ()
| Move caret to first position in document.
void | DocumentStartExtend ()
| Move caret to first position in document extending selection to new caret position.
void | DocumentEnd ()
| Move caret to last position in document.
void | DocumentEndExtend ()
| Move caret to last position in document extending selection to new caret position.
void | PageUp ()
| Move caret one page up.
void | PageUpExtend ()
| Move caret one page up extending selection to new caret position.
void | PageDown ()
| Move caret one page down.
void | PageDownExtend ()
| Move caret one page down extending selection to new caret position.
void | EditToggleOvertype ()
| Switch from insert to overtype mode or the reverse.
void | Cancel ()
| Cancel any modes such as call tip or auto-completion list display.
void | DeleteBack ()
| Delete the selection or if no selection, the character before the caret.
void | Tab ()
| If selection is empty or all on one line replace the selection with a tab character.
void | BackTab ()
| Dedent the selected lines.
void | NewLine ()
| Insert a new line, may use a CRLF, CR or LF depending on EOL mode.
void | FormFeed ()
| Insert a Form Feed character.
void | VCHome ()
| Move caret to before first visible character on line.
void | VCHomeExtend ()
| Like VCHome but extending selection to new caret position.
void | DelWordLeft ()
| Delete the word to the left of the caret.
void | DelWordRight ()
| Delete the word to the right of the caret.
void | DelWordRightEnd ()
| Delete the word to the right of the caret, but not the trailing non-word characters.
void | LineCut ()
| Cut the line containing the caret.
void | LineDelete ()
| Delete the line containing the caret.
void | LineTranspose ()
| Switch the current line with the previous.
void | LineDuplicate ()
| Duplicate the current line.
void | LowerCase ()
| Transform the selection to lower case.
void | UpperCase ()
| Transform the selection to upper case.
void | LineScrollDown ()
| Scroll the document down, keeping the caret visible.
void | LineScrollUp ()
| Scroll the document up, keeping the caret visible.
void | DeleteBackNotLine ()
| Delete the selection or if no selection, the character before the caret.
void | HomeDisplay ()
| Move caret to first position on display line.
void | HomeDisplayExtend ()
| Move caret to first position on display line extending selection to new caret position.
void | LineEndDisplay ()
| Move caret to last position on display line.
void | LineEndDisplayExtend ()
| Move caret to last position on display line extending selection to new caret position.
void | HomeWrap ()
| Like Home but when word-wrap is enabled goes first to start of display line HomeDisplay, then to start of document line Home.
void | HomeWrapExtend ()
| Like HomeExtend but when word-wrap is enabled extends first to start of display line HomeDisplayExtend, then to start of document line HomeExtend.
void | LineEndWrap ()
| Like LineEnd but when word-wrap is enabled goes first to end of display line LineEndDisplay, then to start of document line LineEnd.
void | LineEndWrapExtend ()
| Like LineEndExtend but when word-wrap is enabled extends first to end of display line LineEndDisplayExtend, then to start of document line LineEndExtend.
void | VCHomeWrap ()
| Like VCHome but when word-wrap is enabled goes first to start of display line VCHomeDisplay, then behaves like VCHome.
void | VCHomeWrapExtend ()
| Like VCHomeExtend but when word-wrap is enabled extends first to start of display line VCHomeDisplayExtend, then behaves like VCHomeExtend.
void | LineCopy ()
| Copy the line containing the caret.
void | WordPartLeft ()
| Move to the previous change in capitalisation.
void | WordPartLeftExtend ()
| Move to the previous change in capitalisation extending selection to new caret position.
void | WordPartRight ()
| Move to the change next in capitalisation.
void | WordPartRightExtend ()
| Move to the next change in capitalisation extending selection to new caret position.
void | DelLineLeft ()
| Delete back from the current position to the start of the line.
void | DelLineRight ()
| Delete forwards from the current position to the end of the line.
void | ParaDown ()
| Move caret down one paragraph (delimited by empty lines).
void | ParaDownExtend ()
| Extend selection down one paragraph (delimited by empty lines).
void | ParaUp ()
| Move caret up one paragraph (delimited by empty lines).
void | ParaUpExtend ()
| Extend selection up one paragraph (delimited by empty lines).
void | LineDownRectExtend ()
| Move caret down one line, extending rectangular selection to new caret position.
void | LineUpRectExtend ()
| Move caret up one line, extending rectangular selection to new caret position.
void | CharLeftRectExtend ()
| Move caret left one character, extending rectangular selection to new caret position.
void | CharRightRectExtend ()
| Move caret right one character, extending rectangular selection to new caret position.
void | HomeRectExtend ()
| Move caret to first position on line, extending rectangular selection to new caret position.
void | VCHomeRectExtend ()
| Move caret to before first visible character on line.
void | LineEndRectExtend ()
| Move caret to last position on line, extending rectangular selection to new caret position.
void | PageUpRectExtend ()
| Move caret one page up, extending rectangular selection to new caret position.
void | PageDownRectExtend ()
| Move caret one page down, extending rectangular selection to new caret position.
void | StutteredPageUp ()
| Move caret to top of page, or one page up if already at top of page.
void | StutteredPageUpExtend ()
| Move caret to top of page, or one page up if already at top of page, extending selection to new caret position.
void | StutteredPageDown ()
| Move caret to bottom of page, or one page down if already at bottom of page.
void | StutteredPageDownExtend ()
| Move caret to bottom of page, or one page down if already at bottom of page, extending selection to new caret position.
void | WordLeftEnd ()
| Move caret left one word, position cursor at end of word.
void | WordLeftEndExtend ()
| Move caret left one word, position cursor at end of word, extending selection to new caret position.
void | WordRightEnd ()
| Move caret right one word, position cursor at end of word.
void | WordRightEndExtend ()
| Move caret right one word, position cursor at end of word, extending selection to new caret position.
void | SelectionDuplicate ()
| Duplicate the selection.
void | VerticalCentreCaret ()
| Centre current line in window.
void | ScrollToStart ()
| Scroll to start of document.
void | ScrollToEnd ()
| Scroll to end of document.
void | VCHomeDisplay ()
| Move caret to before first visible character on display line.
void | VCHomeDisplayExtend ()
| Like VCHomeDisplay but extending selection to new caret position.
Key bindings
void | CmdKeyAssign (int key, int modifiers, int cmd)
| When key+modifier combination keyDefinition is pressed perform sciCommand.
void | CmdKeyClear (int key, int modifiers)
| When key+modifier combination keyDefinition is pressed do nothing.
void | CmdKeyClearAll ()
| Drop all key mappings.
Popup edit menu
void | UsePopUp (int popUpMode)
| Set whether a pop up menu is displayed automatically when the user presses the wrong mouse button on certain areas.
Macro recording
void | StartRecord ()
| Start notifying the container of all key presses and commands.
void | StopRecord ()
| Stop notifying the container of all key presses and commands.
Printing
void | SetPrintMagnification (int magnification)
| Sets the print magnification added to the point size of each style for printing.
int | GetPrintMagnification () const
| Returns the print magnification.
void | SetPrintColourMode (int mode)
| Modify colours when printing for clearer printed text.
int | GetPrintColourMode () const
| Returns the print colour mode.
int | FormatRange (bool doDraw, int startPos, int endPos, wxDC *draw, wxDC *target, wxRect renderRect, wxRect pageRect)
| On Windows, will draw the document into a display context such as a printer.
void | SetPrintWrapMode (int wrapMode)
| Set printing to line wrapped (wxSTC_WRAP_WORD) or not line wrapped (wxSTC_WRAP_NONE).
int | GetPrintWrapMode () const
| Is printing line wrapped?
Direct access
void * | GetDirectFunction () const
| Retrieve a pointer to a function that processes messages for this Scintilla.
void * | GetDirectPointer () const
| Retrieve a pointer value to use as the first argument when calling the function returned by GetDirectFunction.
const char * | GetCharacterPointer () const
| Compact the document buffer and return a read-only pointer to the characters in the document.
const char * | GetRangePointer (int position, int rangeLength) const
| Return a read-only pointer to a range of characters in the document.
int | GetGapPosition () const
| Return a position which, to avoid performance costs, should not be within the range of a call to GetRangePointer.
Multiple views
void * | GetDocPointer ()
| Retrieve a pointer to the document object.
void | SetDocPointer (void *docPointer)
| Change the document object used.
void * | CreateDocument ()
| Create a new document object.
void | AddRefDocument (void *docPointer)
| Extend life of document.
void | ReleaseDocument (void *docPointer)
| Release a reference to the document, deleting document if it fades to black.
Background loading and saving
void * | CreateLoader (int bytes) const
| Create an ILoader*.
Folding
int | VisibleFromDocLine (int docLine)
| Find the display line of a document line taking hidden lines into account.
int | DocLineFromVisible (int displayLine)
| Find the document line of a display line taking hidden lines into account.
void | SetFoldLevel (int line, int level)
| Set the fold level of a line.
int | GetFoldLevel (int line) const
| Retrieve the fold level of a line.
int | GetLastChild (int line, int level) const
| Find the last child line of a header line.
int | GetFoldParent (int line) const
| Find the parent line of a child line.
void | ShowLines (int lineStart, int lineEnd)
| Make a range of lines visible.
void | HideLines (int lineStart, int lineEnd)
| Make a range of lines invisible.
bool | GetLineVisible (int line) const
| Is a line visible?
bool | GetAllLinesVisible () const
| Are all lines visible?
void | SetFoldExpanded (int line, bool expanded)
| Show the children of a header line.
bool | GetFoldExpanded (int line) const
| Is a header line expanded?
void | ToggleFold (int line)
| Switch a header line between expanded and contracted.
void | ToggleFoldShowText (int line, const wxString &text)
| Switch a header line between expanded and contracted and show some text after the line.
void | FoldDisplayTextSetStyle (int style)
| Set the style of fold display text.
void | FoldLine (int line, int action)
| Expand or contract a fold header.
void | FoldChildren (int line, int action)
| Expand or contract a fold header and its children.
void | ExpandChildren (int line, int level)
| Expand a fold header and all children.
void | FoldAll (int action)
| Expand or contract all fold headers.
void | EnsureVisible (int line)
| Ensure a particular line is visible by expanding any header line hiding it.
void | SetAutomaticFold (int automaticFold)
| Set automatic folding behaviours.
int | GetAutomaticFold () const
| Get automatic folding behaviours.
void | SetFoldFlags (int flags)
| Set some style options for folding.
void | EnsureVisibleEnforcePolicy (int line)
| Ensure a particular line is visible by expanding any header line hiding it.
int | ContractedFoldNext (int lineStart)
| Find the next line at or after lineStart that is a contracted fold header line.
Line wrapping
int | WrapCount (int docLine)
| The number of display lines needed to wrap a document line.
void | SetWrapMode (int wrapMode)
| Sets whether text is word wrapped.
int | GetWrapMode () const
| Retrieve whether text is word wrapped.
void | SetWrapVisualFlags (int wrapVisualFlags)
| Set the display mode of visual flags for wrapped lines.
int | GetWrapVisualFlags () const
| Retrieve the display mode of visual flags for wrapped lines.
void | SetWrapVisualFlagsLocation (int wrapVisualFlagsLocation)
| Set the location of visual flags for wrapped lines.
int | GetWrapVisualFlagsLocation () const
| Retrieve the location of visual flags for wrapped lines.
void | SetWrapStartIndent (int indent)
| Set the start indent for wrapped lines.
int | GetWrapStartIndent () const
| Retrieve the start indent for wrapped lines.
void | SetWrapIndentMode (int wrapIndentMode)
| Sets how wrapped sublines are placed.
int | GetWrapIndentMode () const
| Retrieve how wrapped sublines are placed.
int | GetLayoutCache () const
| Retrieve the degree of caching of layout information.
void | LinesJoin ()
| Join the lines in the target.
void | LinesSplit (int pixelWidth)
| Split the lines in the target into lines that are less wide than pixelWidth where possible.
void | SetPositionCacheSize (int size)
| Set number of entries in position cache.
int | GetPositionCacheSize () const
| How many entries are allocated to the position cache?
Zooming
void | ZoomIn ()
| Magnify the displayed text by increasing the sizes by 1 point.
void | ZoomOut ()
| Make the displayed text smaller by decreasing the sizes by 1 point.
void | SetZoom (int zoomInPoints)
| Set the zoom level.
int | GetZoom () const
| Retrieve the zoom level.
Long lines
int | GetEdgeColumn () const
| Retrieve the column number which text should be kept within.
void | SetEdgeColumn (int column)
| Set the column number of the edge.
int | GetEdgeMode () const
| Retrieve the edge highlight mode.
void | SetEdgeMode (int edgeMode)
| The edge may be displayed by a line (wxSTC_EDGE_LINE/wxSTC_EDGE_MULTILINE) or by highlighting text that goes beyond it (wxSTC_EDGE_BACKGROUND) or not displayed at all (wxSTC_EDGE_NONE).
wxColour | GetEdgeColour () const
| Retrieve the colour used in edge indication.
void | SetEdgeColour (const wxColour &edgeColour)
| Change the colour used in edge indication.
void | MultiEdgeAddLine (int column, const wxColour &edgeColour)
| Add a new vertical edge to the view.
void | MultiEdgeClearAll ()
| Clear all vertical edges.
Lexer
int | ChangeLexerState (int start, int end)
| Indicate that the internal state of a lexer has changed over a range and therefore there may be a need to redraw.
void | SetLexer (int lexer)
| Set the lexing language of the document.
int | GetLexer () const
| Retrieve the lexing language of the document.
void | Colourise (int start, int end)
| Colourise a segment of the document using the current lexing language.
void | SetProperty (const wxString &key, const wxString &value)
| Set up a value that may be used by a lexer for some optional feature.
void | SetKeyWords (int keyWordSet, const wxString &keyWords)
| Set up the key words used by the lexer.
void | SetLexerLanguage (const wxString &language)
| Set the lexing language of the document based on string name.
void | LoadLexerLibrary (const wxString &path)
| Load a lexer library (dll / so).
wxString | GetProperty (const wxString &key)
| Retrieve a "property" value previously set with SetProperty.
wxString | GetPropertyExpanded (const wxString &key)
| Retrieve a "property" value previously set with SetProperty, with "$()" variable replacement on returned buffer.
int | GetPropertyInt (const wxString &key, int defaultValue=0) const
| Retrieve a "property" value previously set with SetProperty, interpreted as an int AFTER any "$()" variable replacement.
wxString | GetLexerLanguage () const
| Retrieve the lexing language of the document.
void * | PrivateLexerCall (int operation, void *pointer)
| For private communication between an application and a known lexer.
wxString | PropertyNames () const
| Retrieve a '\n' separated list of properties understood by the current lexer.
int | PropertyType (const wxString &name)
| Retrieve the type of a property.
wxString | DescribeProperty (const wxString &name) const
| Describe a property.
wxString | DescribeKeyWordSets () const
| Retrieve a '\n' separated list of descriptions of the keyword sets understood by the current lexer.
int | AllocateSubStyles (int styleBase, int numberStyles)
| Allocate a set of sub styles for a particular base style, returning start of range.
int | GetSubStylesStart (int styleBase) const
| The starting style number for the sub styles associated with a base style.
int | GetSubStylesLength (int styleBase) const
| The number of sub styles associated with a base style.
int | GetStyleFromSubStyle (int subStyle) const
| For a sub style, return the base style, else return the argument.
int | GetPrimaryStyleFromStyle (int style) const
| For a secondary style, return the primary style, else return the argument.
void | FreeSubStyles ()
| Free allocated sub styles.
void | SetIdentifiers (int style, const wxString &identifiers)
| Set the identifiers that are shown in a particular style.
int | DistanceToSecondaryStyles () const
| Where styles are duplicated by a feature such as active/inactive code return the distance between the two types.
wxString | GetSubStyleBases () const
| Get the set of base styles that can be extended with sub styles.
Event related items
void | SetMouseDwellTime (int periodMilliseconds)
| Sets the time the mouse must sit still to generate a mouse dwell event.
int | GetMouseDwellTime () const
| Retrieve the time the mouse must sit still to generate a mouse dwell event.
void | SetModEventMask (int eventMask)
| Set which document modification events are sent to the container.
int | GetModEventMask () const
| Get which document modification events are sent to the container.
void | SetIdentifier (int identifier)
| Set the identifier reported as idFrom in notification messages.
int | GetIdentifier () const
| Get the identifier.
Deprecated items
These methods should not be used in new code.
void | SetStyleBits (int bits)
| Divide each styling byte into lexical class bits (default: 5) and indicator bits (default: 3).
int | GetStyleBits () const
| Retrieve number of bits in style bytes used to hold the lexical state.
int | GetStyleBitsNeeded () const
| Retrieve the number of bits the current lexer needs for styling.
Additional wxStyledTextCtrl methods
In addition to the standard Scintilla functions, wxStyledTextCtrl includes the following functions to simplify some tasks.
int | GetCurrentLine ()
| Returns the line number of the line with the caret.
void | StyleSetSpec (int styleNum, const wxString &spec)
| Extract style settings from a spec-string which is composed of one or more of the following comma separated elements:
wxFont | StyleGetFont (int style)
| Get the font of a style.
void | StyleSetFont (int styleNum, wxFont &font)
| Set style size, face, bold, italic, and underline attributes from a wxFont's attributes.
void | StyleSetFontAttr (int styleNum, int size, const wxString &faceName, bool bold, bool italic, bool underline, wxFontEncoding encoding=wxFONTENCODING_DEFAULT)
| Set all font style attributes at once.
void | StyleSetFontEncoding (int style, wxFontEncoding encoding)
| Set the font encoding to be used by a style.
void | CmdKeyExecute (int cmd)
| Perform one of the operations defined by the wxSTC_CMD_* constants.
void | SetMargins (int left, int right)
| Set the left and right margin in the edit area, measured in pixels.
void | ScrollToLine (int line)
| Scroll enough to make the given line visible.
void | ScrollToColumn (int column)
| Scroll enough to make the given column visible.
wxIntPtr | SendMsg (int msg, wxUIntPtr wp=0, wxIntPtr lp=0) const
| Scintilla API call.
void | SetVScrollBar (wxScrollBar *bar)
| Set the vertical scrollbar to use instead of the one that's built-in.
void | SetHScrollBar (wxScrollBar *bar)
| Set the horizontal scrollbar to use instead of the one that's built-in.
bool | GetLastKeydownProcessed ()
| Can be used to prevent the EVT_CHAR handler from adding the char.
void | SetLastKeydownProcessed (bool val)
| Returns the line number of the line with the caret.
bool | SaveFile (const wxString &filename)
| Write the contents of the editor to filename.
bool | LoadFile (const wxString &filename)
| Load the contents of filename into the editor.
wxDragResult | DoDragEnter (wxCoord x, wxCoord y, wxDragResult defaultRes)
| Allow for simulating a DnD DragEnter.
wxDragResult | DoDragOver (wxCoord x, wxCoord y, wxDragResult defaultRes)
| Allow for simulating a DnD DragOver.
void | DoDragLeave ()
| Allow for simulating a DnD DragLeave.
bool | DoDropText (long x, long y, const wxString &data)
| Allow for simulating a DnD DropText.
void | SetUseAntiAliasing (bool useAA)
| Specify whether anti-aliased fonts should be used.
bool | GetUseAntiAliasing ()
| Returns the current UseAntiAliasing setting.
void | AnnotationClearLine (int line)
| Clear annotations from the given line.
void | MarkerDefineBitmap (int markerNumber, const wxBitmap &bmp)
| Define a marker with a wxBitmap.
void | RegisterImage (int type, const wxBitmap &bmp)
| Register an image for use in autocompletion lists.
Raw variants
These methods allow data to be sent to or received from the control using character buffers instead of using a wxString.
void | AddTextRaw (const char *text, int length=-1)
| Add text to the document at current position.
void | InsertTextRaw (int pos, const char *text)
| Insert string at a position.
wxCharBuffer | GetCurLineRaw (int *linePos=NULL)
| Retrieve the text of the line containing the caret.
wxCharBuffer | GetLineRaw (int line)
| Retrieve the contents of a line.
wxCharBuffer | GetSelectedTextRaw ()
| Retrieve the selected text.
wxCharBuffer | GetTargetTextRaw ()
| Retrieve the target text.
wxCharBuffer | GetTextRangeRaw (int startPos, int endPos)
| Retrieve a range of text.
void | SetTextRaw (const char *text)
| Replace the contents of the document with the argument text.
wxCharBuffer | GetTextRaw ()
| Retrieve all the text in the document.
void | AppendTextRaw (const char *text, int length=-1)
| Append a string to the end of the document without changing the selection.
void | ReplaceSelectionRaw (const char *text)
| Replace the current selection with text.
int | ReplaceTargetRaw (const char *text, int length=-1)
| Replace the current target with text.
int | ReplaceTargetRERaw (const char *text, int length=-1)
| Replace the current target with text using regular expressions.
Text entry methods
virtual void | WriteText (const wxString &text)
| Writes the text into the text control at the current insertion position.
virtual void | Remove (long from, long to)
| Removes the text starting at the first given position up to (but not including) the character at the last position.
virtual void | Replace (long from, long to, const wxString &value)
| Replaces the text starting at the first position up to (but not including) the character at the last position with the given text.
virtual void | SetInsertionPoint (long pos)
| Sets the insertion point at the given position.
virtual long | GetInsertionPoint () const
| Returns the insertion point, or cursor, position.
virtual long | GetLastPosition () const
| Returns the zero based index of the last position in the text control, which is equal to the number of characters in the control.
virtual void | SetSelection (long from, long to)
| Selects the text starting at the first position up to (but not including) the character at the last position.
virtual void | SelectNone ()
| Deselects selected text in the control.
virtual void | GetSelection (long *from, long *to) const
| Gets the current selection span.
virtual bool | IsEditable () const
| Returns true if the controls contents may be edited by user (note that it always can be changed by the program).
virtual void | SetEditable (bool editable)
| Makes the text item editable or read-only, overriding the wxTE_READONLY flag.
Public Member Functions inherited from wxControl
| wxControl (wxWindow *parent, wxWindowID id, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxValidator &validator=wxDefaultValidator, const wxString &name=wxControlNameStr)
| Constructs a control.
| wxControl ()
| Default constructor to allow 2-phase creation.
bool | Create (wxWindow *parent, wxWindowID id, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxValidator &validator=wxDefaultValidator, const wxString &name=wxControlNameStr)
virtual void | Command (wxCommandEvent &event)
| Simulates the effect of the user issuing a command to the item.
wxString | GetLabel () const
| Returns the control's label, as it was passed to SetLabel().
wxString | GetLabelText () const
| Returns the control's label without mnemonics.
wxSize | GetSizeFromTextSize (int xlen, int ylen=-1) const
| Determine the size needed by the control to leave the given area for its text.
wxSize | GetSizeFromTextSize (const wxSize &tsize) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
wxSize | GetSizeFromText (const wxString &text) const
| Determine the minimum size needed by the control to display the given text.
void | SetLabel (const wxString &label)
| Sets the control's label.
void | SetLabelText (const wxString &text)
| Sets the control's label to exactly the given string.
bool | SetLabelMarkup (const wxString &markup)
| Sets the controls label to a string using markup.
Public Member Functions inherited from wxWindow
| wxWindow ()
| Default constructor.
| wxWindow (wxWindow *parent, wxWindowID id, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name=wxPanelNameStr)
| Constructs a window, which can be a child of a frame, dialog or any other non-control window.
virtual | ~wxWindow ()
| Destructor.
bool | Create (wxWindow *parent, wxWindowID id, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name=wxPanelNameStr)
| Construct the actual window object after creating the C++ object.
virtual bool | AcceptsFocus () const
| This method may be overridden in the derived classes to return false to indicate that this control doesn't accept input at all (i.e. behaves like e.g. wxStaticText) and so doesn't need focus.
virtual bool | AcceptsFocusFromKeyboard () const
| This method may be overridden in the derived classes to return false to indicate that while this control can, in principle, have focus if the user clicks it with the mouse, it shouldn't be included in the TAB traversal chain when using the keyboard.
virtual bool | AcceptsFocusRecursively () const
| Overridden to indicate whether this window or one of its children accepts focus.
void | DisableFocusFromKeyboard ()
| Disable giving focus to this window using the keyboard navigation keys.
bool | IsFocusable () const
| Can this window itself have focus?
bool | CanAcceptFocus () const
| Can this window have focus right now?
bool | CanAcceptFocusFromKeyboard () const
| Can this window be assigned focus from keyboard right now?
virtual bool | HasFocus () const
| Returns true if the window (or in case of composite controls, its main child window) has focus.
virtual void | SetCanFocus (bool canFocus)
| This method is only implemented by ports which have support for native TAB traversal (such as GTK+ 2.0).
virtual void | EnableVisibleFocus (bool enable)
| Enables or disables visible indication of keyboard focus.
virtual void | SetFocus ()
| This sets the window to receive keyboard input.
virtual void | SetFocusFromKbd ()
| This function is called by wxWidgets keyboard navigation code when the user gives the focus to this window from keyboard (e.g. using `TAB` key).
virtual void | AddChild (wxWindow *child)
| Adds a child window.
bool | DestroyChildren ()
| Destroys all children of a window.
wxWindow * | FindWindow (long id) const
| Find a child of this window, by id.
wxWindow * | FindWindow (const wxString &name) const
| Find a child of this window, by name.
wxWindowList & | GetChildren ()
| Returns a reference to the list of the window's children.
const wxWindowList & | GetChildren () const
| Returns a const reference to the list of the window's children.
virtual void | RemoveChild (wxWindow *child)
| Removes a child window.
wxWindow * | GetGrandParent () const
| Returns the grandparent of a window, or NULL if there isn't one.
wxWindow * | GetNextSibling () const
| Returns the next window after this one among the parent's children or NULL if this window is the last child.
wxWindow * | GetParent () const
| Returns the parent of the window, or NULL if there is no parent.
wxWindow * | GetPrevSibling () const
| Returns the previous window before this one among the parent's children or `NULL` if this window is the first child.
bool | IsDescendant (wxWindow *win) const
| Check if the specified window is a descendant of this one.
virtual bool | Reparent (wxWindow *newParent)
| Reparents the window, i.e. the window will be removed from its current parent window (e.g.
virtual void | AlwaysShowScrollbars (bool hflag=true, bool vflag=true)
| Call this function to force one or both scrollbars to be always shown, even if the window is big enough to show its entire contents without scrolling.
virtual int | GetScrollPos (int orientation) const
| Returns the built-in scrollbar position.
virtual int | GetScrollRange (int orientation) const
| Returns the built-in scrollbar range.
virtual int | GetScrollThumb (int orientation) const
| Returns the built-in scrollbar thumb size.
bool | CanScroll (int orient) const
| Returns true if this window can have a scroll bar in this orientation.
bool | HasScrollbar (int orient) const
| Returns true if this window currently has a scroll bar for this orientation.
virtual bool | IsScrollbarAlwaysShown (int orient) const
| Return whether a scrollbar is always shown.
virtual bool | ScrollLines (int lines)
| Scrolls the window by the given number of lines down (if lines is positive) or up.
virtual bool | ScrollPages (int pages)
| Scrolls the window by the given number of pages down (if pages is positive) or up.
virtual void | ScrollWindow (int dx, int dy, const wxRect *rect=NULL)
| Physically scrolls the pixels in the window and move child windows accordingly.
bool | LineUp ()
| Same as ScrollLines (-1).
bool | LineDown ()
| Same as ScrollLines (1).
bool | PageUp ()
| Same as ScrollPages (-1).
bool | PageDown ()
| Same as ScrollPages (1).
virtual void | SetScrollPos (int orientation, int pos, bool refresh=true)
| Sets the position of one of the built-in scrollbars.
virtual void | SetScrollbar (int orientation, int position, int thumbSize, int range, bool refresh=true)
| Sets the scrollbar properties of a built-in scrollbar.
void | Center (int dir=wxBOTH)
| A synonym for Centre().
void | CenterOnParent (int dir=wxBOTH)
| A synonym for CentreOnParent().
void | Centre (int direction=wxBOTH)
| Centres the window.
void | CentreOnParent (int direction=wxBOTH)
| Centres the window on its parent.
void | GetPosition (int *x, int *y) const
| This gets the position of the window in pixels, relative to the parent window for the child windows or relative to the display origin for the top level windows.
wxPoint | GetPosition () const
| This gets the position of the window in pixels, relative to the parent window for the child windows or relative to the display origin for the top level windows.
wxRect | GetRect () const
| Returns the position and size of the window as a wxRect object.
void | GetScreenPosition (int *x, int *y) const
| Returns the window position in screen coordinates, whether the window is a child window or a top level one.
wxPoint | GetScreenPosition () const
| Returns the window position in screen coordinates, whether the window is a child window or a top level one.
wxRect | GetScreenRect () const
| Returns the position and size of the window on the screen as a wxRect object.
virtual wxPoint | GetClientAreaOrigin () const
| Get the origin of the client area of the window relative to the window top left corner (the client area may be shifted because of the borders, scrollbars, other decorations...).
wxRect | GetClientRect () const
| Get the client rectangle in window (i.e. client) coordinates.
void | Move (int x, int y, int flags=wxSIZE_USE_EXISTING)
| Moves the window to the given position.
void | Move (const wxPoint &pt, int flags=wxSIZE_USE_EXISTING)
| Moves the window to the given position.
void | SetPosition (const wxPoint &pt)
| Moves the window to the specified position.
void | ClientToScreen (int *x, int *y) const
| Converts to screen coordinates from coordinates relative to this window.
wxPoint | ClientToScreen (const wxPoint &pt) const
| Converts to screen coordinates from coordinates relative to this window.
wxPoint | ConvertDialogToPixels (const wxPoint &pt) const
| Converts a point or size from dialog units to pixels.
wxSize | ConvertDialogToPixels (const wxSize &sz) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
wxPoint | ConvertPixelsToDialog (const wxPoint &pt) const
| Converts a point or size from pixels to dialog units.
wxSize | ConvertPixelsToDialog (const wxSize &sz) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | ScreenToClient (int *x, int *y) const
| Converts from screen to client window coordinates.
wxPoint | ScreenToClient (const wxPoint &pt) const
| Converts from screen to client window coordinates.
virtual void | ClearBackground ()
| Clears the window by filling it with the current background colour.
void | Freeze ()
| Freezes the window or, in other words, prevents any updates from taking place on screen, the window is not redrawn at all.
void | Thaw ()
| Re-enables window updating after a previous call to Freeze().
bool | IsFrozen () const
| Returns true if the window is currently frozen by a call to Freeze().
wxColour | GetBackgroundColour () const
| Returns the background colour of the window.
virtual wxBackgroundStyle | GetBackgroundStyle () const
| Returns the background style of the window.
virtual int | GetCharHeight () const
| Returns the character height for this window.
virtual int | GetCharWidth () const
| Returns the average character width for this window.
virtual wxVisualAttributes | GetDefaultAttributes () const
| Currently this is the same as calling wxWindow::GetClassDefaultAttributes(wxWindow::GetWindowVariant()).
virtual wxSize | GetDPI () const
| Return the DPI of the display used by this window.
wxFont | GetFont () const
| Returns the font for this window.
wxColour | GetForegroundColour () const
| Returns the foreground colour of the window.
void | GetTextExtent (const wxString &string, int *w, int *h, int *descent=NULL, int *externalLeading=NULL, const wxFont *font=NULL) const
| Gets the dimensions of the string as it would be drawn on the window with the currently selected font.
wxSize | GetTextExtent (const wxString &string) const
| Gets the dimensions of the string as it would be drawn on the window with the currently selected font.
const wxRegion & | GetUpdateRegion () const
| Returns the region specifying which parts of the window have been damaged.
wxRect | GetUpdateClientRect () const
| Get the update rectangle bounding box in client coords.
virtual bool | HasTransparentBackground ()
| Returns true if this window background is transparent (as, for example, for wxStaticText) and should show the parent window background.
virtual void | Refresh (bool eraseBackground=true, const wxRect *rect=NULL)
| Causes this window, and all of its children recursively (except under wxGTK1 where this is not implemented), to be repainted.
void | RefreshRect (const wxRect &rect, bool eraseBackground=true)
| Redraws the contents of the given rectangle: only the area inside it will be repainted.
virtual void | Update ()
| Calling this method immediately repaints the invalidated area of the window and all of its children recursively (this normally only happens when the flow of control returns to the event loop).
virtual bool | SetBackgroundColour (const wxColour &colour)
| Sets the background colour of the window.
virtual bool | SetBackgroundStyle (wxBackgroundStyle style)
| Sets the background style of the window.
virtual bool | IsTransparentBackgroundSupported (wxString *reason=NULL) const
| Checks whether using transparent background might work.
virtual bool | SetFont (const wxFont &font)
| Sets the font for this window.
virtual bool | SetForegroundColour (const wxColour &colour)
| Sets the foreground colour of the window.
void | SetOwnBackgroundColour (const wxColour &colour)
| Sets the background colour of the window but prevents it from being inherited by the children of this window.
bool | InheritsBackgroundColour () const
| Return true if this window inherits the background colour from its parent.
bool | UseBgCol () const
| Return true if a background colour has been set for this window.
bool | UseBackgroundColour () const
| Return true if a background colour has been set for this window.
void | SetOwnFont (const wxFont &font)
| Sets the font of the window but prevents it from being inherited by the children of this window.
void | SetOwnForegroundColour (const wxColour &colour)
| Sets the foreground colour of the window but prevents it from being inherited by the children of this window.
bool | UseForegroundColour () const
| Return true if a foreground colour has been set for this window.
bool | InheritsForegroundColour () const
| Return true if this window inherits the foreground colour from its parent.
void | SetPalette (const wxPalette &pal)
virtual bool | ShouldInheritColours () const
| Return true from here to allow the colours of this window to be changed by InheritAttributes().
virtual void | SetThemeEnabled (bool enable)
| This function tells a window if it should use the system's "theme" code to draw the windows' background instead of its own background drawing code.
virtual bool | GetThemeEnabled () const
| Returns true if the window uses the system theme for drawing its background.
virtual bool | CanSetTransparent ()
| Returns true if the system supports transparent windows and calling SetTransparent() may succeed.
virtual bool | SetTransparent (wxByte alpha)
| Set the transparency of the window.
wxEvtHandler * | GetEventHandler () const
| Returns the event handler for this window.
bool | HandleAsNavigationKey (const wxKeyEvent &event)
| This function will generate the appropriate call to Navigate() if the key event is one normally used for keyboard navigation and return true in this case.
bool | HandleWindowEvent (wxEvent &event) const
| Shorthand for:
bool | ProcessWindowEvent (wxEvent &event)
| Convenient wrapper for ProcessEvent().
bool | ProcessWindowEventLocally (wxEvent &event)
| Wrapper for wxEvtHandler::ProcessEventLocally().
wxEvtHandler * | PopEventHandler (bool deleteHandler=false)
| Removes and returns the top-most event handler on the event handler stack.
void | PushEventHandler (wxEvtHandler *handler)
| Pushes this event handler onto the event stack for the window.
bool | RemoveEventHandler (wxEvtHandler *handler)
| Find the given handler in the windows event handler stack and removes (but does not delete) it from the stack.
void | SetEventHandler (wxEvtHandler *handler)
| Sets the event handler for this window.
virtual void | SetNextHandler (wxEvtHandler *handler)
| wxWindows cannot be used to form event handler chains; this function thus will assert when called.
virtual void | SetPreviousHandler (wxEvtHandler *handler)
| wxWindows cannot be used to form event handler chains; this function thus will assert when called.
long | GetExtraStyle () const
| Returns the extra style bits for the window.
virtual long | GetWindowStyleFlag () const
| Gets the window style that was passed to the constructor or Create() method.
long | GetWindowStyle () const
| See GetWindowStyleFlag() for more info.
bool | HasExtraStyle (int exFlag) const
| Returns true if the window has the given exFlag bit set in its extra styles.
bool | HasFlag (int flag) const
| Returns true if the window has the given flag bit set.
virtual void | SetExtraStyle (long exStyle)
| Sets the extra style bits for the window.
virtual void | SetWindowStyleFlag (long style)
| Sets the style of the window.
void | SetWindowStyle (long style)
| See SetWindowStyleFlag() for more info.
bool | ToggleWindowStyle (int flag)
| Turns the given flag on if it's currently turned off and vice versa.
void | MoveAfterInTabOrder (wxWindow *win)
| Moves this window in the tab navigation order after the specified win.
void | MoveBeforeInTabOrder (wxWindow *win)
| Same as MoveAfterInTabOrder() except that it inserts this window just before win instead of putting it right after it.
bool | Navigate (int flags=wxNavigationKeyEvent::IsForward)
| Performs a keyboard navigation action starting from this window.
bool | NavigateIn (int flags=wxNavigationKeyEvent::IsForward)
| Performs a keyboard navigation action inside this window.
virtual void | Lower ()
| Lowers the window to the bottom of the window hierarchy (Z-order).
virtual void | Raise ()
| Raises the window to the top of the window hierarchy (Z-order).
bool | Hide ()
| Equivalent to calling wxWindow::Show(false).
virtual bool | HideWithEffect (wxShowEffect effect, unsigned int timeout=0)
| This function hides a window, like Hide(), but using a special visual effect if possible.
bool | IsEnabled () const
| Returns true if the window is enabled, i.e. if it accepts user input, false otherwise.
bool | IsExposed (int x, int y) const
| Returns true if the given point or rectangle area has been exposed since the last repaint.
bool | IsExposed (wxPoint &pt) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | IsExposed (int x, int y, int w, int h) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | IsExposed (wxRect &rect) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
virtual bool | IsShown () const
| Returns true if the window is shown, false if it has been hidden.
virtual bool | IsShownOnScreen () const
| Returns true if the window is physically visible on the screen, i.e. it is shown and all its parents up to the toplevel window are shown as well.
bool | Disable ()
| Disables the window.
virtual bool | Enable (bool enable=true)
| Enable or disable the window for user input.
virtual bool | Show (bool show=true)
| Shows or hides the window.
virtual bool | ShowWithEffect (wxShowEffect effect, unsigned int timeout=0)
| This function shows a window, like Show(), but using a special visual effect if possible.
wxString | GetHelpText () const
| Gets the help text to be used as context-sensitive help for this window.
void | SetHelpText (const wxString &helpText)
| Sets the help text to be used as context-sensitive help for this window.
virtual wxString | GetHelpTextAtPoint (const wxPoint &point, wxHelpEvent::Origin origin) const
| Gets the help text to be used as context-sensitive help for this window.
wxToolTip * | GetToolTip () const
| Get the associated tooltip or NULL if none.
wxString | GetToolTipText () const
| Get the text of the associated tooltip or empty string if none.
void | SetToolTip (const wxString &tipString)
| Attach a tooltip to the window.
void | SetToolTip (wxToolTip *tip)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | UnsetToolTip ()
| Unset any existing tooltip.
int | GetPopupMenuSelectionFromUser (wxMenu &menu, const wxPoint &pos=wxDefaultPosition)
| This function shows a popup menu at the given position in this window and returns the selected id.
int | GetPopupMenuSelectionFromUser (wxMenu &menu, int x, int y)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | PopupMenu (wxMenu *menu, const wxPoint &pos=wxDefaultPosition)
| Pops up the given menu at the specified coordinates, relative to this window, and returns control when the user has dismissed the menu.
bool | PopupMenu (wxMenu *menu, int x, int y)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
virtual wxValidator * | GetValidator ()
| Validator functions.
virtual void | SetValidator (const wxValidator &validator)
| Deletes the current validator (if any) and sets the window validator, having called wxValidator::Clone to create a new validator of this type.
virtual bool | TransferDataFromWindow ()
| Transfers values from child controls to data areas specified by their validators.
virtual bool | TransferDataToWindow ()
| Transfers values to child controls from data areas specified by their validators.
virtual bool | Validate ()
| Validates the current values of the child controls using their validators.
wxWindowID | GetId () const
| Returns the identifier of the window.
virtual wxLayoutDirection | GetLayoutDirection () const
| Returns the layout direction for this window, Note that `wxLayout_Default` is returned if layout direction is not supported.
virtual wxCoord | AdjustForLayoutDirection (wxCoord x, wxCoord width, wxCoord widthTotal) const
| Mirror coordinates for RTL layout if this window uses it and if the mirroring is not done automatically like Win32.
virtual wxString | GetName () const
| Returns the window's name.
wxWindowVariant | GetWindowVariant () const
| Returns the value previously passed to SetWindowVariant().
void | SetId (wxWindowID winid)
| Sets the identifier of the window.
virtual void | SetLayoutDirection (wxLayoutDirection dir)
| Sets the layout direction for this window.
virtual void | SetName (const wxString &name)
| Sets the window's name.
void | SetWindowVariant (wxWindowVariant variant)
| Chooses a different variant of the window display to use.
wxAcceleratorTable * | GetAcceleratorTable ()
| Gets the accelerator table for this window.
wxAccessible * | GetAccessible ()
| Returns the accessible object for this window, if any.
virtual void | SetAcceleratorTable (const wxAcceleratorTable &accel)
| Sets the accelerator table for this window.
void | SetAccessible (wxAccessible *accessible)
| Sets the accessible for this window.
bool | Close (bool force=false)
| This function simply generates a wxCloseEvent whose handler usually tries to close the window.
virtual bool | Destroy ()
| Destroys the window safely.
bool | IsBeingDeleted () const
| Returns true if this window is in process of being destroyed.
virtual wxDropTarget * | GetDropTarget () const
| Returns the associated drop target, which may be NULL.
virtual void | SetDropTarget (wxDropTarget *target)
| Associates a drop target with this window.
virtual void | DragAcceptFiles (bool accept)
| Enables or disables eligibility for drop file events (OnDropFiles).
wxSizer * | GetContainingSizer () const
| Returns the sizer of which this window is a member, if any, otherwise NULL.
wxSizer * | GetSizer () const
| Returns the sizer associated with the window by a previous call to SetSizer(), or NULL.
void | SetSizer (wxSizer *sizer, bool deleteOld=true)
| Sets the window to have the given layout sizer.
void | SetSizerAndFit (wxSizer *sizer, bool deleteOld=true)
| Associate the sizer with the window and set the window size and minimal size accordingly.
wxLayoutConstraints * | GetConstraints () const
| Returns a pointer to the window's layout constraints, or NULL if there are none.
void | SetConstraints (wxLayoutConstraints *constraints)
| Sets the window to have the given layout constraints.
virtual bool | Layout ()
| Lays out the children of this window using the associated sizer.
void | SetAutoLayout (bool autoLayout)
| Determines whether the Layout() function will be called automatically when the window is resized.
bool | GetAutoLayout () const
| Returns true if Layout() is called automatically when the window is resized.
void | CaptureMouse ()
| Directs all mouse input to this window.
wxCaret * | GetCaret () const
| Returns the caret() associated with the window.
const wxCursor & | GetCursor () const
| Return the cursor associated with this window.
virtual bool | HasCapture () const
| Returns true if this window has the current mouse capture.
void | ReleaseMouse ()
| Releases mouse input captured with CaptureMouse().
void | SetCaret (wxCaret *caret)
| Sets the caret() associated with the window.
virtual bool | SetCursor (const wxCursor &cursor)
| Sets the window's cursor.
virtual void | WarpPointer (int x, int y)
| Moves the pointer to the given position on the window.
virtual bool | EnableTouchEvents (int eventsMask)
| Request generation of touch events for this window.
wxHitTest | HitTest (wxCoord x, wxCoord y) const
| Return where the given point lies, exactly.
wxHitTest | HitTest (const wxPoint &pt) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
wxBorder | GetBorder (long flags) const
| Get the window border style from the given flags: this is different from simply doing flags & wxBORDER_MASK because it uses GetDefaultBorder() to translate wxBORDER_DEFAULT to something reasonable.
wxBorder | GetBorder () const
| Get border for the flags of this window.
virtual void | DoUpdateWindowUI (wxUpdateUIEvent &event)
| Does the window-specific updating after processing the update event.
virtual WXWidget | GetHandle () const
| Returns the platform-specific handle of the physical window.
virtual bool | HasMultiplePages () const
| This method should be overridden to return true if this window has multiple pages.
virtual void | InheritAttributes ()
| This function is (or should be, in case of custom controls) called during window creation to intelligently set up the window visual attributes, that is the font and the foreground and background colours.
virtual void | InitDialog ()
| Sends an `wxEVT_INIT_DIALOG` event, whose handler usually transfers data to the dialog via validators.
virtual bool | IsDoubleBuffered () const
| Returns true if the window contents is double-buffered by the system, i.e. if any drawing done on the window is really done on a temporary backing surface and transferred to the screen all at once later.
void | SetDoubleBuffered (bool on)
| Turn on or off double buffering of the window if the system supports it.
virtual bool | IsRetained () const
| Returns true if the window is retained, false otherwise.
bool | IsThisEnabled () const
| Returns true if this window is intrinsically enabled, false otherwise, i.e. if Enable() Enable(false) had been called.
virtual bool | IsTopLevel () const
| Returns true if the given window is a top-level one.
virtual void | OnInternalIdle ()
| This virtual function is normally only used internally, but sometimes an application may need it to implement functionality that should not be disabled by an application defining an OnIdle handler in a derived class.
virtual bool | SendIdleEvents (wxIdleEvent &event)
| Send idle event to window and all subwindows.
virtual bool | RegisterHotKey (int hotkeyId, int modifiers, int virtualKeyCode)
| Registers a system wide hotkey.
virtual bool | UnregisterHotKey (int hotkeyId)
| Unregisters a system wide hotkey.
virtual void | UpdateWindowUI (long flags=wxUPDATE_UI_NONE)
| This function sends one or more wxUpdateUIEvent to the window.
bool | BeginRepositioningChildren ()
| Prepare for changing positions of multiple child windows.
void | EndRepositioningChildren ()
| Fix child window positions after setting all of them at once.
void | CacheBestSize (const wxSize &size) const
| Sets the cached best size value.
virtual wxSize | ClientToWindowSize (const wxSize &size) const
| Converts client area size size to corresponding window size.
virtual wxSize | WindowToClientSize (const wxSize &size) const
| Converts window size size to corresponding client area size In other words, the returned value is what would GetClientSize() return if this window had given window size.
virtual void | Fit ()
| Sizes the window to fit its best size.
virtual void | FitInside ()
| Similar to Fit(), but sizes the interior (virtual) size of a window.
wxSize | FromDIP (const wxSize &sz) const
| Convert DPI-independent pixel values to the value in pixels appropriate for the current toolkit.
wxPoint | FromDIP (const wxPoint &pt) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
int | FromDIP (int d) const
| Convert DPI-independent distance in pixels to the value in pixels appropriate for the current toolkit.
wxSize | ToDIP (const wxSize &sz) const
| Convert pixel values of the current toolkit to DPI-independent pixel values.
wxPoint | ToDIP (const wxPoint &pt) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
int | ToDIP (int d) const
| Convert pixel values of the current toolkit to DPI-independent pixel values.
wxSize | GetBestSize () const
| This functions returns the best acceptable minimal size for the window.
int | GetBestHeight (int width) const
| Returns the best height needed by this window if it had the given width.
int | GetBestWidth (int height) const
| Returns the best width needed by this window if it had the given height.
void | GetClientSize (int *width, int *height) const
| Returns the size of the window 'client area' in pixels.
wxSize | GetClientSize () const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
virtual wxSize | GetEffectiveMinSize () const
| Merges the window's best size into the min size and returns the result.
virtual wxSize | GetMaxClientSize () const
| Returns the maximum size of window's client area.
virtual wxSize | GetMaxSize () const
| Returns the maximum size of the window.
virtual wxSize | GetMinClientSize () const
| Returns the minimum size of window's client area, an indication to the sizer layout mechanism that this is the minimum required size of its client area.
virtual wxSize | GetMinSize () const
| Returns the minimum size of the window, an indication to the sizer layout mechanism that this is the minimum required size.
int | GetMinWidth () const
| Returns the horizontal component of window minimal size.
int | GetMinHeight () const
| Returns the vertical component of window minimal size.
int | GetMaxWidth () const
| Returns the horizontal component of window maximal size.
int | GetMaxHeight () const
| Returns the vertical component of window maximal size.
void | GetSize (int *width, int *height) const
| Returns the size of the entire window in pixels, including title bar, border, scrollbars, etc.
wxSize | GetSize () const
| See the GetSize(int*,int*) overload for more info.
wxSize | GetVirtualSize () const
| This gets the virtual size of the window in pixels.
void | GetVirtualSize (int *width, int *height) const
| Like the other GetVirtualSize() overload but uses pointers instead.
virtual wxSize | GetBestVirtualSize () const
| Return the largest of ClientSize and BestSize (as determined by a sizer, interior children, or other means).
double | GetContentScaleFactor () const
| Returns the factor mapping logical pixels of this window to physical pixels.
double | GetDPIScaleFactor () const
| Returns the ratio of the DPI used by this window to the standard DPI.
virtual wxSize | GetWindowBorderSize () const
| Returns the size of the left/right and top/bottom borders of this window in x and y components of the result respectively.
virtual bool | InformFirstDirection (int direction, int size, int availableOtherDir)
| wxSizer and friends use this to give a chance to a component to recalc its min size once one of the final size components is known.
void | InvalidateBestSize ()
| Resets the cached best size value so it will be recalculated the next time it is needed.
void | PostSizeEvent ()
| Posts a size event to the window.
void | PostSizeEventToParent ()
| Posts a size event to the parent of this window.
virtual void | SendSizeEvent (int flags=0)
| This function sends a dummy size event to the window allowing it to re-layout its children positions.
void | SendSizeEventToParent (int flags=0)
| Safe wrapper for GetParent()->SendSizeEvent().
void | SetClientSize (int width, int height)
| This sets the size of the window client area in pixels.
void | SetClientSize (const wxSize &size)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | SetClientSize (const wxRect &rect)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | SetContainingSizer (wxSizer *sizer)
| Used by wxSizer internally to notify the window about being managed by the given sizer.
void | SetInitialSize (const wxSize &size=wxDefaultSize)
| A smart SetSize that will fill in default size components with the window's best size values.
virtual void | SetMaxClientSize (const wxSize &size)
| Sets the maximum client size of the window, to indicate to the sizer layout mechanism that this is the maximum possible size of its client area.
virtual void | SetMaxSize (const wxSize &size)
| Sets the maximum size of the window, to indicate to the sizer layout mechanism that this is the maximum possible size.
virtual void | SetMinClientSize (const wxSize &size)
| Sets the minimum client size of the window, to indicate to the sizer layout mechanism that this is the minimum required size of window's client area.
virtual void | SetMinSize (const wxSize &size)
| Sets the minimum size of the window, to indicate to the sizer layout mechanism that this is the minimum required size.
void | SetSize (int x, int y, int width, int height, int sizeFlags=wxSIZE_AUTO)
| Sets the size of the window in pixels.
void | SetSize (const wxRect &rect)
| Sets the size of the window in pixels.
void | SetSize (const wxSize &size)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | SetSize (int width, int height)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
virtual void | SetSizeHints (const wxSize &minSize, const wxSize &maxSize=wxDefaultSize, const wxSize &incSize=wxDefaultSize)
| Use of this function for windows which are not toplevel windows (such as wxDialog or wxFrame) is discouraged.
virtual void | SetSizeHints (int minW, int minH, int maxW=-1, int maxH=-1, int incW=-1, int incH=-1)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | SetVirtualSize (int width, int height)
| Sets the virtual size of the window in pixels.
void | SetVirtualSize (const wxSize &size)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
Public Member Functions inherited from wxEvtHandler
| wxEvtHandler ()
| Constructor.
virtual | ~wxEvtHandler ()
| Destructor.
template<typename T, typename T1, ...>
void | CallAfter (void(T::*method)(T1,...), T1 x1,...)
| Asynchronously call the given method.
template<typename T>
void | CallAfter (const T &functor)
| Asynchronously call the given functor.
bool | ProcessEventLocally (wxEvent &event)
| Try to process the event in this handler and all those chained to it.
bool | SafelyProcessEvent (wxEvent &event)
| Processes an event by calling ProcessEvent() and handles any exceptions that occur in the process.
void | ProcessPendingEvents ()
| Processes the pending events previously queued using QueueEvent() or AddPendingEvent(); you must call this function only if you are sure there are pending events for this handler, otherwise a `wxCHECK` will fail.
void | DeletePendingEvents ()
| Deletes all events queued on this event handler using QueueEvent() or AddPendingEvent().
void | Connect (int id, int lastId, wxEventType eventType, wxObjectEventFunction function, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| Connects the given function dynamically with the event handler, id and event type.
void | Connect (int id, wxEventType eventType, wxObjectEventFunction function, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| See the Connect(int, int, wxEventType, wxObjectEventFunction, wxObject*, wxEvtHandler*) overload for more info.
void | Connect (wxEventType eventType, wxObjectEventFunction function, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| See the Connect(int, int, wxEventType, wxObjectEventFunction, wxObject*, wxEvtHandler*) overload for more info.
bool | Disconnect (wxEventType eventType, wxObjectEventFunction function, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| Disconnects the given function dynamically from the event handler, using the specified parameters as search criteria and returning true if a matching function has been found and removed.
bool | Disconnect (int id=wxID_ANY, wxEventType eventType=wxEVT_NULL, wxObjectEventFunction function=NULL, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| See the Disconnect(wxEventType, wxObjectEventFunction, wxObject*, wxEvtHandler*) overload for more info.
bool | Disconnect (int id, int lastId, wxEventType eventType, wxObjectEventFunction function=NULL, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| See the Disconnect(wxEventType, wxObjectEventFunction, wxObject*, wxEvtHandler*) overload for more info.
template<typename EventTag, typename Functor>
void | Bind (const EventTag &eventType, Functor functor, int id=wxID_ANY, int lastId=wxID_ANY, wxObject *userData=NULL)
| Binds the given function, functor or method dynamically with the event.
template<typename EventTag, typename Class, typename EventArg, typename EventHandler>
void | Bind (const EventTag &eventType, void(Class::*method)(EventArg &), EventHandler *handler, int id=wxID_ANY, int lastId=wxID_ANY, wxObject *userData=NULL)
| See the Bind<>(const EventTag&, Functor, int, int, wxObject*) overload for more info.
template<typename EventTag, typename Functor>
bool | Unbind (const EventTag &eventType, Functor functor, int id=wxID_ANY, int lastId=wxID_ANY, wxObject *userData=NULL)
| Unbinds the given function, functor or method dynamically from the event handler, using the specified parameters as search criteria and returning true if a matching function has been found and removed.
template<typename EventTag, typename Class, typename EventArg, typename EventHandler>
bool | Unbind (const EventTag &eventType, void(Class::*method)(EventArg &), EventHandler *handler, int id=wxID_ANY, int lastId=wxID_ANY, wxObject *userData=NULL)
| See the Unbind<>(const EventTag&, Functor, int, int, wxObject*) overload for more info.
void * | GetClientData () const
| Returns user-supplied client data.
wxClientData * | GetClientObject () const
| Returns a pointer to the user-supplied client data object.
void | SetClientData (void *data)
| Sets user-supplied client data.
void | SetClientObject (wxClientData *data)
| Set the client data object.
bool | GetEvtHandlerEnabled () const
| Returns true if the event handler is enabled, false otherwise.
wxEvtHandler * | GetNextHandler () const
| Returns the pointer to the next handler in the chain.
wxEvtHandler * | GetPreviousHandler () const
| Returns the pointer to the previous handler in the chain.
void | SetEvtHandlerEnabled (bool enabled)
| Enables or disables the event handler.
void | Unlink ()
| Unlinks this event handler from the chain it's part of (if any); then links the "previous" event handler to the "next" one (so that the chain won't be interrupted).
bool | IsUnlinked () const
| Returns true if the next and the previous handler pointers of this event handler instance are NULL.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
Public Member Functions inherited from wxTextEntry
bool | AutoComplete (const wxArrayString &choices)
| Call this function to enable auto-completion of the text typed in a single-line text control using the given choices.
bool | AutoComplete (wxTextCompleter *completer)
| Enable auto-completion using the provided completer object.
bool | AutoCompleteFileNames ()
| Call this function to enable auto-completion of the text typed in a single-line text control using all valid file system paths.
bool | AutoCompleteDirectories ()
| Call this function to enable auto-completion of the text using the file system directories.
virtual bool | CanCopy () const
| Returns true if the selection can be copied to the clipboard.
virtual bool | CanCut () const
| Returns true if the selection can be cut to the clipboard.
virtual void | ChangeValue (const wxString &value)
| Sets the new text control value.
void | ForceUpper ()
| Convert all text entered into the control to upper case.
virtual wxString | GetRange (long from, long to) const
| Returns the string containing the text starting in the positions from and up to to in the control.
virtual wxString | GetStringSelection () const
| Gets the text currently selected in the control.
virtual wxString | GetValue () const
| Gets the contents of the control.
virtual bool | IsEmpty () const
| Returns true if the control is currently empty.
virtual void | SetInsertionPointEnd ()
| Sets the insertion point at the end of the text control.
virtual void | SetMaxLength (unsigned long len)
| This function sets the maximum number of characters the user can enter into the control.
virtual bool | SetHint (const wxString &hint)
| Sets a hint shown in an empty unfocused text control.
virtual wxString | GetHint () const
| Returns the current hint string.
bool | SetMargins (const wxPoint &pt)
| Attempts to set the control margins.
bool | SetMargins (wxCoord left, wxCoord top=-1)
wxPoint | GetMargins () const
| Returns the margins used by the control.
virtual void | SetValue (const wxString &value)
| Sets the new text control value.

## Additional Inherited Members
Static Public Member Functions inherited from wxControl
static wxString | GetLabelText (const wxString &label)
| Returns the given label string without mnemonics ("&" characters).
static wxString | RemoveMnemonics (const wxString &str)
| Returns the given str string without mnemonics ("&" characters).
static wxString | EscapeMnemonics (const wxString &text)
| Escapes the special mnemonics characters ("&") in the given string.
static wxString | Ellipsize (const wxString &label, const wxDC &dc, wxEllipsizeMode mode, int maxWidth, int flags=wxELLIPSIZE_FLAGS_DEFAULT)
| Replaces parts of the label string with ellipsis, if needed, so that it fits into maxWidth pixels if possible.
static wxSize | FromDIP (const wxSize &sz, const wxWindow *w)
| Non window-specific DPI-independent pixels conversion functions.
static wxPoint | FromDIP (const wxPoint &pt, const wxWindow *w)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
static int | FromDIP (int d, const wxWindow *w)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
static wxSize | ToDIP (const wxSize &sz, const wxWindow *w)
| Non window-specific pixel to DPI-independent pixels conversion functions.
static wxPoint | ToDIP (const wxPoint &pt, const wxWindow *w)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
static int | ToDIP (int d, const wxWindow *w)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
static wxVisualAttributes | GetClassDefaultAttributes (wxWindowVariant variant=wxWINDOW_VARIANT_NORMAL)
| Returns the default font and colours which are used by the control.
static wxWindow * | FindFocus ()
| Finds the window or control which currently has the keyboard focus.
static wxWindow * | FindWindowById (long id, const wxWindow *parent=0)
| Find the first window with the given id.
static wxWindow * | FindWindowByLabel (const wxString &label, const wxWindow *parent=0)
| Find a window by its label.
static wxWindow * | FindWindowByName (const wxString &name, const wxWindow *parent=0)
| Find a window by its name (as given in a window constructor or Create() function call).
static wxWindow * | GetCapture ()
| Returns the currently captured window.
static wxWindowID | NewControlId (int count=1)
| Create a new ID or range of IDs that are not currently in use.
static void | UnreserveControlId (wxWindowID id, int count=1)
| Unreserve an ID or range of IDs that was reserved by NewControlId().
static void | AddFilter (wxEventFilter *filter)
| Add an event filter whose FilterEvent() method will be called for each and every event processed by wxWidgets.
static void | RemoveFilter (wxEventFilter *filter)
| Remove a filter previously installed with AddFilter().
virtual void | DoCentre (int direction)
| Centres the window.
virtual wxSize | DoGetBestSize () const
| Implementation of GetBestSize() that can be overridden.
virtual wxSize | DoGetBestClientSize () const
| Override this method to return the best size for a custom control.
virtual int | DoGetBestClientHeight (int width) const
| Override this method to implement height-for-width best size calculation.
virtual int | DoGetBestClientWidth (int height) const
| Override this method to implement width-for-height best size calculation.
virtual void | SetInitialBestSize (const wxSize &size)
| Sets the initial window size if none is given (i.e. at least one of the components of the size passed to ctor/Create() is wxDefaultCoord).
void | SendDestroyEvent ()
| Generate wxWindowDestroyEvent for this window.
virtual bool | ProcessEvent (wxEvent &event)
| This function is public in wxEvtHandler but protected in wxWindow because for wxWindows you should always call ProcessEvent() on the pointer returned by GetEventHandler() and not on the wxWindow object itself.
bool | SafelyProcessEvent (wxEvent &event)
| See ProcessEvent() for more info about why you shouldn't use this function and the reason for making this function protected in wxWindow.
virtual void | QueueEvent (wxEvent *event)
| Returns the default font and colours which are used by the control.
virtual void | AddPendingEvent (const wxEvent &event)
| Returns the default font and colours which are used by the control.
void | ProcessPendingEvents ()
| Returns the default font and colours which are used by the control.
bool | ProcessThreadEvent (const wxEvent &event)
| Returns the default font and colours which are used by the control.
virtual bool | TryBefore (wxEvent &event)
| Method called by ProcessEvent() before examining this object event tables.
virtual bool | TryAfter (wxEvent &event)
| Method called by ProcessEvent() as last resort.
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

## ◆ wxStyledTextCtrl() [1/2]

wxStyledTextCtrl::wxStyledTextCtrl | ( | wxWindow * | parent,
|  | wxWindowID | id = wxID_ANY,
|  | const wxPoint & | pos = wxDefaultPosition,
|  | const wxSize & | size = wxDefaultSize,
|  | long | style = 0,
|  | const wxString & | name = wxSTCNameStr )

Ctor.

## ◆ wxStyledTextCtrl() [2/2]

wxStyledTextCtrl::wxStyledTextCtrl | ( |  | ) |

Default ctor.

## ◆ ~wxStyledTextCtrl()

wxStyledTextCtrl::~wxStyledTextCtrl | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ AddRefDocument()

void wxStyledTextCtrl::AddRefDocument | ( | void * | docPointer | ) |

Extend life of document.

## ◆ AddSelection()

int wxStyledTextCtrl::AddSelection | ( | int | caret,
|  | int | anchor )

Add a selection.

## ◆ AddStyledText()

void wxStyledTextCtrl::AddStyledText | ( | const wxMemoryBuffer & | data | ) |

Add array of cells to document.

## ◆ AddTabStop()

void wxStyledTextCtrl::AddTabStop | ( | int | line,
|  | int | x )

Add an explicit tab stop for a line.

Since
  3.1.0

## ◆ AddText()

void wxStyledTextCtrl::AddText | ( | const wxString & | text | ) |

Add text to the document at current position.

## ◆ AddTextRaw()

void wxStyledTextCtrl::AddTextRaw | ( | const char * | text,
|  | int | length = -1 )

Add text to the document at current position.

## ◆ AddUndoAction()

void wxStyledTextCtrl::AddUndoAction | ( | int | token,
|  | int | flags )

Add a container action to the undo stack.

The flags argument can be either 0 or wxSTC_UNDO_MAY_COALESCE.

## ◆ Allocate()

void wxStyledTextCtrl::Allocate | ( | int | bytes | ) |

Enlarge the document to a particular size of text bytes.

## ◆ AllocateExtendedStyles()

int wxStyledTextCtrl::AllocateExtendedStyles | ( | int | numberStyles | ) |

Allocate some extended (>255) style numbers and return the start of the range.

Since
  3.1.0

## ◆ AllocateSubStyles()

int wxStyledTextCtrl::AllocateSubStyles | ( | int | styleBase,
|  | int | numberStyles )

Allocate a set of sub styles for a particular base style, returning start of range.

Since
  3.1.0

## ◆ AnnotationClearAll()

void wxStyledTextCtrl::AnnotationClearAll | ( |  | ) |

Clear the annotations from all lines.

## ◆ AnnotationClearLine()

void wxStyledTextCtrl::AnnotationClearLine | ( | int | line | ) |

Clear annotations from the given line.

## ◆ AnnotationGetLines()

int wxStyledTextCtrl::AnnotationGetLines | ( | int | line | ) | const

Get the number of annotation lines for a line.

## ◆ AnnotationGetStyle()

int wxStyledTextCtrl::AnnotationGetStyle | ( | int | line | ) | const

Get the style number for the annotations for a line.

## ◆ AnnotationGetStyleOffset()

int wxStyledTextCtrl::AnnotationGetStyleOffset | ( |  | ) | const

Get the start of the range of style numbers used for annotations.

## ◆ AnnotationGetStyles()

wxString wxStyledTextCtrl::AnnotationGetStyles | ( | int | line | ) | const

Get the annotation styles for a line.

## ◆ AnnotationGetText()

wxString wxStyledTextCtrl::AnnotationGetText | ( | int | line | ) | const

Get the annotation text for a line.

## ◆ AnnotationGetVisible()

int wxStyledTextCtrl::AnnotationGetVisible | ( |  | ) | const

Get the visibility for the annotations for a view.

The return value will be one of the wxSTC_ANNOTATION_* constants.

## ◆ AnnotationSetStyle()

void wxStyledTextCtrl::AnnotationSetStyle | ( | int | line,
|  | int | style )

Set the style number for the annotations for a line.

## ◆ AnnotationSetStyleOffset()

void wxStyledTextCtrl::AnnotationSetStyleOffset | ( | int | style | ) |

Get the start of the range of style numbers used for annotations.

## ◆ AnnotationSetStyles()

void wxStyledTextCtrl::AnnotationSetStyles | ( | int | line,
|  | const wxString & | styles )

Set the annotation styles for a line.

## ◆ AnnotationSetText()

void wxStyledTextCtrl::AnnotationSetText | ( | int | line,
|  | const wxString & | text )

Set the annotation text for a line.

## ◆ AnnotationSetVisible()

void wxStyledTextCtrl::AnnotationSetVisible | ( | int | visible | ) |

Set the visibility for the annotations for a view.

The input should be one of the wxSTC_ANNOTATION_* constants.

## ◆ AppendText()

void wxStyledTextCtrl::AppendText | ( | const wxString & | text | ) |
| virtual

Append a string to the end of the document without changing the selection.

Reimplemented from wxTextEntry.

## ◆ AppendTextRaw()

void wxStyledTextCtrl::AppendTextRaw | ( | const char * | text,
|  | int | length = -1 )

Append a string to the end of the document without changing the selection.

## ◆ AutoCompActive()

bool wxStyledTextCtrl::AutoCompActive | ( |  | ) |

Is there an auto-completion list visible?

## ◆ AutoCompCancel()

void wxStyledTextCtrl::AutoCompCancel | ( |  | ) |

Remove the auto-completion list from the screen.

## ◆ AutoCompComplete()

void wxStyledTextCtrl::AutoCompComplete | ( |  | ) |

User has selected an item so remove the list and insert the selection.

## ◆ AutoCompGetAutoHide()

bool wxStyledTextCtrl::AutoCompGetAutoHide | ( |  | ) | const

Retrieve whether or not autocompletion is hidden automatically when nothing matches.

## ◆ AutoCompGetCancelAtStart()

bool wxStyledTextCtrl::AutoCompGetCancelAtStart | ( |  | ) | const

Retrieve whether auto-completion cancelled by backspacing before start.

## ◆ AutoCompGetCaseInsensitiveBehaviour()

int wxStyledTextCtrl::AutoCompGetCaseInsensitiveBehaviour | ( |  | ) | const

Get auto-completion case insensitive behaviour.

The return value will be one of the wxSTC_CASEINSENSITIVEBEHAVIOUR_* constants.

## ◆ AutoCompGetChooseSingle()

bool wxStyledTextCtrl::AutoCompGetChooseSingle | ( |  | ) | const

Retrieve whether a single item auto-completion list automatically choose the item.

## ◆ AutoCompGetCurrent()

int wxStyledTextCtrl::AutoCompGetCurrent | ( |  | ) | const

Get currently selected item position in the auto-completion list.

## ◆ AutoCompGetCurrentText()

wxString wxStyledTextCtrl::AutoCompGetCurrentText | ( |  | ) | const

Get currently selected item text in the auto-completion list.

Since
  3.1.1

## ◆ AutoCompGetDropRestOfWord()

bool wxStyledTextCtrl::AutoCompGetDropRestOfWord | ( |  | ) | const

Retrieve whether or not autocompletion deletes any word characters after the inserted text upon completion.

## ◆ AutoCompGetIgnoreCase()

bool wxStyledTextCtrl::AutoCompGetIgnoreCase | ( |  | ) | const

Retrieve state of ignore case flag.

## ◆ AutoCompGetMaxHeight()

int wxStyledTextCtrl::AutoCompGetMaxHeight | ( |  | ) | const

Set the maximum height, in rows, of auto-completion and user lists.

## ◆ AutoCompGetMaxWidth()

int wxStyledTextCtrl::AutoCompGetMaxWidth | ( |  | ) | const

Get the maximum width, in characters, of auto-completion and user lists.

## ◆ AutoCompGetMulti()

int wxStyledTextCtrl::AutoCompGetMulti | ( |  | ) | const

Retrieve the effect of autocompleting when there are multiple selections.

The return value will be one of the wxSTC_MULTIAUTOC_* constants.

Since
  3.1.0

## ◆ AutoCompGetOrder()

int wxStyledTextCtrl::AutoCompGetOrder | ( |  | ) | const

Get the way autocompletion lists are ordered.

The return value will be one of the wxSTC_ORDER_* constants.

Since
  3.1.0

## ◆ AutoCompGetSeparator()

int wxStyledTextCtrl::AutoCompGetSeparator | ( |  | ) | const

Retrieve the auto-completion list separator character.

## ◆ AutoCompGetTypeSeparator()

int wxStyledTextCtrl::AutoCompGetTypeSeparator | ( |  | ) | const

Retrieve the auto-completion list type-separator character.

## ◆ AutoCompPosStart()

int wxStyledTextCtrl::AutoCompPosStart | ( |  | ) |

Retrieve the position of the caret when the auto-completion list was displayed.

## ◆ AutoCompSelect()

void wxStyledTextCtrl::AutoCompSelect | ( | const wxString & | select | ) |

Select the item in the auto-completion list that starts with a string.

## ◆ AutoCompSetAutoHide()

void wxStyledTextCtrl::AutoCompSetAutoHide | ( | bool | autoHide | ) |

Set whether or not autocompletion is hidden automatically when nothing matches.

## ◆ AutoCompSetCancelAtStart()

void wxStyledTextCtrl::AutoCompSetCancelAtStart | ( | bool | cancel | ) |

Should the auto-completion list be cancelled if the user backspaces to a position before where the box was created.

## ◆ AutoCompSetCaseInsensitiveBehaviour()

void wxStyledTextCtrl::AutoCompSetCaseInsensitiveBehaviour | ( | int | behaviour | ) |

Set auto-completion case insensitive behaviour to either prefer case-sensitive matches or have no preference.

The input should be one of the wxSTC_CASEINSENSITIVEBEHAVIOUR_* constants.

## ◆ AutoCompSetChooseSingle()

void wxStyledTextCtrl::AutoCompSetChooseSingle | ( | bool | chooseSingle | ) |

Should a single item auto-completion list automatically choose the item.

## ◆ AutoCompSetDropRestOfWord()

void wxStyledTextCtrl::AutoCompSetDropRestOfWord | ( | bool | dropRestOfWord | ) |

Set whether or not autocompletion deletes any word characters after the inserted text upon completion.

## ◆ AutoCompSetFillUps()

void wxStyledTextCtrl::AutoCompSetFillUps | ( | const wxString & | characterSet | ) |

Define a set of characters that when typed will cause the autocompletion to choose the selected item.

## ◆ AutoCompSetIgnoreCase()

void wxStyledTextCtrl::AutoCompSetIgnoreCase | ( | bool | ignoreCase | ) |

Set whether case is significant when performing auto-completion searches.

## ◆ AutoCompSetMaxHeight()

void wxStyledTextCtrl::AutoCompSetMaxHeight | ( | int | rowCount | ) |

Set the maximum height, in rows, of auto-completion and user lists.

The default is 5 rows.

## ◆ AutoCompSetMaxWidth()

void wxStyledTextCtrl::AutoCompSetMaxWidth | ( | int | characterCount | ) |

Set the maximum width, in characters, of auto-completion and user lists.

Set to 0 to autosize to fit longest item, which is the default.

## ◆ AutoCompSetMulti()

void wxStyledTextCtrl::AutoCompSetMulti | ( | int | multi | ) |

Change the effect of autocompleting when there are multiple selections.

The input should be one of the wxSTC_MULTIAUTOC_* constants.

Since
  3.1.0

## ◆ AutoCompSetOrder()

void wxStyledTextCtrl::AutoCompSetOrder | ( | int | order | ) |

Set the way autocompletion lists are ordered.

The input should be one of the wxSTC_ORDER_* constants.

Since
  3.1.0

## ◆ AutoCompSetSeparator()

void wxStyledTextCtrl::AutoCompSetSeparator | ( | int | separatorCharacter | ) |

Change the separator character in the string setting up an auto-completion list.

Default is space but can be changed if items contain space.

## ◆ AutoCompSetTypeSeparator()

void wxStyledTextCtrl::AutoCompSetTypeSeparator | ( | int | separatorCharacter | ) |

Change the type-separator character in the string setting up an auto-completion list.

Default is '?' but can be changed if items contain '?'.

## ◆ AutoCompShow()

void wxStyledTextCtrl::AutoCompShow | ( | int | lengthEntered,
|  | const wxString & | itemList )

Display an auto-completion list.

The lengthEntered parameter indicates how many characters before the caret should be used to provide context.

## ◆ AutoCompStops()

void wxStyledTextCtrl::AutoCompStops | ( | const wxString & | characterSet | ) |

Define a set of character that when typed cancel the auto-completion list.

## ◆ BackTab()

void wxStyledTextCtrl::BackTab | ( |  | ) |

Dedent the selected lines.

## ◆ BeginUndoAction()

void wxStyledTextCtrl::BeginUndoAction | ( |  | ) |

Start a sequence of actions that is undone and redone as a unit.

May be nested.

## ◆ BraceBadLight()

void wxStyledTextCtrl::BraceBadLight | ( | int | pos | ) |

Highlight the character at a position indicating there is no matching brace.

## ◆ BraceBadLightIndicator()

void wxStyledTextCtrl::BraceBadLightIndicator | ( | bool | useSetting,
|  | int | indicator )

Use specified indicator to highlight non matching brace instead of changing its style.

## ◆ BraceHighlight()

void wxStyledTextCtrl::BraceHighlight | ( | int | posA,
|  | int | posB )

Highlight the characters at two positions.

## ◆ BraceHighlightIndicator()

void wxStyledTextCtrl::BraceHighlightIndicator | ( | bool | useSetting,
|  | int | indicator )

Use specified indicator to highlight matching braces instead of changing their style.

## ◆ BraceMatch()

int wxStyledTextCtrl::BraceMatch | ( | int | pos,
|  | int | maxReStyle = 0 )

Find the position of a matching brace or wxSTC_INVALID_POSITION if no match.

The maxReStyle must be 0 for now. It may be defined in a future release.

## ◆ CallTipActive()

bool wxStyledTextCtrl::CallTipActive | ( |  | ) |

Is there an active call tip?

## ◆ CallTipCancel()

void wxStyledTextCtrl::CallTipCancel | ( |  | ) |

Remove the call tip from the screen.

## ◆ CallTipPosAtStart()

int wxStyledTextCtrl::CallTipPosAtStart | ( |  | ) |

Retrieve the position where the caret was before displaying the call tip.

Since
  3.1.0

## ◆ CallTipSetBackground()

void wxStyledTextCtrl::CallTipSetBackground | ( | const wxColour & | back | ) |

Set the background colour for the call tip.

## ◆ CallTipSetForeground()

void wxStyledTextCtrl::CallTipSetForeground | ( | const wxColour & | fore | ) |

Set the foreground colour for the call tip.

## ◆ CallTipSetForegroundHighlight()

void wxStyledTextCtrl::CallTipSetForegroundHighlight | ( | const wxColour & | fore | ) |

Set the foreground colour for the highlighted part of the call tip.

## ◆ CallTipSetHighlight()

void wxStyledTextCtrl::CallTipSetHighlight | ( | int | highlightStart,
|  | int | highlightEnd )

Highlight a segment of the definition.

## ◆ CallTipSetPosAtStart()

void wxStyledTextCtrl::CallTipSetPosAtStart | ( | int | posStart | ) |

Set the start position in order to change when backspacing removes the calltip.

## ◆ CallTipSetPosition()

void wxStyledTextCtrl::CallTipSetPosition | ( | bool | above | ) |

Set position of calltip, above or below text.

## ◆ CallTipShow()

void wxStyledTextCtrl::CallTipShow | ( | int | pos,
|  | const wxString & | definition )

Show a call tip containing a definition near position pos.

## ◆ CallTipUseStyle()

void wxStyledTextCtrl::CallTipUseStyle | ( | int | tabSize | ) |

Enable use of wxSTC_STYLE_CALLTIP and set call tip tab size in pixels.

## ◆ Cancel()

void wxStyledTextCtrl::Cancel | ( |  | ) |

Cancel any modes such as call tip or auto-completion list display.

## ◆ CanPaste()

bool wxStyledTextCtrl::CanPaste | ( |  | ) | const
| virtual

Will a paste succeed?

Reimplemented from wxTextEntry.

## ◆ CanRedo()

bool wxStyledTextCtrl::CanRedo | ( |  | ) | const
| virtual

Are there any redoable actions in the undo history?

Reimplemented from wxTextEntry.

## ◆ CanUndo()

bool wxStyledTextCtrl::CanUndo | ( |  | ) | const
| virtual

Are there any undoable actions in the undo history?

Reimplemented from wxTextEntry.

## ◆ ChangeInsertion()

void wxStyledTextCtrl::ChangeInsertion | ( | int | length,
|  | const wxString & | text )

Change the text that is being inserted in response to wxSTC_MOD_INSERTCHECK.

Since
  3.1.0

## ◆ ChangeLexerState()

int wxStyledTextCtrl::ChangeLexerState | ( | int | start,
|  | int | end )

Indicate that the internal state of a lexer has changed over a range and therefore there may be a need to redraw.

## ◆ CharLeft()

void wxStyledTextCtrl::CharLeft | ( |  | ) |

Move caret left one character.

## ◆ CharLeftExtend()

void wxStyledTextCtrl::CharLeftExtend | ( |  | ) |

Move caret left one character extending selection to new caret position.

## ◆ CharLeftRectExtend()

void wxStyledTextCtrl::CharLeftRectExtend | ( |  | ) |

Move caret left one character, extending rectangular selection to new caret position.

## ◆ CharPositionFromPoint()

int wxStyledTextCtrl::CharPositionFromPoint | ( | int | x,
|  | int | y )

Find the position of a character from a point within the window.

## ◆ CharPositionFromPointClose()

int wxStyledTextCtrl::CharPositionFromPointClose | ( | int | x,
|  | int | y )

Find the position of a character from a point within the window.

Return wxSTC_INVALID_POSITION if not close to text.

## ◆ CharRight()

void wxStyledTextCtrl::CharRight | ( |  | ) |

Move caret right one character.

## ◆ CharRightExtend()

void wxStyledTextCtrl::CharRightExtend | ( |  | ) |

Move caret right one character extending selection to new caret position.

## ◆ CharRightRectExtend()

void wxStyledTextCtrl::CharRightRectExtend | ( |  | ) |

Move caret right one character, extending rectangular selection to new caret position.

## ◆ ChooseCaretX()

void wxStyledTextCtrl::ChooseCaretX | ( |  | ) |

Set the last x chosen value to be the caret x position.

## ◆ Clear()

void wxStyledTextCtrl::Clear | ( |  | ) |
| virtual

Clear the selection.

Reimplemented from wxTextEntry.

## ◆ ClearAll()

void wxStyledTextCtrl::ClearAll | ( |  | ) |

Delete all text in the document.

## ◆ ClearDocumentStyle()

void wxStyledTextCtrl::ClearDocumentStyle | ( |  | ) |

Set all style bytes to 0, remove all folding information.

## ◆ ClearRegisteredImages()

void wxStyledTextCtrl::ClearRegisteredImages | ( |  | ) |

Clear all the registered images.

## ◆ ClearRepresentation()

void wxStyledTextCtrl::ClearRepresentation | ( | const wxString & | encodedCharacter | ) |

Remove a character representation.

Since
  3.1.0

## ◆ ClearSelections()

void wxStyledTextCtrl::ClearSelections | ( |  | ) |

Clear selections to a single empty stream selection.

## ◆ ClearTabStops()

void wxStyledTextCtrl::ClearTabStops | ( | int | line | ) |

Clear explicit tabstops on a line.

Since
  3.1.0

## ◆ CmdKeyAssign()

void wxStyledTextCtrl::CmdKeyAssign | ( | int | key,
|  | int | modifiers,
|  | int | cmd )

When key+modifier combination keyDefinition is pressed perform sciCommand.

The second argument should be a bit list containing one or more of the wxSTC_KEYMOD_* constants and the third argument should be one of the wxSTC_CMD_* constants.

## ◆ CmdKeyClear()

void wxStyledTextCtrl::CmdKeyClear | ( | int | key,
|  | int | modifiers )

When key+modifier combination keyDefinition is pressed do nothing.

The second argument should be a bit list containing one or more of the wxSTC_KEYMOD_* constants.

## ◆ CmdKeyClearAll()

void wxStyledTextCtrl::CmdKeyClearAll | ( |  | ) |

Drop all key mappings.

## ◆ CmdKeyExecute()

void wxStyledTextCtrl::CmdKeyExecute | ( | int | cmd | ) |

Perform one of the operations defined by the wxSTC_CMD_* constants.

## ◆ Colourise()

void wxStyledTextCtrl::Colourise | ( | int | start,
|  | int | end )

Colourise a segment of the document using the current lexing language.

## ◆ ContractedFoldNext()

int wxStyledTextCtrl::ContractedFoldNext | ( | int | lineStart | ) |

Find the next line at or after lineStart that is a contracted fold header line.

Return -1 when no more lines.

## ◆ ConvertEOLs()

void wxStyledTextCtrl::ConvertEOLs | ( | int | eolMode | ) |

Convert all line endings in the document to one mode.

## ◆ Copy()

void wxStyledTextCtrl::Copy | ( |  | ) |
| virtual

Copy the selection to the clipboard.

Reimplemented from wxTextEntry.

## ◆ CopyAllowLine()

void wxStyledTextCtrl::CopyAllowLine | ( |  | ) |

Copy the selection, if selection empty copy the line with the caret.

## ◆ CopyRange()

void wxStyledTextCtrl::CopyRange | ( | int | start,
|  | int | end )

Copy a range of text to the clipboard.

Positions are clipped into the document.

## ◆ CopyText()

void wxStyledTextCtrl::CopyText | ( | int | length,
|  | const wxString & | text )

Copy argument text to the clipboard.

## ◆ CountCharacters()

int wxStyledTextCtrl::CountCharacters | ( | int | start,
|  | int | end )

Count characters between two positions.

## ◆ Create()

bool wxStyledTextCtrl::Create | ( | wxWindow * | parent,
|  | wxWindowID | id = wxID_ANY,
|  | const wxPoint & | pos = wxDefaultPosition,
|  | const wxSize & | size = wxDefaultSize,
|  | long | style = 0,
|  | const wxString & | name = wxSTCNameStr )

Create the UI elements for a STC that was created with the default ctor.

(For 2-phase create.)

## ◆ CreateDocument()

void * wxStyledTextCtrl::CreateDocument | ( |  | ) |

Create a new document object.

Starts with reference count of 1 and not selected into editor.

## ◆ CreateLoader()

void * wxStyledTextCtrl::CreateLoader | ( | int | bytes | ) | const

Create an ILoader*.

## ◆ Cut()

void wxStyledTextCtrl::Cut | ( |  | ) |
| virtual

Cut the selection to the clipboard.

Reimplemented from wxTextEntry.

## ◆ DeleteBack()

void wxStyledTextCtrl::DeleteBack | ( |  | ) |

Delete the selection or if no selection, the character before the caret.

## ◆ DeleteBackNotLine()

void wxStyledTextCtrl::DeleteBackNotLine | ( |  | ) |

Delete the selection or if no selection, the character before the caret.

Will not delete the character before at the start of a line.

## ◆ DeleteRange()

void wxStyledTextCtrl::DeleteRange | ( | int | start,
|  | int | lengthDelete )

Delete a range of text in the document.

## ◆ DelLineLeft()

void wxStyledTextCtrl::DelLineLeft | ( |  | ) |

Delete back from the current position to the start of the line.

## ◆ DelLineRight()

void wxStyledTextCtrl::DelLineRight | ( |  | ) |

Delete forwards from the current position to the end of the line.

## ◆ DelWordLeft()

void wxStyledTextCtrl::DelWordLeft | ( |  | ) |

Delete the word to the left of the caret.

## ◆ DelWordRight()

void wxStyledTextCtrl::DelWordRight | ( |  | ) |

Delete the word to the right of the caret.

## ◆ DelWordRightEnd()

void wxStyledTextCtrl::DelWordRightEnd | ( |  | ) |

Delete the word to the right of the caret, but not the trailing non-word characters.

## ◆ DescribeKeyWordSets()

wxString wxStyledTextCtrl::DescribeKeyWordSets | ( |  | ) | const

Retrieve a '\n' separated list of descriptions of the keyword sets understood by the current lexer.

## ◆ DescribeProperty()

wxString wxStyledTextCtrl::DescribeProperty | ( | const wxString & | name | ) | const

Describe a property.

## ◆ DiscardEdits()

virtual void wxStyledTextCtrl::DiscardEdits | ( |  | ) |
| virtual

Resets the internal modified flag as if the current changes had been saved.

## ◆ DistanceToSecondaryStyles()

int wxStyledTextCtrl::DistanceToSecondaryStyles | ( |  | ) | const

Where styles are duplicated by a feature such as active/inactive code return the distance between the two types.

Since
  3.1.0

## ◆ DocLineFromVisible()

int wxStyledTextCtrl::DocLineFromVisible | ( | int | displayLine | ) |

Find the document line of a display line taking hidden lines into account.

## ◆ DocumentEnd()

void wxStyledTextCtrl::DocumentEnd | ( |  | ) |

Move caret to last position in document.

## ◆ DocumentEndExtend()

void wxStyledTextCtrl::DocumentEndExtend | ( |  | ) |

Move caret to last position in document extending selection to new caret position.

## ◆ DocumentStart()

void wxStyledTextCtrl::DocumentStart | ( |  | ) |

Move caret to first position in document.

## ◆ DocumentStartExtend()

void wxStyledTextCtrl::DocumentStartExtend | ( |  | ) |

Move caret to first position in document extending selection to new caret position.

## ◆ DoDragEnter()

wxDragResult wxStyledTextCtrl::DoDragEnter | ( | wxCoord | x,
|  | wxCoord | y,
|  | wxDragResult | defaultRes )

Allow for simulating a DnD DragEnter.

Since
  3.1.0

## ◆ DoDragLeave()

void wxStyledTextCtrl::DoDragLeave | ( |  | ) |

Allow for simulating a DnD DragLeave.

Since
  3.1.0

## ◆ DoDragOver()

wxDragResult wxStyledTextCtrl::DoDragOver | ( | wxCoord | x,
|  | wxCoord | y,
|  | wxDragResult | defaultRes )

Allow for simulating a DnD DragOver.

## ◆ DoDropText()

bool wxStyledTextCtrl::DoDropText | ( | long | x,
|  | long | y,
|  | const wxString & | data )

Allow for simulating a DnD DropText.

## ◆ DropSelectionN()

void wxStyledTextCtrl::DropSelectionN | ( | int | selection | ) |

Drop one selection.

Since
  3.1.0

## ◆ EditToggleOvertype()

void wxStyledTextCtrl::EditToggleOvertype | ( |  | ) |

Switch from insert to overtype mode or the reverse.

## ◆ EmptyUndoBuffer()

void wxStyledTextCtrl::EmptyUndoBuffer | ( |  | ) |

Delete the undo history.

## ◆ EndUndoAction()

void wxStyledTextCtrl::EndUndoAction | ( |  | ) |

End a sequence of actions that is undone and redone as a unit.

## ◆ EnsureCaretVisible()

void wxStyledTextCtrl::EnsureCaretVisible | ( |  | ) |

Ensure the caret is visible.

## ◆ EnsureVisible()

void wxStyledTextCtrl::EnsureVisible | ( | int | line | ) |

Ensure a particular line is visible by expanding any header line hiding it.

## ◆ EnsureVisibleEnforcePolicy()

void wxStyledTextCtrl::EnsureVisibleEnforcePolicy | ( | int | line | ) |

Ensure a particular line is visible by expanding any header line hiding it.

Use the currently set visibility policy to determine which range to display.

## ◆ ExpandChildren()

void wxStyledTextCtrl::ExpandChildren | ( | int | line,
|  | int | level )

Expand a fold header and all children.

Use the level argument instead of the line's current level.

Since
  3.1.0

## ◆ FindColumn()

int wxStyledTextCtrl::FindColumn | ( | int | line,
|  | int | column )

Find the position of a column on a line taking into account tabs and multi-byte characters.

If beyond end of line, return line end position.

## ◆ FindText()

int wxStyledTextCtrl::FindText | ( | int | minPos,
|  | int | maxPos,
|  | const wxString & | text,
|  | int | flags = 0,
|  | int * | findEnd = NULL )

Find some text in the document.

Parameters

  minPos | The position (starting from zero) in the document at which to begin the search
  maxPos | The last position (starting from zero) in the document to which the search will be restricted.
  text | The text to search for.
  flags | (Optional) The search flags. This should be a bit list containing one or more of the wxSTC_FIND_* constants.
  findEnd | (Optional) This parameter can optionally be used to receive the end position (starting from zero) of the found text. This is primarily needed when searching using regular expressions. This parameter is available since wxWidgets 3.1.1.

Returns
  The position (starting from zero) in the document at which the text was found or wxSTC_INVALID_POSITION if the search fails.

Remarks
  A backwards search can be performed by setting minPos to be greater than maxPos.

## ◆ FoldAll()

void wxStyledTextCtrl::FoldAll | ( | int | action | ) |

Expand or contract all fold headers.

The input should be one of the wxSTC_FOLDACTION_* constants.

Since
  3.1.0

## ◆ FoldChildren()

void wxStyledTextCtrl::FoldChildren | ( | int | line,
|  | int | action )

Expand or contract a fold header and its children.

The second argument should be one of the wxSTC_FOLDACTION_* constants.

Since
  3.1.0

## ◆ FoldDisplayTextSetStyle()

void wxStyledTextCtrl::FoldDisplayTextSetStyle | ( | int | style | ) |

Set the style of fold display text.

The input should be one of the wxSTC_FOLDDISPLAYTEXT_* constants.

Since
  3.1.1

## ◆ FoldLine()

void wxStyledTextCtrl::FoldLine | ( | int | line,
|  | int | action )

Expand or contract a fold header.

The second argument should be one of the wxSTC_FOLDACTION_* constants.

Since
  3.1.0

## ◆ FormatRange()

int wxStyledTextCtrl::FormatRange | ( | bool | doDraw,
|  | int | startPos,
|  | int | endPos,
|  | wxDC * | draw,
|  | wxDC * | target,
|  | wxRect | renderRect,
|  | wxRect | pageRect )

On Windows, will draw the document into a display context such as a printer.

## ◆ FormFeed()

void wxStyledTextCtrl::FormFeed | ( |  | ) |

Insert a Form Feed character.

## ◆ FreeSubStyles()

void wxStyledTextCtrl::FreeSubStyles | ( |  | ) |

Free allocated sub styles.

Since
  3.1.0

## ◆ GetAdditionalCaretForeground()

wxColour wxStyledTextCtrl::GetAdditionalCaretForeground | ( |  | ) | const

Get the foreground colour of additional carets.

## ◆ GetAdditionalCaretsBlink()

bool wxStyledTextCtrl::GetAdditionalCaretsBlink | ( |  | ) | const

Whether additional carets will blink.

## ◆ GetAdditionalCaretsVisible()

bool wxStyledTextCtrl::GetAdditionalCaretsVisible | ( |  | ) | const

Whether additional carets are visible.

## ◆ GetAdditionalSelAlpha()

int wxStyledTextCtrl::GetAdditionalSelAlpha | ( |  | ) | const

Get the alpha of the selection.

## ◆ GetAdditionalSelectionTyping()

bool wxStyledTextCtrl::GetAdditionalSelectionTyping | ( |  | ) | const

Whether typing can be performed into multiple selections.

## ◆ GetAllLinesVisible()

bool wxStyledTextCtrl::GetAllLinesVisible | ( |  | ) | const

Are all lines visible?

## ◆ GetAnchor()

int wxStyledTextCtrl::GetAnchor | ( |  | ) | const

Returns the position of the opposite end of the selection to the caret.

## ◆ GetAutomaticFold()

int wxStyledTextCtrl::GetAutomaticFold | ( |  | ) | const

Get automatic folding behaviours.

The return value will be a bit list containing one or more of the wxSTC_AUTOMATICFOLD_* constants.

Since
  3.1.0

## ◆ GetBackSpaceUnIndents()

bool wxStyledTextCtrl::GetBackSpaceUnIndents | ( |  | ) | const

Does a backspace pressed when caret is within indentation unindent?

## ◆ GetBufferedDraw()

bool wxStyledTextCtrl::GetBufferedDraw | ( |  | ) | const

Is drawing done first into a buffer or direct to the screen?

## ◆ GetCaretForeground()

wxColour wxStyledTextCtrl::GetCaretForeground | ( |  | ) | const

Get the foreground colour of the caret.

## ◆ GetCaretLineBackAlpha()

int wxStyledTextCtrl::GetCaretLineBackAlpha | ( |  | ) | const

Get the background alpha of the caret line.

## ◆ GetCaretLineBackground()

wxColour wxStyledTextCtrl::GetCaretLineBackground | ( |  | ) | const

Get the colour of the background of the line containing the caret.

## ◆ GetCaretLineVisible()

bool wxStyledTextCtrl::GetCaretLineVisible | ( |  | ) | const

Is the background of the line containing the caret in a different colour?

## ◆ GetCaretLineVisibleAlways()

bool wxStyledTextCtrl::GetCaretLineVisibleAlways | ( |  | ) | const

Is the caret line always visible?

Since
  3.1.0

## ◆ GetCaretPeriod()

int wxStyledTextCtrl::GetCaretPeriod | ( |  | ) | const

Get the time in milliseconds that the caret is on and off.

## ◆ GetCaretSticky()

int wxStyledTextCtrl::GetCaretSticky | ( |  | ) | const

Can the caret preferred x position only be changed by explicit movement commands?

The return value will be one of the wxSTC_CARETSTICKY_* constants.

## ◆ GetCaretStyle()

int wxStyledTextCtrl::GetCaretStyle | ( |  | ) | const

Returns the current style of the caret.

The return value will be one of the wxSTC_CARETSTYLE_* constants.

## ◆ GetCaretWidth()

int wxStyledTextCtrl::GetCaretWidth | ( |  | ) | const

Returns the width of the insert mode caret.

## ◆ GetCharacterPointer()

const char * wxStyledTextCtrl::GetCharacterPointer | ( |  | ) | const

Compact the document buffer and return a read-only pointer to the characters in the document.

## ◆ GetCharAt()

int wxStyledTextCtrl::GetCharAt | ( | int | pos | ) | const

Returns the character byte at the position.

## ◆ GetCodePage()

int wxStyledTextCtrl::GetCodePage | ( |  | ) | const

Get the code page used to interpret the bytes of the document as characters.

## ◆ GetColumn()

int wxStyledTextCtrl::GetColumn | ( | int | pos | ) | const

Retrieve the column number of a position, taking tab width into account.

## ◆ GetControlCharSymbol()

int wxStyledTextCtrl::GetControlCharSymbol | ( |  | ) | const

Get the way control characters are displayed.

## ◆ GetCurLine()

wxString wxStyledTextCtrl::GetCurLine | ( | int * | linePos = NULL | ) |

Retrieve the text of the line containing the caret.

linePos can optionally be passed in to receive the index of the caret on the line.

## ◆ GetCurLineRaw()

wxCharBuffer wxStyledTextCtrl::GetCurLineRaw | ( | int * | linePos = NULL | ) |

Retrieve the text of the line containing the caret.

Returns the index of the caret on the line.

## ◆ GetCurrentLine()

int wxStyledTextCtrl::GetCurrentLine | ( |  | ) |

Returns the line number of the line with the caret.

## ◆ GetCurrentPos()

int wxStyledTextCtrl::GetCurrentPos | ( |  | ) | const

Returns the position of the caret.

## ◆ GetDirectFunction()

void * wxStyledTextCtrl::GetDirectFunction | ( |  | ) | const

Retrieve a pointer to a function that processes messages for this Scintilla.

Since
  3.1.1

## ◆ GetDirectPointer()

void * wxStyledTextCtrl::GetDirectPointer | ( |  | ) | const

Retrieve a pointer value to use as the first argument when calling the function returned by GetDirectFunction.

Since
  3.1.1

## ◆ GetDocPointer()

void * wxStyledTextCtrl::GetDocPointer | ( |  | ) |

Retrieve a pointer to the document object.

## ◆ GetEdgeColour()

wxColour wxStyledTextCtrl::GetEdgeColour | ( |  | ) | const

Retrieve the colour used in edge indication.

## ◆ GetEdgeColumn()

int wxStyledTextCtrl::GetEdgeColumn | ( |  | ) | const

Retrieve the column number which text should be kept within.

## ◆ GetEdgeMode()

int wxStyledTextCtrl::GetEdgeMode | ( |  | ) | const

Retrieve the edge highlight mode.

The return value will be one of the wxSTC_EDGE_* constants.

## ◆ GetEndAtLastLine()

bool wxStyledTextCtrl::GetEndAtLastLine | ( |  | ) | const

Retrieve whether the maximum scroll position has the last line at the bottom of the view.

## ◆ GetEndStyled()

int wxStyledTextCtrl::GetEndStyled | ( |  | ) | const

Retrieve the position of the last correctly styled character.

## ◆ GetEOLMode()

int wxStyledTextCtrl::GetEOLMode | ( |  | ) | const

Retrieve the current end of line mode - one of wxSTC_EOL_CRLF, wxSTC_EOL_CR, or wxSTC_EOL_LF.

## ◆ GetExtraAscent()

int wxStyledTextCtrl::GetExtraAscent | ( |  | ) | const

Get extra ascent for each line.

## ◆ GetExtraDescent()

int wxStyledTextCtrl::GetExtraDescent | ( |  | ) | const

Get extra descent for each line.

## ◆ GetFirstVisibleLine()

int wxStyledTextCtrl::GetFirstVisibleLine | ( |  | ) | const

Retrieve the display line at the top of the display.

## ◆ GetFoldExpanded()

bool wxStyledTextCtrl::GetFoldExpanded | ( | int | line | ) | const

Is a header line expanded?

## ◆ GetFoldLevel()

int wxStyledTextCtrl::GetFoldLevel | ( | int | line | ) | const

Retrieve the fold level of a line.

## ◆ GetFoldParent()

int wxStyledTextCtrl::GetFoldParent | ( | int | line | ) | const

Find the parent line of a child line.

## ◆ GetFontQuality()

int wxStyledTextCtrl::GetFontQuality | ( |  | ) | const

Retrieve the quality level for text.

The return value will be one of the wxSTC_EFF_QUALITY_* constants.

Since
  3.1.1

## ◆ GetGapPosition()

int wxStyledTextCtrl::GetGapPosition | ( |  | ) | const

Return a position which, to avoid performance costs, should not be within the range of a call to GetRangePointer.

## ◆ GetHighlightGuide()

int wxStyledTextCtrl::GetHighlightGuide | ( |  | ) | const

Get the highlighted indentation guide column.

## ◆ GetHotspotActiveBackground()

wxColour wxStyledTextCtrl::GetHotspotActiveBackground | ( |  | ) | const

Get the back colour for active hotspots.

## ◆ GetHotspotActiveForeground()

wxColour wxStyledTextCtrl::GetHotspotActiveForeground | ( |  | ) | const

Get the fore colour for active hotspots.

## ◆ GetHotspotActiveUnderline()

bool wxStyledTextCtrl::GetHotspotActiveUnderline | ( |  | ) | const

Get whether underlining for active hotspots.

## ◆ GetHotspotSingleLine()

bool wxStyledTextCtrl::GetHotspotSingleLine | ( |  | ) | const

Get the HotspotSingleLine property.

## ◆ GetIdentifier()

int wxStyledTextCtrl::GetIdentifier | ( |  | ) | const

Get the identifier.

## ◆ GetIdleStyling()

int wxStyledTextCtrl::GetIdleStyling | ( |  | ) | const

Retrieve the limits to idle styling.

The return value will be one of the wxSTC_IDLESTYLING_* constants.

Since
  3.1.1

## ◆ GetIMEInteraction()

int wxStyledTextCtrl::GetIMEInteraction | ( |  | ) | const

Is the IME displayed in a window or inline?

The return value will be one of the wxSTC_IME_* constants.

Since
  3.1.0

## ◆ GetIndent()

int wxStyledTextCtrl::GetIndent | ( |  | ) | const

Retrieve indentation size.

## ◆ GetIndentationGuides()

int wxStyledTextCtrl::GetIndentationGuides | ( |  | ) | const

Are the indentation guides visible?

The return value will be one of the wxSTC_IV_* constants.

## ◆ GetIndicatorCurrent()

int wxStyledTextCtrl::GetIndicatorCurrent | ( |  | ) | const

Get the current indicator.

## ◆ GetIndicatorValue()

int wxStyledTextCtrl::GetIndicatorValue | ( |  | ) | const

Get the current indicator value.

## ◆ GetInsertionPoint()

virtual long wxStyledTextCtrl::GetInsertionPoint | ( |  | ) | const
| virtual

Returns the insertion point, or cursor, position.

This is defined as the zero based index of the character position to the right of the insertion point. For example, if the insertion point is at the end of the single-line text control, it is equal to GetLastPosition().

Notice that insertion position is, in general, different from the index of the character the cursor position at in the string returned by GetValue(). While this is always the case for the single line controls, multi-line controls can use two characters `"\\r\\n"` as line separator (this is notably the case under MSW) meaning that indices in the control and its string value are offset by 1 for every line.

Hence to correctly get the character at the current cursor position, taking into account that there can be none if the cursor is at the end of the string, you could do the following:

wxString GetCurrentChar(wxTextCtrl *tc)
{
long pos = tc->GetInsertionPoint();
if ( pos == tc->GetLastPosition() )
return wxString();
return tc->GetRange(pos, pos + 1);
}
wxString
String class for passing textual data to or receiving it from wxWidgets.
Definition string.h:315
wxTextCtrl
A text control allows text to be displayed and edited.
Definition textctrl.h:1245
wxTextEntry::GetLastPosition
virtual wxTextPos GetLastPosition() const
Returns the zero based index of the last position in the text control, which is equal to the number o...
wxTextEntry::GetRange
virtual wxString GetRange(long from, long to) const
Returns the string containing the text starting in the positions from and up to to in the control.
wxTextEntry::GetInsertionPoint
virtual long GetInsertionPoint() const
Returns the insertion point, or cursor, position.

Reimplemented from wxTextEntry.

## ◆ GetLastChild()

int wxStyledTextCtrl::GetLastChild | ( | int | line,
|  | int | level ) const

Find the last child line of a header line.

## ◆ GetLastKeydownProcessed()

bool wxStyledTextCtrl::GetLastKeydownProcessed | ( |  | ) |

Can be used to prevent the EVT_CHAR handler from adding the char.

## ◆ GetLastPosition()

virtual long wxStyledTextCtrl::GetLastPosition | ( |  | ) | const
| virtual

Returns the zero based index of the last position in the text control, which is equal to the number of characters in the control.

Reimplemented from wxTextEntry.

## ◆ GetLayoutCache()

int wxStyledTextCtrl::GetLayoutCache | ( |  | ) | const

Retrieve the degree of caching of layout information.

The return value will be one of the wxSTC_CACHE_* constants.

## ◆ GetLength()

int wxStyledTextCtrl::GetLength | ( |  | ) | const

Returns the number of bytes in the document.

## ◆ GetLexer()

int wxStyledTextCtrl::GetLexer | ( |  | ) | const

Retrieve the lexing language of the document.

The return value will be one of the wxSTC_LEX_* constants.

## ◆ GetLexerLanguage()

wxString wxStyledTextCtrl::GetLexerLanguage | ( |  | ) | const

Retrieve the lexing language of the document.

Since
  3.1.1

## ◆ GetLibraryVersionInfo()

wxVersionInfo wxStyledTextCtrl::GetLibraryVersionInfo | ( |  | ) |
| static

Returns the version of the Scintilla library used by this control.

## ◆ GetLine()

wxString wxStyledTextCtrl::GetLine | ( | int | line | ) | const

Retrieve the contents of a line.

## ◆ GetLineCount()

int wxStyledTextCtrl::GetLineCount | ( |  | ) | const

Returns the number of lines in the document.

There is always at least one.

## ◆ GetLineEndPosition()

int wxStyledTextCtrl::GetLineEndPosition | ( | int | line | ) | const

Get the position after the last visible characters on a line.

## ◆ GetLineEndTypesActive()

int wxStyledTextCtrl::GetLineEndTypesActive | ( |  | ) | const

Get the line end types currently recognised.

May be a subset of the allowed types due to lexer limitation.

The return value will be one of the wxSTC_LINE_END_TYPE_* constants.

Since
  3.1.0

## ◆ GetLineEndTypesAllowed()

int wxStyledTextCtrl::GetLineEndTypesAllowed | ( |  | ) | const

Get the line end types currently allowed.

The return value will be one of the wxSTC_LINE_END_TYPE_* constants.

Since
  3.1.0

## ◆ GetLineEndTypesSupported()

int wxStyledTextCtrl::GetLineEndTypesSupported | ( |  | ) | const

Bit set of LineEndType enumertion for which line ends beyond the standard LF, CR, and CRLF are supported by the lexer.

The return value will be a bit list containing one or more of the wxSTC_LINE_END_TYPE_* constants.

Since
  3.1.0

## ◆ GetLineIndentation()

int wxStyledTextCtrl::GetLineIndentation | ( | int | line | ) | const

Retrieve the number of columns that a line is indented.

## ◆ GetLineIndentPosition()

int wxStyledTextCtrl::GetLineIndentPosition | ( | int | line | ) | const

Retrieve the position before the first non indentation character on a line.

## ◆ GetLineLength()

virtual int wxStyledTextCtrl::GetLineLength | ( | long | lineNo | ) | const
| virtual

Gets the length of the specified line, not including any trailing newline character(s).

Parameters

  lineNo | Line number (starting from zero).

Returns
  The length of the line, or -1 if lineNo was invalid.

## ◆ GetLineRaw()

wxCharBuffer wxStyledTextCtrl::GetLineRaw | ( | int | line | ) |

Retrieve the contents of a line.

## ◆ GetLineSelEndPosition()

int wxStyledTextCtrl::GetLineSelEndPosition | ( | int | line | ) |

Retrieve the position of the end of the selection at the given line (wxSTC_INVALID_POSITION if no selection on this line).

## ◆ GetLineSelStartPosition()

int wxStyledTextCtrl::GetLineSelStartPosition | ( | int | line | ) |

Retrieve the position of the start of the selection at the given line (wxSTC_INVALID_POSITION if no selection on this line).

## ◆ GetLineState()

int wxStyledTextCtrl::GetLineState | ( | int | line | ) | const

Retrieve the extra styling information for a line.

## ◆ GetLineText()

virtual wxString wxStyledTextCtrl::GetLineText | ( | long | lineNo | ) | const
| virtual

Returns the contents of a given line in the text control, not including any trailing newline character(s).

Parameters

  lineNo | The line number, starting from zero.

Returns
  The contents of the line.

## ◆ GetLineVisible()

bool wxStyledTextCtrl::GetLineVisible | ( | int | line | ) | const

Is a line visible?

## ◆ GetMainSelection()

int wxStyledTextCtrl::GetMainSelection | ( |  | ) | const

Which selection is the main selection.

## ◆ GetMarginBackground()

wxColour wxStyledTextCtrl::GetMarginBackground | ( | int | margin | ) | const

Retrieve the background colour of a margin.

Since
  3.1.1

## ◆ GetMarginCount()

int wxStyledTextCtrl::GetMarginCount | ( |  | ) | const

How many margins are there?

Since
  3.1.1

## ◆ GetMarginCursor()

int wxStyledTextCtrl::GetMarginCursor | ( | int | margin | ) | const

Retrieve the cursor shown in a margin.

The return value will be one of the wxSTC_CURSOR* constants.

## ◆ GetMarginLeft()

int wxStyledTextCtrl::GetMarginLeft | ( |  | ) | const

Returns the size in pixels of the left margin.

## ◆ GetMarginMask()

int wxStyledTextCtrl::GetMarginMask | ( | int | margin | ) | const

Retrieve the marker mask of a margin.

## ◆ GetMarginOptions()

int wxStyledTextCtrl::GetMarginOptions | ( |  | ) | const

Get the margin options.

The return value will be one of the wxSTC_MARGINOPTION_* constants.

## ◆ GetMarginRight()

int wxStyledTextCtrl::GetMarginRight | ( |  | ) | const

Returns the size in pixels of the right margin.

## ◆ GetMarginSensitive()

bool wxStyledTextCtrl::GetMarginSensitive | ( | int | margin | ) | const

Retrieve the mouse click sensitivity of a margin.

## ◆ GetMarginType()

int wxStyledTextCtrl::GetMarginType | ( | int | margin | ) | const

Retrieve the type of a margin.

The return value will be one of the wxSTC_MARGIN_* constants.

## ◆ GetMarginWidth()

int wxStyledTextCtrl::GetMarginWidth | ( | int | margin | ) | const

Retrieve the width of a margin in pixels.

## ◆ GetMarkerSymbolDefined()

int wxStyledTextCtrl::GetMarkerSymbolDefined | ( | int | markerNumber | ) |

Which symbol was defined for markerNumber with MarkerDefine.

The return value will be one of the wxSTC_MARK_* constants.

## ◆ GetMaxLineState()

int wxStyledTextCtrl::GetMaxLineState | ( |  | ) | const

Retrieve the last line number that has line state.

## ◆ GetModEventMask()

int wxStyledTextCtrl::GetModEventMask | ( |  | ) | const

Get which document modification events are sent to the container.

The return value will wxSTC_MODEVENTMASKALL if all changes generate events. Otherwise it will be a bit list containing one or more of the wxSTC_MOD_* constants, the wxSTC_PERFORMED_* constants, wxSTC_STARTACTION, wxSTC_MULTILINEUNDOREDO, wxSTC_MULTISTEPUNDOREDO, and wxSTC_LASTSTEPINUNDOREDO.

## ◆ GetModify()

bool wxStyledTextCtrl::GetModify | ( |  | ) | const

Is the document different from when it was last saved?

## ◆ GetMouseDownCaptures()

bool wxStyledTextCtrl::GetMouseDownCaptures | ( |  | ) | const

Get whether mouse gets captured.

## ◆ GetMouseDwellTime()

int wxStyledTextCtrl::GetMouseDwellTime | ( |  | ) | const

Retrieve the time the mouse must sit still to generate a mouse dwell event.

The return value will be a time in milliseconds or wxSTC_TIME_FOREVER.

## ◆ GetMouseSelectionRectangularSwitch()

bool wxStyledTextCtrl::GetMouseSelectionRectangularSwitch | ( |  | ) | const

Whether switching to rectangular mode while selecting with the mouse is allowed.

Since
  3.1.0

## ◆ GetMouseWheelCaptures()

bool wxStyledTextCtrl::GetMouseWheelCaptures | ( |  | ) | const

Get whether mouse wheel can be active outside the window.

Since
  3.1.1

## ◆ GetMultiPaste()

int wxStyledTextCtrl::GetMultiPaste | ( |  | ) | const

Retrieve the effect of pasting when there are multiple selections.

The return value will be one of the wxSTC_MULTIPASTE_* constants.

## ◆ GetMultipleSelection()

bool wxStyledTextCtrl::GetMultipleSelection | ( |  | ) | const

Whether multiple selections can be made.

## ◆ GetNextTabStop()

int wxStyledTextCtrl::GetNextTabStop | ( | int | line,
|  | int | x )

Find the next explicit tab stop position on a line after a position.

Since
  3.1.0

## ◆ GetNumberOfLines()

virtual int wxStyledTextCtrl::GetNumberOfLines | ( |  | ) | const
| virtual

Returns the number of lines in the text control buffer.

The returned number is the number of logical lines, i.e. just the count of the number of newline characters in the control + 1, for wxGTK and wxOSX/Cocoa ports while it is the number of physical lines, i.e. the count of lines actually shown in the control, in wxMSW. Because of this discrepancy, it is not recommended to use this function.

Remarks
  Note that even empty text controls have one line (where the insertion point is), so GetNumberOfLines() never returns 0.

## ◆ GetOvertype()

bool wxStyledTextCtrl::GetOvertype | ( |  | ) | const

Returns true if overtype mode is active otherwise false is returned.

## ◆ GetPasteConvertEndings()

bool wxStyledTextCtrl::GetPasteConvertEndings | ( |  | ) | const

Get convert-on-paste setting.

## ◆ GetPhasesDraw()

int wxStyledTextCtrl::GetPhasesDraw | ( |  | ) | const

How many phases is drawing done in?

The return value will be one of the wxSTC_PHASES_* constants.

Since
  3.1.0

## ◆ GetPositionCacheSize()

int wxStyledTextCtrl::GetPositionCacheSize | ( |  | ) | const

How many entries are allocated to the position cache?

## ◆ GetPrimaryStyleFromStyle()

int wxStyledTextCtrl::GetPrimaryStyleFromStyle | ( | int | style | ) | const

For a secondary style, return the primary style, else return the argument.

Since
  3.1.0

## ◆ GetPrintColourMode()

int wxStyledTextCtrl::GetPrintColourMode | ( |  | ) | const

Returns the print colour mode.

The return value will be one of the wxSTC_PRINT_* constants.

## ◆ GetPrintMagnification()

int wxStyledTextCtrl::GetPrintMagnification | ( |  | ) | const

Returns the print magnification.

## ◆ GetPrintWrapMode()

int wxStyledTextCtrl::GetPrintWrapMode | ( |  | ) | const

Is printing line wrapped?

The return value will be one of the wxSTC_WRAP_* constants.

## ◆ GetProperty()

wxString wxStyledTextCtrl::GetProperty | ( | const wxString & | key | ) |

Retrieve a "property" value previously set with SetProperty.

## ◆ GetPropertyExpanded()

wxString wxStyledTextCtrl::GetPropertyExpanded | ( | const wxString & | key | ) |

Retrieve a "property" value previously set with SetProperty, with "$()" variable replacement on returned buffer.

## ◆ GetPropertyInt()

int wxStyledTextCtrl::GetPropertyInt | ( | const wxString & | key,
|  | int | defaultValue = 0 ) const

Retrieve a "property" value previously set with SetProperty, interpreted as an int AFTER any "$()" variable replacement.

## ◆ GetPunctuationChars()

wxString wxStyledTextCtrl::GetPunctuationChars | ( |  | ) | const

Get the set of characters making up punctuation characters.

## ◆ GetRangePointer()

const char * wxStyledTextCtrl::GetRangePointer | ( | int | position,
|  | int | rangeLength ) const

Return a read-only pointer to a range of characters in the document.

May move the gap so that the range is contiguous, but will only move up to lengthRange bytes.

## ◆ GetReadOnly()

bool wxStyledTextCtrl::GetReadOnly | ( |  | ) | const

In read-only mode?

## ◆ GetRectangularSelectionAnchor()

int wxStyledTextCtrl::GetRectangularSelectionAnchor | ( |  | ) | const

Return the anchor position of the rectangular selection.

## ◆ GetRectangularSelectionAnchorVirtualSpace()

int wxStyledTextCtrl::GetRectangularSelectionAnchorVirtualSpace | ( |  | ) | const

Return the virtual space of the anchor of the rectangular selection.

## ◆ GetRectangularSelectionCaret()

int wxStyledTextCtrl::GetRectangularSelectionCaret | ( |  | ) | const

Return the caret position of the rectangular selection.

## ◆ GetRectangularSelectionCaretVirtualSpace()

int wxStyledTextCtrl::GetRectangularSelectionCaretVirtualSpace | ( |  | ) | const

Return the virtual space of the caret of the rectangular selection.

## ◆ GetRectangularSelectionModifier()

int wxStyledTextCtrl::GetRectangularSelectionModifier | ( |  | ) | const

Get the modifier key used for rectangular selection.

The return value will be a bit list containing one or more of the wxSTC_KEYMOD_* constants.

## ◆ GetRepresentation()

wxString wxStyledTextCtrl::GetRepresentation | ( | const wxString & | encodedCharacter | ) | const

Set the way a character is drawn.

Since
  3.1.0

## ◆ GetScrollWidth()

int wxStyledTextCtrl::GetScrollWidth | ( |  | ) | const

Retrieve the document width assumed for scrolling.

## ◆ GetScrollWidthTracking()

bool wxStyledTextCtrl::GetScrollWidthTracking | ( |  | ) | const

Retrieve whether the scroll width tracks wide lines.

## ◆ GetSearchFlags()

int wxStyledTextCtrl::GetSearchFlags | ( |  | ) | const

Get the search flags used by SearchInTarget.

The return value will be a bit list containing one or more of the wxSTC_FIND_* constants.

## ◆ GetSelAlpha()

int wxStyledTextCtrl::GetSelAlpha | ( |  | ) | const

Get the alpha of the selection.

## ◆ GetSelectedText()

wxString wxStyledTextCtrl::GetSelectedText | ( |  | ) |

Retrieve the selected text.

## ◆ GetSelectedTextRaw()

wxCharBuffer wxStyledTextCtrl::GetSelectedTextRaw | ( |  | ) |

Retrieve the selected text.

## ◆ GetSelection()

virtual void wxStyledTextCtrl::GetSelection | ( | long * | from,
|  | long * | to ) const
| virtual

Gets the current selection span.

If the returned values are equal, there was no selection. Please note that the indices returned may be used with the other wxTextCtrl methods but don't necessarily represent the correct indices into the string returned by GetValue() for multiline controls under Windows (at least,) you should use GetStringSelection() to get the selected text.

Parameters

  from | The returned first position.
  to | The returned last position.

wxPerl Note: In wxPerl this method takes no parameters and returns a 2-element list (from, to).

Reimplemented from wxTextEntry.

## ◆ GetSelectionEmpty()

bool wxStyledTextCtrl::GetSelectionEmpty | ( |  | ) | const

Is every selected range empty?

Since
  3.1.0

## ◆ GetSelectionEnd()

int wxStyledTextCtrl::GetSelectionEnd | ( |  | ) | const

Returns the position at the end of the selection.

## ◆ GetSelectionMode()

int wxStyledTextCtrl::GetSelectionMode | ( |  | ) | const

Get the mode of the current selection.

The return value will be one of the wxSTC_SEL_* constants.

## ◆ GetSelectionNAnchor()

int wxStyledTextCtrl::GetSelectionNAnchor | ( | int | selection | ) | const

Return the anchor position of the nth selection.

## ◆ GetSelectionNAnchorVirtualSpace()

int wxStyledTextCtrl::GetSelectionNAnchorVirtualSpace | ( | int | selection | ) | const

Return the virtual space of the anchor of the nth selection.

## ◆ GetSelectionNCaret()

int wxStyledTextCtrl::GetSelectionNCaret | ( | int | selection | ) | const

Return the caret position of the nth selection.

## ◆ GetSelectionNCaretVirtualSpace()

int wxStyledTextCtrl::GetSelectionNCaretVirtualSpace | ( | int | selection | ) | const

Return the virtual space of the caret of the nth selection.

## ◆ GetSelectionNEnd()

int wxStyledTextCtrl::GetSelectionNEnd | ( | int | selection | ) | const

Returns the position at the end of the selection.

## ◆ GetSelectionNStart()

int wxStyledTextCtrl::GetSelectionNStart | ( | int | selection | ) | const

Returns the position at the start of the selection.

## ◆ GetSelections()

int wxStyledTextCtrl::GetSelections | ( |  | ) | const

How many selections are there?

## ◆ GetSelectionStart()

int wxStyledTextCtrl::GetSelectionStart | ( |  | ) | const

Returns the position at the start of the selection.

## ◆ GetSelEOLFilled()

bool wxStyledTextCtrl::GetSelEOLFilled | ( |  | ) | const

Is the selection end of line filled?

## ◆ GetStatus()

int wxStyledTextCtrl::GetStatus | ( |  | ) | const

Get error status.

The return value will be one of the wxSTC_STATUS_* constants.

## ◆ GetSTCCursor()

int wxStyledTextCtrl::GetSTCCursor | ( |  | ) | const

Get cursor type.

The return value will be one of the wxSTC_CURSOR* constants.

## ◆ GetSTCFocus()

bool wxStyledTextCtrl::GetSTCFocus | ( |  | ) | const

Get internal focus flag.

## ◆ GetStyle()

virtual bool wxStyledTextCtrl::GetStyle | ( | long | position,
|  | wxTextAttr & | style )
| virtual

This method is inherited from wxTextAreaBase but is not implemented in wxStyledTextCtrl.

## ◆ GetStyleAt()

int wxStyledTextCtrl::GetStyleAt | ( | int | pos | ) | const

Returns the style byte at the position.

## ◆ GetStyleBits()

int wxStyledTextCtrl::GetStyleBits | ( |  | ) | const

Retrieve number of bits in style bytes used to hold the lexical state.

Deprecated

## ◆ GetStyleBitsNeeded()

int wxStyledTextCtrl::GetStyleBitsNeeded | ( |  | ) | const

Retrieve the number of bits the current lexer needs for styling.

Deprecated

## ◆ GetStyledText()

wxMemoryBuffer wxStyledTextCtrl::GetStyledText | ( | int | startPos,
|  | int | endPos )

Retrieve a buffer of cells.

## ◆ GetStyleFromSubStyle()

int wxStyledTextCtrl::GetStyleFromSubStyle | ( | int | subStyle | ) | const

For a sub style, return the base style, else return the argument.

Since
  3.1.0

## ◆ GetSubStyleBases()

wxString wxStyledTextCtrl::GetSubStyleBases | ( |  | ) | const

Get the set of base styles that can be extended with sub styles.

Since
  3.1.0

## ◆ GetSubStylesLength()

int wxStyledTextCtrl::GetSubStylesLength | ( | int | styleBase | ) | const

The number of sub styles associated with a base style.

Since
  3.1.0

## ◆ GetSubStylesStart()

int wxStyledTextCtrl::GetSubStylesStart | ( | int | styleBase | ) | const

The starting style number for the sub styles associated with a base style.

Since
  3.1.0

## ◆ GetTabDrawMode()

int wxStyledTextCtrl::GetTabDrawMode | ( |  | ) | const

Retrieve the current tab draw mode.

Returns one of wxSTC_TD_* constants.

Since
  3.1.1

## ◆ GetTabIndents()

bool wxStyledTextCtrl::GetTabIndents | ( |  | ) | const

Does a tab pressed when caret is within indentation indent?

## ◆ GetTabWidth()

int wxStyledTextCtrl::GetTabWidth | ( |  | ) | const

Retrieve the visible size of a tab.

## ◆ GetTag()

wxString wxStyledTextCtrl::GetTag | ( | int | tagNumber | ) | const

Retrieve the value of a tag from a regular expression search.

## ◆ GetTargetEnd()

int wxStyledTextCtrl::GetTargetEnd | ( |  | ) | const

Get the position that ends the target.

## ◆ GetTargetStart()

int wxStyledTextCtrl::GetTargetStart | ( |  | ) | const

Get the position that starts the target.

## ◆ GetTargetText()

wxString wxStyledTextCtrl::GetTargetText | ( |  | ) | const

Retrieve the text in the target.

Since
  3.1.0

## ◆ GetTargetTextRaw()

wxCharBuffer wxStyledTextCtrl::GetTargetTextRaw | ( |  | ) |

Retrieve the target text.

Since
  3.1.1

## ◆ GetTechnology()

int wxStyledTextCtrl::GetTechnology | ( |  | ) | const

Get the tech.

The return value will be one of the wxSTC_TECHNOLOGY_* constants.

## ◆ GetText()

wxString wxStyledTextCtrl::GetText | ( |  | ) | const

Retrieve all the text in the document.

## ◆ GetTextLength()

int wxStyledTextCtrl::GetTextLength | ( |  | ) | const

Retrieve the number of characters in the document.

## ◆ GetTextRange()

wxString wxStyledTextCtrl::GetTextRange | ( | int | startPos,
|  | int | endPos )

Retrieve a range of text.

## ◆ GetTextRangeRaw()

wxCharBuffer wxStyledTextCtrl::GetTextRangeRaw | ( | int | startPos,
|  | int | endPos )

Retrieve a range of text.

## ◆ GetTextRaw()

wxCharBuffer wxStyledTextCtrl::GetTextRaw | ( |  | ) |

Retrieve all the text in the document.

## ◆ GetTwoPhaseDraw()

bool wxStyledTextCtrl::GetTwoPhaseDraw | ( |  | ) | const

Is drawing done in two phases with backgrounds drawn before foregrounds?

## ◆ GetUndoCollection()

bool wxStyledTextCtrl::GetUndoCollection | ( |  | ) | const

Is undo history being collected?

## ◆ GetUseAntiAliasing()

bool wxStyledTextCtrl::GetUseAntiAliasing | ( |  | ) |

Returns the current UseAntiAliasing setting.

## ◆ GetUseHorizontalScrollBar()

bool wxStyledTextCtrl::GetUseHorizontalScrollBar | ( |  | ) | const

Is the horizontal scroll bar visible?

## ◆ GetUseTabs()

bool wxStyledTextCtrl::GetUseTabs | ( |  | ) | const

Retrieve whether tabs will be used in indentation.

## ◆ GetUseVerticalScrollBar()

bool wxStyledTextCtrl::GetUseVerticalScrollBar | ( |  | ) | const

Is the vertical scroll bar visible?

## ◆ GetViewEOL()

bool wxStyledTextCtrl::GetViewEOL | ( |  | ) | const

Are the end of line characters visible?

## ◆ GetViewWhiteSpace()

int wxStyledTextCtrl::GetViewWhiteSpace | ( |  | ) | const

Are white space characters currently visible?

Returns one of wxSTC_WS_* constants.

## ◆ GetVirtualSpaceOptions()

int wxStyledTextCtrl::GetVirtualSpaceOptions | ( |  | ) | const

Return options for virtual space behaviour.

The return value will be one of the wxSTC_VS_* constants.

## ◆ GetWhitespaceChars()

wxString wxStyledTextCtrl::GetWhitespaceChars | ( |  | ) | const

Get the set of characters making up whitespace for when moving or selecting by word.

## ◆ GetWhitespaceSize()

int wxStyledTextCtrl::GetWhitespaceSize | ( |  | ) | const

Get the size of the dots used to mark space characters.

## ◆ GetWordChars()

wxString wxStyledTextCtrl::GetWordChars | ( |  | ) | const

Get the set of characters making up words for when moving or selecting by word.

## ◆ GetWrapIndentMode()

int wxStyledTextCtrl::GetWrapIndentMode | ( |  | ) | const

Retrieve how wrapped sublines are placed.

Default is wxSTC_WRAPINDENT_FIXED.

The return value will be one of the wxSTC_WRAPINDENT_* constants.

## ◆ GetWrapMode()

int wxStyledTextCtrl::GetWrapMode | ( |  | ) | const

Retrieve whether text is word wrapped.

The return value will be one of the wxSTC_WRAP_* constants.

## ◆ GetWrapStartIndent()

int wxStyledTextCtrl::GetWrapStartIndent | ( |  | ) | const

Retrieve the start indent for wrapped lines.

## ◆ GetWrapVisualFlags()

int wxStyledTextCtrl::GetWrapVisualFlags | ( |  | ) | const

Retrieve the display mode of visual flags for wrapped lines.

The return value will be a bit list containing one or more of the wxSTC_WRAPVISUALFLAG_* constants.

## ◆ GetWrapVisualFlagsLocation()

int wxStyledTextCtrl::GetWrapVisualFlagsLocation | ( |  | ) | const

Retrieve the location of visual flags for wrapped lines.

The return value will be a bit list containing one or more of the wxSTC_WRAPVISUALFLAGLOC_* constants.

## ◆ GetXOffset()

int wxStyledTextCtrl::GetXOffset | ( |  | ) | const

Get the xOffset (ie, horizontal scroll position).

## ◆ GetZoom()

int wxStyledTextCtrl::GetZoom | ( |  | ) | const

Retrieve the zoom level.

## ◆ GotoLine()

void wxStyledTextCtrl::GotoLine | ( | int | line | ) |

Set caret to start of a line and ensure it is visible.

## ◆ GotoPos()

void wxStyledTextCtrl::GotoPos | ( | int | caret | ) |

Set caret to a position and ensure it is visible.

## ◆ HideLines()

void wxStyledTextCtrl::HideLines | ( | int | lineStart,
|  | int | lineEnd )

Make a range of lines invisible.

## ◆ HideSelection()

void wxStyledTextCtrl::HideSelection | ( | bool | hide | ) |

Draw the selection in normal style or with selection highlighted.

## ◆ HitTest() [1/2]

virtual wxTextCtrlHitTestResult wxStyledTextCtrl::HitTest | ( | const wxPoint & | pt,
|  | long * | pos ) const
| virtual

Finds the position of the character at the specified point.

If the return code is not `wxTE_HT_UNKNOWN` the row and column of the character closest to this position are returned, otherwise the output parameters are not modified.

Please note that this function is currently only implemented in wxUniv, wxMSW and wxGTK2 ports and always returns `wxTE_HT_UNKNOWN` in the other ports.

wxPerl Note: In wxPerl this function takes only the pt argument and returns a 3-element list (result, col, row).

Parameters

  pt | The position of the point to check, in window device coordinates.
  pos | Receives the position of the character at the given position. May be NULL.

See also
  PositionToXY(), XYToPosition()

## ◆ HitTest() [2/2]

virtual wxTextCtrlHitTestResult wxStyledTextCtrl::HitTest | ( | const wxPoint & | pt,
|  | wxTextCoord * | col,
|  | wxTextCoord * | row ) const
| virtual

Finds the row and column of the character at the specified point.

If the return code is not `wxTE_HT_UNKNOWN` the row and column of the character closest to this position are returned, otherwise the output parameters are not modified.

Please note that this function is currently only implemented in wxUniv, wxMSW and wxGTK2 ports and always returns `wxTE_HT_UNKNOWN` in the other ports.

wxPerl Note: In wxPerl this function takes only the pt argument and returns a 3-element list (result, col, row).

Parameters

  pt | The position of the point to check, in window device coordinates.
  col | Receives the column of the character at the given position. May be NULL.
  row | Receives the row of the character at the given position. May be NULL.

See also
  PositionToXY(), XYToPosition()

## ◆ Home()

void wxStyledTextCtrl::Home | ( |  | ) |

Move caret to first position on line.

## ◆ HomeDisplay()

void wxStyledTextCtrl::HomeDisplay | ( |  | ) |

Move caret to first position on display line.

## ◆ HomeDisplayExtend()

void wxStyledTextCtrl::HomeDisplayExtend | ( |  | ) |

Move caret to first position on display line extending selection to new caret position.

## ◆ HomeExtend()

void wxStyledTextCtrl::HomeExtend | ( |  | ) |

Move caret to first position on line extending selection to new caret position.

## ◆ HomeRectExtend()

void wxStyledTextCtrl::HomeRectExtend | ( |  | ) |

Move caret to first position on line, extending rectangular selection to new caret position.

## ◆ HomeWrap()

void wxStyledTextCtrl::HomeWrap | ( |  | ) |

Like Home but when word-wrap is enabled goes first to start of display line HomeDisplay, then to start of document line Home.

## ◆ HomeWrapExtend()

void wxStyledTextCtrl::HomeWrapExtend | ( |  | ) |

Like HomeExtend but when word-wrap is enabled extends first to start of display line HomeDisplayExtend, then to start of document line HomeExtend.

## ◆ IndicatorAllOnFor()

int wxStyledTextCtrl::IndicatorAllOnFor | ( | int | pos | ) |

Are any indicators present at pos?

## ◆ IndicatorClearRange()

void wxStyledTextCtrl::IndicatorClearRange | ( | int | start,
|  | int | lengthClear )

Turn an indicator off over a range.

## ◆ IndicatorEnd()

int wxStyledTextCtrl::IndicatorEnd | ( | int | indicator,
|  | int | pos )

Where does a particular indicator end?

## ◆ IndicatorFillRange()

void wxStyledTextCtrl::IndicatorFillRange | ( | int | start,
|  | int | lengthFill )

Turn an indicator on over a range.

## ◆ IndicatorGetAlpha()

int wxStyledTextCtrl::IndicatorGetAlpha | ( | int | indicator | ) | const

Get the alpha fill colour of the given indicator.

## ◆ IndicatorGetFlags()

int wxStyledTextCtrl::IndicatorGetFlags | ( | int | indicator | ) | const

Retrieve the attributes of an indicator.

The return value will be a bit list containing one or more of the wxSTC_INDICFLAG_* constants.

Since
  3.1.0

## ◆ IndicatorGetForeground()

wxColour wxStyledTextCtrl::IndicatorGetForeground | ( | int | indicator | ) | const

Retrieve the foreground colour of an indicator.

## ◆ IndicatorGetHoverForeground()

wxColour wxStyledTextCtrl::IndicatorGetHoverForeground | ( | int | indicator | ) | const

Retrieve the foreground hover colour of an indicator.

Since
  3.1.0

## ◆ IndicatorGetHoverStyle()

int wxStyledTextCtrl::IndicatorGetHoverStyle | ( | int | indicator | ) | const

Retrieve the hover style of an indicator.

Since
  3.1.0

## ◆ IndicatorGetOutlineAlpha()

int wxStyledTextCtrl::IndicatorGetOutlineAlpha | ( | int | indicator | ) | const

Get the alpha outline colour of the given indicator.

## ◆ IndicatorGetStyle()

int wxStyledTextCtrl::IndicatorGetStyle | ( | int | indicator | ) | const

Retrieve the style of an indicator.

The return value will be one of the wxSTC_INDIC_* constants.

## ◆ IndicatorGetUnder()

bool wxStyledTextCtrl::IndicatorGetUnder | ( | int | indicator | ) | const

Retrieve whether indicator drawn under or over text.

## ◆ IndicatorSetAlpha()

void wxStyledTextCtrl::IndicatorSetAlpha | ( | int | indicator,
|  | int | alpha )

Set the alpha fill colour of the given indicator.

## ◆ IndicatorSetFlags()

void wxStyledTextCtrl::IndicatorSetFlags | ( | int | indicator,
|  | int | flags )

Set the attributes of an indicator.

The second argument should be a bit list containing one or more of the wxSTC_INDICFLAG_* constants.

Since
  3.1.0

## ◆ IndicatorSetForeground()

void wxStyledTextCtrl::IndicatorSetForeground | ( | int | indicator,
|  | const wxColour & | fore )

Set the foreground colour of an indicator.

## ◆ IndicatorSetHoverForeground()

void wxStyledTextCtrl::IndicatorSetHoverForeground | ( | int | indicator,
|  | const wxColour & | fore )

Set the foreground hover colour of an indicator.

Since
  3.1.0

## ◆ IndicatorSetHoverStyle()

void wxStyledTextCtrl::IndicatorSetHoverStyle | ( | int | indicator,
|  | int | indicatorStyle )

Set a hover indicator to plain, squiggle or TT.

Since
  3.1.0

## ◆ IndicatorSetOutlineAlpha()

void wxStyledTextCtrl::IndicatorSetOutlineAlpha | ( | int | indicator,
|  | int | alpha )

Set the alpha outline colour of the given indicator.

## ◆ IndicatorSetStyle()

void wxStyledTextCtrl::IndicatorSetStyle | ( | int | indicator,
|  | int | indicatorStyle )

Set an indicator to plain, squiggle or TT.

The second argument should be one of the wxSTC_INDIC_* constants.

## ◆ IndicatorSetUnder()

void wxStyledTextCtrl::IndicatorSetUnder | ( | int | indicator,
|  | bool | under )

Set an indicator to draw under text or over(default).

## ◆ IndicatorStart()

int wxStyledTextCtrl::IndicatorStart | ( | int | indicator,
|  | int | pos )

Where does a particular indicator start?

## ◆ IndicatorValueAt()

int wxStyledTextCtrl::IndicatorValueAt | ( | int | indicator,
|  | int | pos )

What value does a particular indicator have at a position?

## ◆ InsertText()

void wxStyledTextCtrl::InsertText | ( | int | pos,
|  | const wxString & | text )

Insert string at a position.

## ◆ InsertTextRaw()

void wxStyledTextCtrl::InsertTextRaw | ( | int | pos,
|  | const char * | text )

Insert string at a position.

## ◆ IsEditable()

virtual bool wxStyledTextCtrl::IsEditable | ( |  | ) | const
| virtual

Returns true if the controls contents may be edited by user (note that it always can be changed by the program).

In other words, this functions returns true if the control hasn't been put in read-only mode by a previous call to SetEditable().

Reimplemented from wxTextEntry.

## ◆ IsModified()

virtual bool wxStyledTextCtrl::IsModified | ( |  | ) | const
| virtual

Returns true if the text has been modified by user.

Note that calling SetValue() doesn't make the control modified.

See also
  MarkDirty()

## ◆ IsRangeWord()

bool wxStyledTextCtrl::IsRangeWord | ( | int | start,
|  | int | end )

Is the range start..end considered a word?

Since
  3.1.1

## ◆ LineCopy()

void wxStyledTextCtrl::LineCopy | ( |  | ) |

Copy the line containing the caret.

## ◆ LineCut()

void wxStyledTextCtrl::LineCut | ( |  | ) |

Cut the line containing the caret.

## ◆ LineDelete()

void wxStyledTextCtrl::LineDelete | ( |  | ) |

Delete the line containing the caret.

## ◆ LineDown()

void wxStyledTextCtrl::LineDown | ( |  | ) |

Move caret down one line.

## ◆ LineDownExtend()

void wxStyledTextCtrl::LineDownExtend | ( |  | ) |

Move caret down one line extending selection to new caret position.

## ◆ LineDownRectExtend()

void wxStyledTextCtrl::LineDownRectExtend | ( |  | ) |

Move caret down one line, extending rectangular selection to new caret position.

## ◆ LineDuplicate()

void wxStyledTextCtrl::LineDuplicate | ( |  | ) |

Duplicate the current line.

## ◆ LineEnd()

void wxStyledTextCtrl::LineEnd | ( |  | ) |

Move caret to last position on line.

## ◆ LineEndDisplay()

void wxStyledTextCtrl::LineEndDisplay | ( |  | ) |

Move caret to last position on display line.

## ◆ LineEndDisplayExtend()

void wxStyledTextCtrl::LineEndDisplayExtend | ( |  | ) |

Move caret to last position on display line extending selection to new caret position.

## ◆ LineEndExtend()

void wxStyledTextCtrl::LineEndExtend | ( |  | ) |

Move caret to last position on line extending selection to new caret position.

## ◆ LineEndRectExtend()

void wxStyledTextCtrl::LineEndRectExtend | ( |  | ) |

Move caret to last position on line, extending rectangular selection to new caret position.

## ◆ LineEndWrap()

void wxStyledTextCtrl::LineEndWrap | ( |  | ) |

Like LineEnd but when word-wrap is enabled goes first to end of display line LineEndDisplay, then to start of document line LineEnd.

## ◆ LineEndWrapExtend()

void wxStyledTextCtrl::LineEndWrapExtend | ( |  | ) |

Like LineEndExtend but when word-wrap is enabled extends first to end of display line LineEndDisplayExtend, then to start of document line LineEndExtend.

## ◆ LineFromPosition()

int wxStyledTextCtrl::LineFromPosition | ( | int | pos | ) | const

Retrieve the line containing a position.

## ◆ LineLength()

int wxStyledTextCtrl::LineLength | ( | int | line | ) | const

How many characters are on a line, including end of line characters?

## ◆ LineScroll()

void wxStyledTextCtrl::LineScroll | ( | int | columns,
|  | int | lines )

Scroll horizontally and vertically.

## ◆ LineScrollDown()

void wxStyledTextCtrl::LineScrollDown | ( |  | ) |

Scroll the document down, keeping the caret visible.

## ◆ LineScrollUp()

void wxStyledTextCtrl::LineScrollUp | ( |  | ) |

Scroll the document up, keeping the caret visible.

## ◆ LinesJoin()

void wxStyledTextCtrl::LinesJoin | ( |  | ) |

Join the lines in the target.

## ◆ LinesOnScreen()

int wxStyledTextCtrl::LinesOnScreen | ( |  | ) | const

Retrieves the number of lines completely visible.

## ◆ LinesSplit()

void wxStyledTextCtrl::LinesSplit | ( | int | pixelWidth | ) |

Split the lines in the target into lines that are less wide than pixelWidth where possible.

## ◆ LineTranspose()

void wxStyledTextCtrl::LineTranspose | ( |  | ) |

Switch the current line with the previous.

## ◆ LineUp()

void wxStyledTextCtrl::LineUp | ( |  | ) |

Move caret up one line.

## ◆ LineUpExtend()

void wxStyledTextCtrl::LineUpExtend | ( |  | ) |

Move caret up one line extending selection to new caret position.

## ◆ LineUpRectExtend()

void wxStyledTextCtrl::LineUpRectExtend | ( |  | ) |

Move caret up one line, extending rectangular selection to new caret position.

## ◆ LoadFile()

bool wxStyledTextCtrl::LoadFile | ( | const wxString & | filename | ) |

Load the contents of filename into the editor.

## ◆ LoadLexerLibrary()

void wxStyledTextCtrl::LoadLexerLibrary | ( | const wxString & | path | ) |

Load a lexer library (dll / so).

Since
  3.1.1

## ◆ LowerCase()

void wxStyledTextCtrl::LowerCase | ( |  | ) |

Transform the selection to lower case.

## ◆ MarginGetStyle()

int wxStyledTextCtrl::MarginGetStyle | ( | int | line | ) | const

Get the style number for the text margin for a line.

## ◆ MarginGetStyleOffset()

int wxStyledTextCtrl::MarginGetStyleOffset | ( |  | ) | const

Get the start of the range of style numbers used for margin text.

## ◆ MarginGetStyles()

wxString wxStyledTextCtrl::MarginGetStyles | ( | int | line | ) | const

Get the styles in the text margin for a line.

## ◆ MarginGetText()

wxString wxStyledTextCtrl::MarginGetText | ( | int | line | ) | const

Get the text in the text margin for a line.

## ◆ MarginSetStyle()

void wxStyledTextCtrl::MarginSetStyle | ( | int | line,
|  | int | style )

Set the style number for the text margin for a line.

## ◆ MarginSetStyleOffset()

void wxStyledTextCtrl::MarginSetStyleOffset | ( | int | style | ) |

Get the start of the range of style numbers used for margin text.

## ◆ MarginSetStyles()

void wxStyledTextCtrl::MarginSetStyles | ( | int | line,
|  | const wxString & | styles )

Set the style in the text margin for a line.

## ◆ MarginSetText()

void wxStyledTextCtrl::MarginSetText | ( | int | line,
|  | const wxString & | text )

Set the text in the text margin for a line.

## ◆ MarginTextClearAll()

void wxStyledTextCtrl::MarginTextClearAll | ( |  | ) |

Clear the margin text on all lines.

## ◆ MarkDirty()

virtual void wxStyledTextCtrl::MarkDirty | ( |  | ) |
| virtual

Mark text as modified (dirty).

See also
  IsModified()

## ◆ MarkerAdd()

int wxStyledTextCtrl::MarkerAdd | ( | int | line,
|  | int | markerNumber )

Add a marker to a line, returning an ID which can be used to find or delete the marker.

## ◆ MarkerAddSet()

void wxStyledTextCtrl::MarkerAddSet | ( | int | line,
|  | int | markerSet )

Add a set of markers to a line.

## ◆ MarkerDefine()

void wxStyledTextCtrl::MarkerDefine | ( | int | markerNumber,
|  | int | markerSymbol,
|  | const wxColour & | foreground = wxNullColour,
|  | const wxColour & | background = wxNullColour )

Set the symbol used for a particular marker number, and optionally the fore and background colours.

The second argument should be one of the wxSTC_MARK_* constants.

## ◆ MarkerDefineBitmap()

void wxStyledTextCtrl::MarkerDefineBitmap | ( | int | markerNumber,
|  | const wxBitmap & | bmp )

Define a marker with a wxBitmap.

## ◆ MarkerDefinePixmap()

void wxStyledTextCtrl::MarkerDefinePixmap | ( | int | markerNumber,
|  | const char *const * | xpmData )

Define a marker from a bitmap.

Since
  3.1.3

## ◆ MarkerDefineRGBAImage()

void wxStyledTextCtrl::MarkerDefineRGBAImage | ( | int | markerNumber,
|  | const unsigned char * | pixels )

Define a marker from RGBA data.

It has the width and height from RGBAImageSetWidth/Height

## ◆ MarkerDelete()

void wxStyledTextCtrl::MarkerDelete | ( | int | line,
|  | int | markerNumber )

Delete a marker from a line.

## ◆ MarkerDeleteAll()

void wxStyledTextCtrl::MarkerDeleteAll | ( | int | markerNumber | ) |

Delete all markers with a particular number from all lines.

## ◆ MarkerDeleteHandle()

void wxStyledTextCtrl::MarkerDeleteHandle | ( | int | markerHandle | ) |

Delete a marker.

## ◆ MarkerEnableHighlight()

void wxStyledTextCtrl::MarkerEnableHighlight | ( | bool | enabled | ) |

Enable/disable highlight for current folding block (smallest one that contains the caret).

## ◆ MarkerGet()

int wxStyledTextCtrl::MarkerGet | ( | int | line | ) |

Get a bit mask of all the markers set on a line.

## ◆ MarkerLineFromHandle()

int wxStyledTextCtrl::MarkerLineFromHandle | ( | int | markerHandle | ) |

Retrieve the line number at which a particular marker is located.

## ◆ MarkerNext()

int wxStyledTextCtrl::MarkerNext | ( | int | lineStart,
|  | int | markerMask )

Find the next line at or after lineStart that includes a marker in mask.

Return -1 when no more lines.

## ◆ MarkerPrevious()

int wxStyledTextCtrl::MarkerPrevious | ( | int | lineStart,
|  | int | markerMask )

Find the previous line before lineStart that includes a marker in mask.

## ◆ MarkerSetAlpha()

void wxStyledTextCtrl::MarkerSetAlpha | ( | int | markerNumber,
|  | int | alpha )

Set the alpha used for a marker that is drawn in the text area, not the margin.

## ◆ MarkerSetBackground()

void wxStyledTextCtrl::MarkerSetBackground | ( | int | markerNumber,
|  | const wxColour & | back )

Set the background colour used for a particular marker number.

## ◆ MarkerSetBackgroundSelected()

void wxStyledTextCtrl::MarkerSetBackgroundSelected | ( | int | markerNumber,
|  | const wxColour & | back )

Set the background colour used for a particular marker number when its folding block is selected.

## ◆ MarkerSetForeground()

void wxStyledTextCtrl::MarkerSetForeground | ( | int | markerNumber,
|  | const wxColour & | fore )

Set the foreground colour used for a particular marker number.

## ◆ MoveCaretInsideView()

void wxStyledTextCtrl::MoveCaretInsideView | ( |  | ) |

Move the caret inside current view if it's not there already.

## ◆ MoveSelectedLinesDown()

void wxStyledTextCtrl::MoveSelectedLinesDown | ( |  | ) |

Move the selected lines down one line, shifting the line below before the selection.

## ◆ MoveSelectedLinesUp()

void wxStyledTextCtrl::MoveSelectedLinesUp | ( |  | ) |

Move the selected lines up one line, shifting the line above after the selection.

## ◆ MultiEdgeAddLine()

void wxStyledTextCtrl::MultiEdgeAddLine | ( | int | column,
|  | const wxColour & | edgeColour )

Add a new vertical edge to the view.

Since
  3.1.1

## ◆ MultiEdgeClearAll()

void wxStyledTextCtrl::MultiEdgeClearAll | ( |  | ) |

Clear all vertical edges.

Since
  3.1.1

## ◆ MultipleSelectAddEach()

void wxStyledTextCtrl::MultipleSelectAddEach | ( |  | ) |

Add each occurrence of the main selection in the target to the set of selections.

If the current selection is empty then select word around caret.

Since
  3.1.1

## ◆ MultipleSelectAddNext()

void wxStyledTextCtrl::MultipleSelectAddNext | ( |  | ) |

Add the next occurrence of the main selection to the set of selections as main.

If the current selection is empty then select word around caret.

Since
  3.1.1

## ◆ NewLine()

void wxStyledTextCtrl::NewLine | ( |  | ) |

Insert a new line, may use a CRLF, CR or LF depending on EOL mode.

## ◆ PageDown()

void wxStyledTextCtrl::PageDown | ( |  | ) |

Move caret one page down.

## ◆ PageDownExtend()

void wxStyledTextCtrl::PageDownExtend | ( |  | ) |

Move caret one page down extending selection to new caret position.

## ◆ PageDownRectExtend()

void wxStyledTextCtrl::PageDownRectExtend | ( |  | ) |

Move caret one page down, extending rectangular selection to new caret position.

## ◆ PageUp()

void wxStyledTextCtrl::PageUp | ( |  | ) |

Move caret one page up.

## ◆ PageUpExtend()

void wxStyledTextCtrl::PageUpExtend | ( |  | ) |

Move caret one page up extending selection to new caret position.

## ◆ PageUpRectExtend()

void wxStyledTextCtrl::PageUpRectExtend | ( |  | ) |

Move caret one page up, extending rectangular selection to new caret position.

## ◆ ParaDown()

void wxStyledTextCtrl::ParaDown | ( |  | ) |

Move caret down one paragraph (delimited by empty lines).

## ◆ ParaDownExtend()

void wxStyledTextCtrl::ParaDownExtend | ( |  | ) |

Extend selection down one paragraph (delimited by empty lines).

## ◆ ParaUp()

void wxStyledTextCtrl::ParaUp | ( |  | ) |

Move caret up one paragraph (delimited by empty lines).

## ◆ ParaUpExtend()

void wxStyledTextCtrl::ParaUpExtend | ( |  | ) |

Extend selection up one paragraph (delimited by empty lines).

## ◆ Paste()

void wxStyledTextCtrl::Paste | ( |  | ) |
| virtual

Paste the contents of the clipboard into the document replacing the selection.

Reimplemented from wxTextEntry.

## ◆ PointFromPosition()

wxPoint wxStyledTextCtrl::PointFromPosition | ( | int | pos | ) |

Retrieve the point in the window where a position is displayed.

## ◆ PositionAfter()

int wxStyledTextCtrl::PositionAfter | ( | int | pos | ) |

Given a valid document position, return the next position taking code page into account.

Maximum value returned is the last position in the document.

## ◆ PositionBefore()

int wxStyledTextCtrl::PositionBefore | ( | int | pos | ) |

Given a valid document position, return the previous position taking code page into account.

Returns 0 if passed 0.

## ◆ PositionFromLine()

int wxStyledTextCtrl::PositionFromLine | ( | int | line | ) | const

Retrieve the position at the start of a line.

## ◆ PositionFromPoint()

int wxStyledTextCtrl::PositionFromPoint | ( | wxPoint | pt | ) | const

Find the position from a point within the window.

## ◆ PositionFromPointClose()

int wxStyledTextCtrl::PositionFromPointClose | ( | int | x,
|  | int | y )

Find the position from a point within the window but return wxSTC_INVALID_POSITION if not close to text.

## ◆ PositionRelative()

int wxStyledTextCtrl::PositionRelative | ( | int | pos,
|  | int | relative )

Given a valid document position, return a position that differs in a number of characters.

Returned value is always between 0 and last position in document.

Since
  3.1.0

## ◆ PositionToXY()

virtual bool wxStyledTextCtrl::PositionToXY | ( | long | pos,
|  | long * | x,
|  | long * | y ) const
| virtual

Converts given position to a zero-based column, line number pair.

Parameters

  pos | Position.
  x | Receives zero based column number.
  y | Receives zero based line number.

Returns
  true on success, false on failure (most likely due to a too large position parameter).

wxPerl Note: In wxPerl this function takes only the pos argument and returns a 2-element list (x, y).

See also
  XYToPosition()

## ◆ PrivateLexerCall()

void * wxStyledTextCtrl::PrivateLexerCall | ( | int | operation,
|  | void * | pointer )

For private communication between an application and a known lexer.

## ◆ PropertyNames()

wxString wxStyledTextCtrl::PropertyNames | ( |  | ) | const

Retrieve a '\n' separated list of properties understood by the current lexer.

## ◆ PropertyType()

int wxStyledTextCtrl::PropertyType | ( | const wxString & | name | ) |

Retrieve the type of a property.

The return value will be one of the wxSTC_TYPE_* constants.

## ◆ Redo()

void wxStyledTextCtrl::Redo | ( |  | ) |
| virtual

Redoes the next action on the undo history.

Reimplemented from wxTextEntry.

## ◆ RegisterImage() [1/2]

void wxStyledTextCtrl::RegisterImage | ( | int | type,
|  | const char *const * | xpmData )

Register an image for use in autocompletion lists.

Since
  3.1.3

## ◆ RegisterImage() [2/2]

void wxStyledTextCtrl::RegisterImage | ( | int | type,
|  | const wxBitmap & | bmp )

Register an image for use in autocompletion lists.

## ◆ RegisterRGBAImage()

void wxStyledTextCtrl::RegisterRGBAImage | ( | int | type,
|  | const unsigned char * | pixels )

Register an RGBA image for use in autocompletion lists.

It has the width and height from RGBAImageSetWidth/Height

## ◆ ReleaseAllExtendedStyles()

void wxStyledTextCtrl::ReleaseAllExtendedStyles | ( |  | ) |

Release all extended (>255) style numbers.

Since
  3.1.0

## ◆ ReleaseDocument()

void wxStyledTextCtrl::ReleaseDocument | ( | void * | docPointer | ) |

Release a reference to the document, deleting document if it fades to black.

## ◆ Remove()

virtual void wxStyledTextCtrl::Remove | ( | long | from,
|  | long | to )
| virtual

Removes the text starting at the first given position up to (but not including) the character at the last position.

This function puts the current insertion point position at to as a side effect.

Parameters

  from | The first position.
  to | The last position.

Reimplemented from wxTextEntry.

## ◆ Replace()

virtual void wxStyledTextCtrl::Replace | ( | long | from,
|  | long | to,
|  | const wxString & | value )
| virtual

Replaces the text starting at the first position up to (but not including) the character at the last position with the given text.

This function puts the current insertion point position at to as a side effect.

Parameters

  from | The first position.
  to | The last position.
  value | The value to replace the existing text with.

Reimplemented from wxTextEntry.

## ◆ ReplaceSelection()

void wxStyledTextCtrl::ReplaceSelection | ( | const wxString & | text | ) |

Replace the selected text with the argument text.

## ◆ ReplaceSelectionRaw()

void wxStyledTextCtrl::ReplaceSelectionRaw | ( | const char * | text | ) |

Replace the current selection with text.

If there is no current selection, text is inserted at the current caret position.

Parameters

  text | The null terminated string used for the replacement.

Since
  3.1.3

## ◆ ReplaceTarget()

int wxStyledTextCtrl::ReplaceTarget | ( | const wxString & | text | ) |

Replace the target text with the argument text.

Text is counted so it can contain NULs. Returns the length of the replacement text.

## ◆ ReplaceTargetRaw()

int wxStyledTextCtrl::ReplaceTargetRaw | ( | const char * | text,
|  | int | length = -1 )

Replace the current target with text.

Returns
  The return value is the length of the replacement string.

Remarks
  If length=-1, text must be null terminated.

Since
  3.1.3

## ◆ ReplaceTargetRE()

int wxStyledTextCtrl::ReplaceTargetRE | ( | const wxString & | text | ) |

Replace the target text with the argument text after \d processing.

Text is counted so it can contain NULs. Looks for \d where d is between 1 and 9 and replaces these with the strings matched in the last search operation which were surrounded by \( and \). Returns the length of the replacement text including any change caused by processing the \d patterns.

## ◆ ReplaceTargetRERaw()

int wxStyledTextCtrl::ReplaceTargetRERaw | ( | const char * | text,
|  | int | length = -1 )

Replace the current target with text using regular expressions.

The replacement string will be formed from text with any occurrences '\1' through '\9' replaced by tagged matches from the most recent regular expression search. In addition, any occurrences of '\0' will be replaced with all the matched text from the most recent search. After replacement, the target range refers to the replacement text.

Returns
  The return value is the length of the replacement string.

Remarks
  If length=-1, text must be null terminated.

See also
  SearchInTarget()

Since
  3.1.3

## ◆ RGBAImageSetHeight()

void wxStyledTextCtrl::RGBAImageSetHeight | ( | int | height | ) |

Set the height for future RGBA image data.

## ◆ RGBAImageSetScale()

void wxStyledTextCtrl::RGBAImageSetScale | ( | int | scalePercent | ) |

Set the scale factor in percent for future RGBA image data.

Since
  3.1.0

## ◆ RGBAImageSetWidth()

void wxStyledTextCtrl::RGBAImageSetWidth | ( | int | width | ) |

Set the width for future RGBA image data.

## ◆ RotateSelection()

void wxStyledTextCtrl::RotateSelection | ( |  | ) |

Set the main selection to the next selection.

## ◆ SaveFile()

bool wxStyledTextCtrl::SaveFile | ( | const wxString & | filename | ) |

Write the contents of the editor to filename.

## ◆ ScrollRange()

void wxStyledTextCtrl::ScrollRange | ( | int | secondary,
|  | int | primary )

Scroll the argument positions and the range between them into view giving priority to the primary position then the secondary position.

This may be used to make a search match visible.

Since
  3.1.0

## ◆ ScrollToColumn()

void wxStyledTextCtrl::ScrollToColumn | ( | int | column | ) |

Scroll enough to make the given column visible.

## ◆ ScrollToEnd()

void wxStyledTextCtrl::ScrollToEnd | ( |  | ) |

Scroll to end of document.

## ◆ ScrollToLine()

void wxStyledTextCtrl::ScrollToLine | ( | int | line | ) |

Scroll enough to make the given line visible.

## ◆ ScrollToStart()

void wxStyledTextCtrl::ScrollToStart | ( |  | ) |

Scroll to start of document.

## ◆ SearchAnchor()

void wxStyledTextCtrl::SearchAnchor | ( |  | ) |

Sets the current caret position to be the search anchor.

## ◆ SearchInTarget()

int wxStyledTextCtrl::SearchInTarget | ( | const wxString & | text | ) |

Search for a counted string in the target and set the target to the found range.

Text is counted so it can contain NULs. Returns length of range or -1 for failure in which case target is not moved.

## ◆ SearchNext()

int wxStyledTextCtrl::SearchNext | ( | int | searchFlags,
|  | const wxString & | text )

Find some text starting at the search anchor.

Does not ensure the selection is visible.

## ◆ SearchPrev()

int wxStyledTextCtrl::SearchPrev | ( | int | searchFlags,
|  | const wxString & | text )

Find some text starting at the search anchor and moving backwards.

Does not ensure the selection is visible.

## ◆ SelectAll()

void wxStyledTextCtrl::SelectAll | ( |  | ) |
| virtual

Select all the text in the document.

Reimplemented from wxTextEntry.

## ◆ SelectionDuplicate()

void wxStyledTextCtrl::SelectionDuplicate | ( |  | ) |

Duplicate the selection.

If selection empty duplicate the line containing the caret.

## ◆ SelectionIsRectangle()

bool wxStyledTextCtrl::SelectionIsRectangle | ( |  | ) | const

Is the selection rectangular?

The alternative is the more common stream selection.

## ◆ SelectNone()

virtual void wxStyledTextCtrl::SelectNone | ( |  | ) |
| virtual

Deselects selected text in the control.

Since
  2.9.5

Reimplemented from wxTextEntry.

## ◆ SendMsg()

wxIntPtr wxStyledTextCtrl::SendMsg | ( | int | msg,
|  | wxUIntPtr | wp = 0,
|  | wxIntPtr | lp = 0 ) const

Scintilla API call.

## ◆ SetAdditionalCaretForeground()

void wxStyledTextCtrl::SetAdditionalCaretForeground | ( | const wxColour & | fore | ) |

Set the foreground colour of additional carets.

## ◆ SetAdditionalCaretsBlink()

void wxStyledTextCtrl::SetAdditionalCaretsBlink | ( | bool | additionalCaretsBlink | ) |

Set whether additional carets will blink.

## ◆ SetAdditionalCaretsVisible()

void wxStyledTextCtrl::SetAdditionalCaretsVisible | ( | bool | additionalCaretsVisible | ) |

Set whether additional carets are visible.

## ◆ SetAdditionalSelAlpha()

void wxStyledTextCtrl::SetAdditionalSelAlpha | ( | int | alpha | ) |

Set the alpha of the selection.

## ◆ SetAdditionalSelBackground()

void wxStyledTextCtrl::SetAdditionalSelBackground | ( | const wxColour & | back | ) |

Set the background colour of additional selections.

Must have previously called SetSelBack with non-zero first argument for this to have an effect.

## ◆ SetAdditionalSelectionTyping()

void wxStyledTextCtrl::SetAdditionalSelectionTyping | ( | bool | additionalSelectionTyping | ) |

Set whether typing can be performed into multiple selections.

## ◆ SetAdditionalSelForeground()

void wxStyledTextCtrl::SetAdditionalSelForeground | ( | const wxColour & | fore | ) |

Set the foreground colour of additional selections.

Must have previously called SetSelFore with non-zero first argument for this to have an effect.

## ◆ SetAnchor()

void wxStyledTextCtrl::SetAnchor | ( | int | anchor | ) |

Set the selection anchor to a position.

The anchor is the opposite end of the selection from the caret.

## ◆ SetAutomaticFold()

void wxStyledTextCtrl::SetAutomaticFold | ( | int | automaticFold | ) |

Set automatic folding behaviours.

The input should be a bit list containing one or more of the wxSTC_AUTOMATICFOLD_* constants.

Since
  3.1.0

## ◆ SetBackSpaceUnIndents()

void wxStyledTextCtrl::SetBackSpaceUnIndents | ( | bool | bsUnIndents | ) |

Sets whether a backspace pressed when caret is within indentation unindents.

## ◆ SetBufferedDraw()

void wxStyledTextCtrl::SetBufferedDraw | ( | bool | buffered | ) |

If drawing is buffered then each line of text is drawn into a bitmap buffer before drawing it to the screen to avoid flicker.

## ◆ SetCaretForeground()

void wxStyledTextCtrl::SetCaretForeground | ( | const wxColour & | fore | ) |

Set the foreground colour of the caret.

## ◆ SetCaretLineBackAlpha()

void wxStyledTextCtrl::SetCaretLineBackAlpha | ( | int | alpha | ) |

Set background alpha of the caret line.

## ◆ SetCaretLineBackground()

void wxStyledTextCtrl::SetCaretLineBackground | ( | const wxColour & | back | ) |

Set the colour of the background of the line containing the caret.

## ◆ SetCaretLineVisible()

void wxStyledTextCtrl::SetCaretLineVisible | ( | bool | show | ) |

Display the background of the line containing the caret in a different colour.

## ◆ SetCaretLineVisibleAlways()

void wxStyledTextCtrl::SetCaretLineVisibleAlways | ( | bool | alwaysVisible | ) |

Sets the caret line to always visible.

Since
  3.1.0

## ◆ SetCaretPeriod()

void wxStyledTextCtrl::SetCaretPeriod | ( | int | periodMilliseconds | ) |

Get the time in milliseconds that the caret is on and off.

0 = steady on.

## ◆ SetCaretSticky()

void wxStyledTextCtrl::SetCaretSticky | ( | int | useCaretStickyBehaviour | ) |

Stop the caret preferred x position changing when the user types.

The input should be one of the wxSTC_CARETSTICKY_* constants.

## ◆ SetCaretStyle()

void wxStyledTextCtrl::SetCaretStyle | ( | int | caretStyle | ) |

Set the style of the caret to be drawn.

The input should be one of the wxSTC_CARETSTYLE_* constants.

## ◆ SetCaretWidth()

void wxStyledTextCtrl::SetCaretWidth | ( | int | pixelWidth | ) |

Set the width of the insert mode caret.

## ◆ SetCharsDefault()

void wxStyledTextCtrl::SetCharsDefault | ( |  | ) |

Reset the set of characters for whitespace and word characters to the defaults.

## ◆ SetCodePage()

void wxStyledTextCtrl::SetCodePage | ( | int | codePage | ) |

Set the code page used to interpret the bytes of the document as characters.

## ◆ SetControlCharSymbol()

void wxStyledTextCtrl::SetControlCharSymbol | ( | int | symbol | ) |

Change the way control characters are displayed: If symbol is < 32, keep the drawn way, else, use the given character.

## ◆ SetCurrentPos()

void wxStyledTextCtrl::SetCurrentPos | ( | int | caret | ) |

Sets the position of the caret.

## ◆ SetDefaultStyle()

virtual bool wxStyledTextCtrl::SetDefaultStyle | ( | const wxTextAttr & | style | ) |
| virtual

This method is inherited from wxTextAreaBase but is not implemented in wxStyledTextCtrl.

## ◆ SetDocPointer()

void wxStyledTextCtrl::SetDocPointer | ( | void * | docPointer | ) |

Change the document object used.

## ◆ SetEdgeColour()

void wxStyledTextCtrl::SetEdgeColour | ( | const wxColour & | edgeColour | ) |

Change the colour used in edge indication.

## ◆ SetEdgeColumn()

void wxStyledTextCtrl::SetEdgeColumn | ( | int | column | ) |

Set the column number of the edge.

If text goes past the edge then it is highlighted.

## ◆ SetEdgeMode()

void wxStyledTextCtrl::SetEdgeMode | ( | int | edgeMode | ) |

The edge may be displayed by a line (wxSTC_EDGE_LINE/wxSTC_EDGE_MULTILINE) or by highlighting text that goes beyond it (wxSTC_EDGE_BACKGROUND) or not displayed at all (wxSTC_EDGE_NONE).

The input should be one of the wxSTC_EDGE_* constants.

## ◆ SetEditable()

virtual void wxStyledTextCtrl::SetEditable | ( | bool | editable | ) |
| virtual

Makes the text item editable or read-only, overriding the wxTE_READONLY flag.

Parameters

  editable | If true, the control is editable. If false, the control is read-only.

See also
  IsEditable()

Reimplemented from wxTextEntry.

## ◆ SetEmptySelection()

void wxStyledTextCtrl::SetEmptySelection | ( | int | caret | ) |

Set caret to a position, while removing any existing selection.

## ◆ SetEndAtLastLine()

void wxStyledTextCtrl::SetEndAtLastLine | ( | bool | endAtLastLine | ) |

Sets the scroll range so that maximum scroll position has the last line at the bottom of the view (default).

Setting this to false allows scrolling one page below the last line.

## ◆ SetEOLMode()

void wxStyledTextCtrl::SetEOLMode | ( | int | eolMode | ) |

Set the current end of line mode.

The input should be one of the wxSTC_EOL_* constants.

## ◆ SetExtraAscent()

void wxStyledTextCtrl::SetExtraAscent | ( | int | extraAscent | ) |

Set extra ascent for each line.

## ◆ SetExtraDescent()

void wxStyledTextCtrl::SetExtraDescent | ( | int | extraDescent | ) |

Set extra descent for each line.

## ◆ SetFirstVisibleLine()

void wxStyledTextCtrl::SetFirstVisibleLine | ( | int | displayLine | ) |

Scroll so that a display line is at the top of the display.

## ◆ SetFoldExpanded()

void wxStyledTextCtrl::SetFoldExpanded | ( | int | line,
|  | bool | expanded )

Show the children of a header line.

## ◆ SetFoldFlags()

void wxStyledTextCtrl::SetFoldFlags | ( | int | flags | ) |

Set some style options for folding.

The second argument should be a bit list containing one or more of the wxSTC_FOLDFLAG_* constants.

## ◆ SetFoldLevel()

void wxStyledTextCtrl::SetFoldLevel | ( | int | line,
|  | int | level )

Set the fold level of a line.

This encodes an integer level along with flags indicating whether the line is a header and whether it is effectively white space.

## ◆ SetFoldMarginColour()

void wxStyledTextCtrl::SetFoldMarginColour | ( | bool | useSetting,
|  | const wxColour & | back )

Set one of the colours used as a chequerboard pattern in the fold margin.

## ◆ SetFoldMarginHiColour()

void wxStyledTextCtrl::SetFoldMarginHiColour | ( | bool | useSetting,
|  | const wxColour & | fore )

Set the other colour used as a chequerboard pattern in the fold margin.

## ◆ SetFontQuality()

void wxStyledTextCtrl::SetFontQuality | ( | int | fontQuality | ) |

Choose the quality level for text.

The input should be one of the wxSTC_EFF_QUALITY_* constants.

Remarks
  This method only has any effect with the wxMSW port and when technology has been set to wxSTC_TECHNOLOGY_DIRECTWRITE.

Since
  3.1.1

## ◆ SetHighlightGuide()

void wxStyledTextCtrl::SetHighlightGuide | ( | int | column | ) |

Set the highlighted indentation guide column.

0 = no highlighted guide.

## ◆ SetHotspotActiveBackground()

void wxStyledTextCtrl::SetHotspotActiveBackground | ( | bool | useSetting,
|  | const wxColour & | back )

Set a back colour for active hotspots.

## ◆ SetHotspotActiveForeground()

void wxStyledTextCtrl::SetHotspotActiveForeground | ( | bool | useSetting,
|  | const wxColour & | fore )

Set a fore colour for active hotspots.

## ◆ SetHotspotActiveUnderline()

void wxStyledTextCtrl::SetHotspotActiveUnderline | ( | bool | underline | ) |

Enable / Disable underlining active hotspots.

## ◆ SetHotspotSingleLine()

void wxStyledTextCtrl::SetHotspotSingleLine | ( | bool | singleLine | ) |

Limit hotspots to single line so hotspots on two lines don't merge.

## ◆ SetHScrollBar()

void wxStyledTextCtrl::SetHScrollBar | ( | wxScrollBar * | bar | ) |

Set the horizontal scrollbar to use instead of the one that's built-in.

## ◆ SetIdentifier()

void wxStyledTextCtrl::SetIdentifier | ( | int | identifier | ) |

Set the identifier reported as idFrom in notification messages.

## ◆ SetIdentifiers()

void wxStyledTextCtrl::SetIdentifiers | ( | int | style,
|  | const wxString & | identifiers )

Set the identifiers that are shown in a particular style.

Since
  3.1.0

## ◆ SetIdleStyling()

void wxStyledTextCtrl::SetIdleStyling | ( | int | idleStyling | ) |

Sets limits to idle styling.

The input should be one of the wxSTC_IDLESTYLING_* constants.

Since
  3.1.1

## ◆ SetIMEInteraction()

void wxStyledTextCtrl::SetIMEInteraction | ( | int | imeInteraction | ) |

Choose to display the IME in a winow or inline.

The input should be one of the wxSTC_IME_* constants.

Since
  3.1.0

## ◆ SetIndent()

void wxStyledTextCtrl::SetIndent | ( | int | indentSize | ) |

Set the number of spaces used for one level of indentation.

## ◆ SetIndentationGuides()

void wxStyledTextCtrl::SetIndentationGuides | ( | int | indentView | ) |

Show or hide indentation guides.

The input should be one of the wxSTC_IV_* constants.

## ◆ SetIndicatorCurrent()

void wxStyledTextCtrl::SetIndicatorCurrent | ( | int | indicator | ) |

Set the indicator used for IndicatorFillRange and IndicatorClearRange.

## ◆ SetIndicatorValue()

void wxStyledTextCtrl::SetIndicatorValue | ( | int | value | ) |

Set the value used for IndicatorFillRange.

## ◆ SetInsertionPoint()

virtual void wxStyledTextCtrl::SetInsertionPoint | ( | long | pos | ) |
| virtual

Sets the insertion point at the given position.

Parameters

  pos | Position to set, in the range from 0 to GetLastPosition() inclusive.

Reimplemented from wxTextEntry.

## ◆ SetKeyWords()

void wxStyledTextCtrl::SetKeyWords | ( | int | keyWordSet,
|  | const wxString & | keyWords )

Set up the key words used by the lexer.

## ◆ SetLastKeydownProcessed()

void wxStyledTextCtrl::SetLastKeydownProcessed | ( | bool | val | ) |

Returns the line number of the line with the caret.

## ◆ SetLayoutCache()

void wxStyledTextCtrl::SetLayoutCache | ( | int | cacheMode | ) |

Sets the degree of caching of layout information.

The input should be one of the wxSTC_CACHE_* constants.

## ◆ SetLexer()

void wxStyledTextCtrl::SetLexer | ( | int | lexer | ) |

Set the lexing language of the document.

The input should be one of the wxSTC_LEX_* constants.

## ◆ SetLexerLanguage()

void wxStyledTextCtrl::SetLexerLanguage | ( | const wxString & | language | ) |

Set the lexing language of the document based on string name.

## ◆ SetLineEndTypesAllowed()

void wxStyledTextCtrl::SetLineEndTypesAllowed | ( | int | lineEndBitSet | ) |

Set the line end types that the application wants to use.

May not be used if incompatible with lexer or encoding.

The input should be one of the wxSTC_LINE_END_TYPE_* constants.

Since
  3.1.0

## ◆ SetLineIndentation()

void wxStyledTextCtrl::SetLineIndentation | ( | int | line,
|  | int | indentation )

Change the indentation of a line to a number of columns.

## ◆ SetLineState()

void wxStyledTextCtrl::SetLineState | ( | int | line,
|  | int | state )

Used to hold extra styling information for each line.

## ◆ SetMainSelection()

void wxStyledTextCtrl::SetMainSelection | ( | int | selection | ) |

Set the main selection.

## ◆ SetMarginBackground()

void wxStyledTextCtrl::SetMarginBackground | ( | int | margin,
|  | const wxColour & | back )

Set the background colour of a margin.

Only visible for wxSTC_MARGIN_COLOUR.

Since
  3.1.1

## ◆ SetMarginCount()

void wxStyledTextCtrl::SetMarginCount | ( | int | margins | ) |

Allocate a non-standard number of margins.

Since
  3.1.1

## ◆ SetMarginCursor()

void wxStyledTextCtrl::SetMarginCursor | ( | int | margin,
|  | int | cursor )

Set the cursor shown when the mouse is inside a margin.

The second argument should be one of the wxSTC_CURSOR* constants.

## ◆ SetMarginLeft()

void wxStyledTextCtrl::SetMarginLeft | ( | int | pixelWidth | ) |

Sets the size in pixels of the left margin.

## ◆ SetMarginMask()

void wxStyledTextCtrl::SetMarginMask | ( | int | margin,
|  | int | mask )

Set a mask that determines which markers are displayed in a margin.

## ◆ SetMarginOptions()

void wxStyledTextCtrl::SetMarginOptions | ( | int | marginOptions | ) |

Set the margin options.

The input should be one of the wxSTC_MARGINOPTION_* constants.

## ◆ SetMarginRight()

void wxStyledTextCtrl::SetMarginRight | ( | int | pixelWidth | ) |

Sets the size in pixels of the right margin.

## ◆ SetMargins()

void wxStyledTextCtrl::SetMargins | ( | int | left,
|  | int | right )

Set the left and right margin in the edit area, measured in pixels.

## ◆ SetMarginSensitive()

void wxStyledTextCtrl::SetMarginSensitive | ( | int | margin,
|  | bool | sensitive )

Make a margin sensitive or insensitive to mouse clicks.

## ◆ SetMarginType()

void wxStyledTextCtrl::SetMarginType | ( | int | margin,
|  | int | marginType )

Set a margin to be either numeric or symbolic.

The second argument should be one of the wxSTC_MARGIN_* constants.

## ◆ SetMarginWidth()

void wxStyledTextCtrl::SetMarginWidth | ( | int | margin,
|  | int | pixelWidth )

Set the width of a margin to a width expressed in pixels.

## ◆ SetModEventMask()

void wxStyledTextCtrl::SetModEventMask | ( | int | eventMask | ) |

Set which document modification events are sent to the container.

The input should be a bit list containing one or more of the wxSTC_MOD_* constants, the wxSTC_PERFORMED_* constants, wxSTC_STARTACTION, wxSTC_MULTILINEUNDOREDO, wxSTC_MULTISTEPUNDOREDO, and wxSTC_LASTSTEPINUNDOREDO. The input can also be wxSTC_MODEVENTMASKALL to indicate that all changes should generate events.

## ◆ SetMouseDownCaptures()

void wxStyledTextCtrl::SetMouseDownCaptures | ( | bool | captures | ) |

Set whether the mouse is captured when its button is pressed.

## ◆ SetMouseDwellTime()

void wxStyledTextCtrl::SetMouseDwellTime | ( | int | periodMilliseconds | ) |

Sets the time the mouse must sit still to generate a mouse dwell event.

The input should be a time in milliseconds or wxSTC_TIME_FOREVER.

## ◆ SetMouseSelectionRectangularSwitch()

void wxStyledTextCtrl::SetMouseSelectionRectangularSwitch | ( | bool | mouseSelectionRectangularSwitch | ) |

Set whether switching to rectangular mode while selecting with the mouse is allowed.

Since
  3.1.0

## ◆ SetMouseWheelCaptures()

void wxStyledTextCtrl::SetMouseWheelCaptures | ( | bool | captures | ) |

Set whether the mouse wheel can be active outside the window.

Since
  3.1.1

## ◆ SetMultiPaste()

void wxStyledTextCtrl::SetMultiPaste | ( | int | multiPaste | ) |

Change the effect of pasting when there are multiple selections.

The input should be one of the wxSTC_MULTIPASTE_* constants.

## ◆ SetMultipleSelection()

void wxStyledTextCtrl::SetMultipleSelection | ( | bool | multipleSelection | ) |

Set whether multiple selections can be made.

## ◆ SetOvertype()

void wxStyledTextCtrl::SetOvertype | ( | bool | overType | ) |

Set to overtype (true) or insert mode.

## ◆ SetPasteConvertEndings()

void wxStyledTextCtrl::SetPasteConvertEndings | ( | bool | convert | ) |

Enable/Disable convert-on-paste for line endings.

## ◆ SetPhasesDraw()

void wxStyledTextCtrl::SetPhasesDraw | ( | int | phases | ) |

In one phase draw, text is drawn in a series of rectangular blocks with no overlap.

In two phase draw, text is drawn in a series of lines allowing runs to overlap horizontally. In multiple phase draw, each element is drawn over the whole drawing area, allowing text to overlap from one line to the next.

The input should be one of the wxSTC_PHASES_* constants.

Since
  3.1.0

## ◆ SetPositionCacheSize()

void wxStyledTextCtrl::SetPositionCacheSize | ( | int | size | ) |

Set number of entries in position cache.

## ◆ SetPrintColourMode()

void wxStyledTextCtrl::SetPrintColourMode | ( | int | mode | ) |

Modify colours when printing for clearer printed text.

The input should be one of the wxSTC_PRINT_* constants.

## ◆ SetPrintMagnification()

void wxStyledTextCtrl::SetPrintMagnification | ( | int | magnification | ) |

Sets the print magnification added to the point size of each style for printing.

## ◆ SetPrintWrapMode()

void wxStyledTextCtrl::SetPrintWrapMode | ( | int | wrapMode | ) |

Set printing to line wrapped (wxSTC_WRAP_WORD) or not line wrapped (wxSTC_WRAP_NONE).

## ◆ SetProperty()

void wxStyledTextCtrl::SetProperty | ( | const wxString & | key,
|  | const wxString & | value )

Set up a value that may be used by a lexer for some optional feature.

## ◆ SetPunctuationChars()

void wxStyledTextCtrl::SetPunctuationChars | ( | const wxString & | characters | ) |

Set the set of characters making up punctuation characters Should be called after SetWordChars.

## ◆ SetReadOnly()

void wxStyledTextCtrl::SetReadOnly | ( | bool | readOnly | ) |

Set to read only or read write.

## ◆ SetRectangularSelectionAnchor()

void wxStyledTextCtrl::SetRectangularSelectionAnchor | ( | int | anchor | ) |

Set the anchor position of the rectangular selection.

## ◆ SetRectangularSelectionAnchorVirtualSpace()

void wxStyledTextCtrl::SetRectangularSelectionAnchorVirtualSpace | ( | int | space | ) |

Set the virtual space of the anchor of the rectangular selection.

## ◆ SetRectangularSelectionCaret()

void wxStyledTextCtrl::SetRectangularSelectionCaret | ( | int | caret | ) |

Set the caret position of the rectangular selection.

## ◆ SetRectangularSelectionCaretVirtualSpace()

void wxStyledTextCtrl::SetRectangularSelectionCaretVirtualSpace | ( | int | space | ) |

Set the virtual space of the caret of the rectangular selection.

## ◆ SetRectangularSelectionModifier()

void wxStyledTextCtrl::SetRectangularSelectionModifier | ( | int | modifier | ) |

On GTK+, allow selecting the modifier key to use for mouse-based rectangular selection.

Often the window manager requires Alt+Mouse Drag for moving windows. Valid values are wxSTC_KEYMOD_CTRL (default), wxSTC_KEYMOD_ALT, or wxSTC_KEYMOD_SUPER.

## ◆ SetRepresentation()

void wxStyledTextCtrl::SetRepresentation | ( | const wxString & | encodedCharacter,
|  | const wxString & | representation )

Set the way a character is drawn.

Since
  3.1.0

## ◆ SetSavePoint()

void wxStyledTextCtrl::SetSavePoint | ( |  | ) |

Remember the current position in the undo history as the position at which the document was saved.

## ◆ SetScrollWidth()

void wxStyledTextCtrl::SetScrollWidth | ( | int | pixelWidth | ) |

Sets the document width assumed for scrolling.

## ◆ SetScrollWidthTracking()

void wxStyledTextCtrl::SetScrollWidthTracking | ( | bool | tracking | ) |

Sets whether the maximum width line displayed is used to set scroll width.

## ◆ SetSearchFlags()

void wxStyledTextCtrl::SetSearchFlags | ( | int | searchFlags | ) |

Set the search flags used by SearchInTarget.

The input should be a bit list containing one or more of the wxSTC_FIND_* constants.

## ◆ SetSelAlpha()

void wxStyledTextCtrl::SetSelAlpha | ( | int | alpha | ) |

Set the alpha of the selection.

## ◆ SetSelBackground()

void wxStyledTextCtrl::SetSelBackground | ( | bool | useSetting,
|  | const wxColour & | back )

Set the background colour of the main and additional selections and whether to use this setting.

## ◆ SetSelection()

virtual void wxStyledTextCtrl::SetSelection | ( | long | from,
|  | long | to )
| virtual

Selects the text starting at the first position up to (but not including) the character at the last position.

If both parameters are equal to -1 all text in the control is selected.

Notice that the insertion point will be moved to from by this function.

Parameters

  from | The first position.
  to | The last position.

See also
  SelectAll()

Reimplemented from wxTextEntry.

## ◆ SetSelectionEnd()

void wxStyledTextCtrl::SetSelectionEnd | ( | int | caret | ) |

Sets the position that ends the selection - this becomes the caret.

## ◆ SetSelectionMode()

void wxStyledTextCtrl::SetSelectionMode | ( | int | selectionMode | ) |

Set the selection mode to stream (wxSTC_SEL_STREAM) or rectangular (wxSTC_SEL_RECTANGLE/wxSTC_SEL_THIN) or by lines (wxSTC_SEL_LINES).

## ◆ SetSelectionNAnchor()

void wxStyledTextCtrl::SetSelectionNAnchor | ( | int | selection,
|  | int | anchor )

Set the anchor position of the nth selection.

## ◆ SetSelectionNAnchorVirtualSpace()

void wxStyledTextCtrl::SetSelectionNAnchorVirtualSpace | ( | int | selection,
|  | int | space )

Set the virtual space of the anchor of the nth selection.

## ◆ SetSelectionNCaret()

void wxStyledTextCtrl::SetSelectionNCaret | ( | int | selection,
|  | int | caret )

Set the caret position of the nth selection.

## ◆ SetSelectionNCaretVirtualSpace()

void wxStyledTextCtrl::SetSelectionNCaretVirtualSpace | ( | int | selection,
|  | int | space )

Set the virtual space of the caret of the nth selection.

## ◆ SetSelectionNEnd()

void wxStyledTextCtrl::SetSelectionNEnd | ( | int | selection,
|  | int | caret )

Sets the position that ends the selection - this becomes the currentPosition.

## ◆ SetSelectionNStart()

void wxStyledTextCtrl::SetSelectionNStart | ( | int | selection,
|  | int | anchor )

Sets the position that starts the selection - this becomes the anchor.

## ◆ SetSelectionStart()

void wxStyledTextCtrl::SetSelectionStart | ( | int | anchor | ) |

Sets the position that starts the selection - this becomes the anchor.

## ◆ SetSelEOLFilled()

void wxStyledTextCtrl::SetSelEOLFilled | ( | bool | filled | ) |

Set the selection to have its end of line filled or not.

## ◆ SetSelForeground()

void wxStyledTextCtrl::SetSelForeground | ( | bool | useSetting,
|  | const wxColour & | fore )

Set the foreground colour of the main and additional selections and whether to use this setting.

## ◆ SetStatus()

void wxStyledTextCtrl::SetStatus | ( | int | status | ) |

Change error status - 0 = OK.

The input should be one of the wxSTC_STATUS_* constants.

## ◆ SetSTCCursor()

void wxStyledTextCtrl::SetSTCCursor | ( | int | cursorType | ) |

Sets the cursor to one of the wxSTC_CURSOR* values.

## ◆ SetSTCFocus()

void wxStyledTextCtrl::SetSTCFocus | ( | bool | focus | ) |

Change internal focus flag.

## ◆ SetStyle()

virtual bool wxStyledTextCtrl::SetStyle | ( | long | start,
|  | long | end,
|  | const wxTextAttr & | style )
| virtual

This method is inherited from wxTextAreaBase but is not implemented in wxStyledTextCtrl.

## ◆ SetStyleBits()

void wxStyledTextCtrl::SetStyleBits | ( | int | bits | ) |

Divide each styling byte into lexical class bits (default: 5) and indicator bits (default: 3).

If a lexer requires more than 32 lexical states, then this is used to expand the possible states.

Deprecated

## ◆ SetStyleBytes()

void wxStyledTextCtrl::SetStyleBytes | ( | int | length,
|  | char * | styleBytes )

Set the styles for a segment of the document.

## ◆ SetStyling()

void wxStyledTextCtrl::SetStyling | ( | int | length,
|  | int | style )

Change style from current styling position for length characters to a style and move the current styling position to after this newly styled segment.

## ◆ SetTabDrawMode()

void wxStyledTextCtrl::SetTabDrawMode | ( | int | tabDrawMode | ) |

Set how tabs are drawn when visible.

The input should be one of the wxSTC_TD_* constants.

Since
  3.1.1

## ◆ SetTabIndents()

void wxStyledTextCtrl::SetTabIndents | ( | bool | tabIndents | ) |

Sets whether a tab pressed when caret is within indentation indents.

## ◆ SetTabWidth()

void wxStyledTextCtrl::SetTabWidth | ( | int | tabWidth | ) |

Change the visible size of a tab to be a multiple of the width of a space character.

## ◆ SetTargetEnd()

void wxStyledTextCtrl::SetTargetEnd | ( | int | end | ) |

Sets the position that ends the target which is used for updating the document without affecting the scroll position.

## ◆ SetTargetRange()

void wxStyledTextCtrl::SetTargetRange | ( | int | start,
|  | int | end )

Sets both the start and end of the target in one call.

Since
  3.1.0

## ◆ SetTargetStart()

void wxStyledTextCtrl::SetTargetStart | ( | int | start | ) |

Sets the position that starts the target which is used for updating the document without affecting the scroll position.

## ◆ SetTechnology()

void wxStyledTextCtrl::SetTechnology | ( | int | technology | ) |

Set the technology used.

Remarks
  For the wxMSW port, the input can be either wxSTC_TECHNOLOGY_DEFAULT or wxSTC_TECHNOLOGY_DIRECTWRITE. With other ports, this method has no effect.

## ◆ SetText()

void wxStyledTextCtrl::SetText | ( | const wxString & | text | ) |

Replace the contents of the document with the argument text.

## ◆ SetTextRaw()

void wxStyledTextCtrl::SetTextRaw | ( | const char * | text | ) |

Replace the contents of the document with the argument text.

## ◆ SetTwoPhaseDraw()

void wxStyledTextCtrl::SetTwoPhaseDraw | ( | bool | twoPhase | ) |

In twoPhaseDraw mode, drawing is performed in two phases, first the background and then the foreground.

This avoids chopping off characters that overlap the next run.

## ◆ SetUndoCollection()

void wxStyledTextCtrl::SetUndoCollection | ( | bool | collectUndo | ) |

Choose between collecting actions into the undo history and discarding them.

## ◆ SetUseAntiAliasing()

void wxStyledTextCtrl::SetUseAntiAliasing | ( | bool | useAA | ) |

Specify whether anti-aliased fonts should be used.

This will have no effect on some platforms, but on some (wxMac for example) can greatly improve performance.

## ◆ SetUseHorizontalScrollBar()

void wxStyledTextCtrl::SetUseHorizontalScrollBar | ( | bool | visible | ) |

Show or hide the horizontal scroll bar.

## ◆ SetUseTabs()

void wxStyledTextCtrl::SetUseTabs | ( | bool | useTabs | ) |

Indentation will only use space characters if useTabs is false, otherwise it will use a combination of tabs and spaces.

## ◆ SetUseVerticalScrollBar()

void wxStyledTextCtrl::SetUseVerticalScrollBar | ( | bool | visible | ) |

Show or hide the vertical scroll bar.

## ◆ SetViewEOL()

void wxStyledTextCtrl::SetViewEOL | ( | bool | visible | ) |

Make the end of line characters visible or invisible.

## ◆ SetViewWhiteSpace()

void wxStyledTextCtrl::SetViewWhiteSpace | ( | int | viewWS | ) |

Make white space characters invisible, always visible or visible outside indentation.

The input should be one of the wxSTC_WS_* constants.

## ◆ SetVirtualSpaceOptions()

void wxStyledTextCtrl::SetVirtualSpaceOptions | ( | int | virtualSpaceOptions | ) |

Set options for virtual space behaviour.

The input should be one of the wxSTC_VS_* constants.

## ◆ SetVisiblePolicy()

void wxStyledTextCtrl::SetVisiblePolicy | ( | int | visiblePolicy,
|  | int | visibleSlop )

Set the way the display area is determined when a particular line is to be moved to by Find, FindNext, GotoLine, etc.

The first argument should be a bit list containing one or more of the wxSTC_VISIBLE_* constants.

## ◆ SetVScrollBar()

void wxStyledTextCtrl::SetVScrollBar | ( | wxScrollBar * | bar | ) |

Set the vertical scrollbar to use instead of the one that's built-in.

## ◆ SetWhitespaceBackground()

void wxStyledTextCtrl::SetWhitespaceBackground | ( | bool | useSetting,
|  | const wxColour & | back )

Set the background colour of all whitespace and whether to use this setting.

## ◆ SetWhitespaceChars()

void wxStyledTextCtrl::SetWhitespaceChars | ( | const wxString & | characters | ) |

Set the set of characters making up whitespace for when moving or selecting by word.

Should be called after SetWordChars.

## ◆ SetWhitespaceForeground()

void wxStyledTextCtrl::SetWhitespaceForeground | ( | bool | useSetting,
|  | const wxColour & | fore )

Set the foreground colour of all whitespace and whether to use this setting.

## ◆ SetWhitespaceSize()

void wxStyledTextCtrl::SetWhitespaceSize | ( | int | size | ) |

Set the size of the dots used to mark space characters.

## ◆ SetWordChars()

void wxStyledTextCtrl::SetWordChars | ( | const wxString & | characters | ) |

Set the set of characters making up words for when moving or selecting by word.

First sets defaults like SetCharsDefault.

## ◆ SetWrapIndentMode()

void wxStyledTextCtrl::SetWrapIndentMode | ( | int | wrapIndentMode | ) |

Sets how wrapped sublines are placed.

Default is wxSTC_WRAPINDENT_FIXED.

The input should be one of the wxSTC_WRAPINDENT_* constants.

## ◆ SetWrapMode()

void wxStyledTextCtrl::SetWrapMode | ( | int | wrapMode | ) |

Sets whether text is word wrapped.

The input should be one of the wxSTC_WRAP_* constants.

## ◆ SetWrapStartIndent()

void wxStyledTextCtrl::SetWrapStartIndent | ( | int | indent | ) |

Set the start indent for wrapped lines.

## ◆ SetWrapVisualFlags()

void wxStyledTextCtrl::SetWrapVisualFlags | ( | int | wrapVisualFlags | ) |

Set the display mode of visual flags for wrapped lines.

The input should be a bit list containing one or more of the wxSTC_WRAPVISUALFLAG_* constants.

## ◆ SetWrapVisualFlagsLocation()

void wxStyledTextCtrl::SetWrapVisualFlagsLocation | ( | int | wrapVisualFlagsLocation | ) |

Set the location of visual flags for wrapped lines.

The input should be a bit list containing one or more of the wxSTC_WRAPVISUALFLAGLOC_* constants.

## ◆ SetXCaretPolicy()

void wxStyledTextCtrl::SetXCaretPolicy | ( | int | caretPolicy,
|  | int | caretSlop )

Set the way the caret is kept visible when going sideways.

The exclusion zone is given in pixels.

The first argument should be a bit list containing one or more of the wxSTC_CARET_* constants.

## ◆ SetXOffset()

void wxStyledTextCtrl::SetXOffset | ( | int | xOffset | ) |

Set the xOffset (ie, horizontal scroll position).

## ◆ SetYCaretPolicy()

void wxStyledTextCtrl::SetYCaretPolicy | ( | int | caretPolicy,
|  | int | caretSlop )

Set the way the line the caret is on is kept visible.

The exclusion zone is given in lines.

The first argument should be a bit list containing one or more of the wxSTC_CARET_* constants.

## ◆ SetZoom()

void wxStyledTextCtrl::SetZoom | ( | int | zoomInPoints | ) |

Set the zoom level.

This number of points is added to the size of all fonts. It may be positive to magnify or negative to reduce.

## ◆ ShowLines()

void wxStyledTextCtrl::ShowLines | ( | int | lineStart,
|  | int | lineEnd )

Make a range of lines visible.

## ◆ ShowPosition()

virtual void wxStyledTextCtrl::ShowPosition | ( | long | pos | ) |
| virtual

Makes the line containing the given position visible.

Parameters

  pos | The position that should be visible.

## ◆ StartRecord()

void wxStyledTextCtrl::StartRecord | ( |  | ) |

Start notifying the container of all key presses and commands.

## ◆ StartStyling()

void wxStyledTextCtrl::StartStyling | ( | int | start | ) |

Set the current styling position to start.

## ◆ StopRecord()

void wxStyledTextCtrl::StopRecord | ( |  | ) |

Stop notifying the container of all key presses and commands.

## ◆ StutteredPageDown()

void wxStyledTextCtrl::StutteredPageDown | ( |  | ) |

Move caret to bottom of page, or one page down if already at bottom of page.

## ◆ StutteredPageDownExtend()

void wxStyledTextCtrl::StutteredPageDownExtend | ( |  | ) |

Move caret to bottom of page, or one page down if already at bottom of page, extending selection to new caret position.

## ◆ StutteredPageUp()

void wxStyledTextCtrl::StutteredPageUp | ( |  | ) |

Move caret to top of page, or one page up if already at top of page.

## ◆ StutteredPageUpExtend()

void wxStyledTextCtrl::StutteredPageUpExtend | ( |  | ) |

Move caret to top of page, or one page up if already at top of page, extending selection to new caret position.

## ◆ StyleClearAll()

void wxStyledTextCtrl::StyleClearAll | ( |  | ) |

Clear all the styles and make equivalent to the global default style.

## ◆ StyleGetBackground()

wxColour wxStyledTextCtrl::StyleGetBackground | ( | int | style | ) | const

Get the background colour of a style.

## ◆ StyleGetBold()

bool wxStyledTextCtrl::StyleGetBold | ( | int | style | ) | const

Get is a style bold or not.

## ◆ StyleGetCase()

int wxStyledTextCtrl::StyleGetCase | ( | int | style | ) | const

Get is a style mixed case, or to force upper or lower case.

The return value will be one of the wxSTC_CASE_* constants.

## ◆ StyleGetChangeable()

bool wxStyledTextCtrl::StyleGetChangeable | ( | int | style | ) | const

Get is a style changeable or not (read only).

Experimental feature, currently buggy.

## ◆ StyleGetCharacterSet()

int wxStyledTextCtrl::StyleGetCharacterSet | ( | int | style | ) | const

Get the character get of the font in a style.

## ◆ StyleGetEOLFilled()

bool wxStyledTextCtrl::StyleGetEOLFilled | ( | int | style | ) | const

Get is a style to have its end of line filled or not.

## ◆ StyleGetFaceName()

wxString wxStyledTextCtrl::StyleGetFaceName | ( | int | style | ) |

Get the font facename of a style.

## ◆ StyleGetFont()

wxFont wxStyledTextCtrl::StyleGetFont | ( | int | style | ) |

Get the font of a style.

## ◆ StyleGetForeground()

wxColour wxStyledTextCtrl::StyleGetForeground | ( | int | style | ) | const

Get the foreground colour of a style.

## ◆ StyleGetHotSpot()

bool wxStyledTextCtrl::StyleGetHotSpot | ( | int | style | ) | const

Get is a style a hotspot or not.

## ◆ StyleGetItalic()

bool wxStyledTextCtrl::StyleGetItalic | ( | int | style | ) | const

Get is a style italic or not.

## ◆ StyleGetSize()

int wxStyledTextCtrl::StyleGetSize | ( | int | style | ) | const

Get the size of characters of a style.

## ◆ StyleGetSizeFractional()

int wxStyledTextCtrl::StyleGetSizeFractional | ( | int | style | ) | const

Get the size of characters of a style in points multiplied by 100.

## ◆ StyleGetUnderline()

bool wxStyledTextCtrl::StyleGetUnderline | ( | int | style | ) | const

Get is a style underlined or not.

## ◆ StyleGetVisible()

bool wxStyledTextCtrl::StyleGetVisible | ( | int | style | ) | const

Get is a style visible or not.

## ◆ StyleGetWeight()

int wxStyledTextCtrl::StyleGetWeight | ( | int | style | ) | const

Get the weight of characters of a style.

The return value will be an integer that is possibly one of the wxSTC_WEIGHT_* constants.

## ◆ StyleResetDefault()

void wxStyledTextCtrl::StyleResetDefault | ( |  | ) |

Reset the default style to its state at startup.

## ◆ StyleSetBackground()

void wxStyledTextCtrl::StyleSetBackground | ( | int | style,
|  | const wxColour & | back )

Set the background colour of a style.

## ◆ StyleSetBold()

void wxStyledTextCtrl::StyleSetBold | ( | int | style,
|  | bool | bold )

Set a style to be bold or not.

## ◆ StyleSetCase()

void wxStyledTextCtrl::StyleSetCase | ( | int | style,
|  | int | caseVisible )

Set a style to be mixed case, or to force upper or lower case.

The second argument should be one of the wxSTC_CASE_* constants.

## ◆ StyleSetChangeable()

void wxStyledTextCtrl::StyleSetChangeable | ( | int | style,
|  | bool | changeable )

Set a style to be changeable or not (read only).

Experimental feature, currently buggy.

## ◆ StyleSetCharacterSet()

void wxStyledTextCtrl::StyleSetCharacterSet | ( | int | style,
|  | int | characterSet )

Set the character set of the font in a style.

Converts the Scintilla character set values to a wxFontEncoding.

## ◆ StyleSetEOLFilled()

void wxStyledTextCtrl::StyleSetEOLFilled | ( | int | style,
|  | bool | eolFilled )

Set a style to have its end of line filled or not.

## ◆ StyleSetFaceName()

void wxStyledTextCtrl::StyleSetFaceName | ( | int | style,
|  | const wxString & | fontName )

Set the font of a style.

## ◆ StyleSetFont()

void wxStyledTextCtrl::StyleSetFont | ( | int | styleNum,
|  | wxFont & | font )

Set style size, face, bold, italic, and underline attributes from a wxFont's attributes.

## ◆ StyleSetFontAttr()

void wxStyledTextCtrl::StyleSetFontAttr | ( | int | styleNum,
|  | int | size,
|  | const wxString & | faceName,
|  | bool | bold,
|  | bool | italic,
|  | bool | underline,
|  | wxFontEncoding | encoding = wxFONTENCODING_DEFAULT )

Set all font style attributes at once.

## ◆ StyleSetFontEncoding()

void wxStyledTextCtrl::StyleSetFontEncoding | ( | int | style,
|  | wxFontEncoding | encoding )

Set the font encoding to be used by a style.

## ◆ StyleSetForeground()

void wxStyledTextCtrl::StyleSetForeground | ( | int | style,
|  | const wxColour & | fore )

Set the foreground colour of a style.

## ◆ StyleSetHotSpot()

void wxStyledTextCtrl::StyleSetHotSpot | ( | int | style,
|  | bool | hotspot )

Set a style to be a hotspot or not.

## ◆ StyleSetItalic()

void wxStyledTextCtrl::StyleSetItalic | ( | int | style,
|  | bool | italic )

Set a style to be italic or not.

## ◆ StyleSetSize()

void wxStyledTextCtrl::StyleSetSize | ( | int | style,
|  | int | sizePoints )

Set the size of characters of a style.

## ◆ StyleSetSizeFractional()

void wxStyledTextCtrl::StyleSetSizeFractional | ( | int | style,
|  | int | sizeHundredthPoints )

Set the size of characters of a style.

Size is in points multiplied by 100.

## ◆ StyleSetSpec()

void wxStyledTextCtrl::StyleSetSpec | ( | int | styleNum,
|  | const wxString & | spec )

Extract style settings from a spec-string which is composed of one or more of the following comma separated elements:

bold turns on bold italic turns on italics fore:[name or #RRGGBB] sets the foreground colour back:[name or #RRGGBB] sets the background colour face:[facename] sets the font face name to use size:[num] sets the font size in points eol turns on eol filling underline turns on underlining

## ◆ StyleSetUnderline()

void wxStyledTextCtrl::StyleSetUnderline | ( | int | style,
|  | bool | underline )

Set a style to be underlined or not.

## ◆ StyleSetVisible()

void wxStyledTextCtrl::StyleSetVisible | ( | int | style,
|  | bool | visible )

Set a style to be visible or not.

## ◆ StyleSetWeight()

void wxStyledTextCtrl::StyleSetWeight | ( | int | style,
|  | int | weight )

Set the weight of characters of a style.

The second argument can be an integer or one of the wxSTC_WEIGHT_* constants.

## ◆ SwapMainAnchorCaret()

void wxStyledTextCtrl::SwapMainAnchorCaret | ( |  | ) |

Swap that caret and anchor of the main selection.

## ◆ Tab()

void wxStyledTextCtrl::Tab | ( |  | ) |

If selection is empty or all on one line replace the selection with a tab character.

If more than one line selected, indent the lines.

## ◆ TargetFromSelection()

void wxStyledTextCtrl::TargetFromSelection | ( |  | ) |

Make the target range start and end be the same as the selection range start and end.

## ◆ TargetWholeDocument()

void wxStyledTextCtrl::TargetWholeDocument | ( |  | ) |

Sets the target to the whole document.

Since
  3.1.1

## ◆ TextHeight()

int wxStyledTextCtrl::TextHeight | ( | int | line | ) |

Retrieve the height of a particular line of text in pixels.

## ◆ TextWidth()

int wxStyledTextCtrl::TextWidth | ( | int | style,
|  | const wxString & | text )

Measure the pixel width of some text in a particular style.

Does not handle tab or control characters.

## ◆ ToggleCaretSticky()

void wxStyledTextCtrl::ToggleCaretSticky | ( |  | ) |

Switch between sticky and non-sticky: meant to be bound to a key.

## ◆ ToggleFold()

void wxStyledTextCtrl::ToggleFold | ( | int | line | ) |

Switch a header line between expanded and contracted.

## ◆ ToggleFoldShowText()

void wxStyledTextCtrl::ToggleFoldShowText | ( | int | line,
|  | const wxString & | text )

Switch a header line between expanded and contracted and show some text after the line.

Since
  3.1.1

## ◆ Undo()

void wxStyledTextCtrl::Undo | ( |  | ) |
| virtual

Undo one action in the undo history.

Reimplemented from wxTextEntry.

## ◆ UpperCase()

void wxStyledTextCtrl::UpperCase | ( |  | ) |

Transform the selection to upper case.

## ◆ UsePopUp()

void wxStyledTextCtrl::UsePopUp | ( | int | popUpMode | ) |

Set whether a pop up menu is displayed automatically when the user presses the wrong mouse button on certain areas.

The input should be one of the wxSTC_POPUP_* constants.

Remarks
  When wxContextMenuEvent is used to create a custom popup menu, this function should be called with wxSTC_POPUP_NEVER. Otherwise the default menu will be shown instead of the custom one.

## ◆ UserListShow()

void wxStyledTextCtrl::UserListShow | ( | int | listType,
|  | const wxString & | itemList )

Display a list of strings and send notification when user chooses one.

## ◆ VCHome()

void wxStyledTextCtrl::VCHome | ( |  | ) |

Move caret to before first visible character on line.

If already there move to first character on line.

## ◆ VCHomeDisplay()

void wxStyledTextCtrl::VCHomeDisplay | ( |  | ) |

Move caret to before first visible character on display line.

If already there move to first character on display line.

Since
  3.1.0

## ◆ VCHomeDisplayExtend()

void wxStyledTextCtrl::VCHomeDisplayExtend | ( |  | ) |

Like VCHomeDisplay but extending selection to new caret position.

Since
  3.1.0

## ◆ VCHomeExtend()

void wxStyledTextCtrl::VCHomeExtend | ( |  | ) |

Like VCHome but extending selection to new caret position.

## ◆ VCHomeRectExtend()

void wxStyledTextCtrl::VCHomeRectExtend | ( |  | ) |

Move caret to before first visible character on line.

If already there move to first character on line. In either case, extend rectangular selection to new caret position.

## ◆ VCHomeWrap()

void wxStyledTextCtrl::VCHomeWrap | ( |  | ) |

Like VCHome but when word-wrap is enabled goes first to start of display line VCHomeDisplay, then behaves like VCHome.

## ◆ VCHomeWrapExtend()

void wxStyledTextCtrl::VCHomeWrapExtend | ( |  | ) |

Like VCHomeExtend but when word-wrap is enabled extends first to start of display line VCHomeDisplayExtend, then behaves like VCHomeExtend.

## ◆ VerticalCentreCaret()

void wxStyledTextCtrl::VerticalCentreCaret | ( |  | ) |

Centre current line in window.

## ◆ VisibleFromDocLine()

int wxStyledTextCtrl::VisibleFromDocLine | ( | int | docLine | ) |

Find the display line of a document line taking hidden lines into account.

## ◆ WordEndPosition()

int wxStyledTextCtrl::WordEndPosition | ( | int | pos,
|  | bool | onlyWordCharacters )

Get position of end of word.

## ◆ WordLeft()

void wxStyledTextCtrl::WordLeft | ( |  | ) |

Move caret left one word.

## ◆ WordLeftEnd()

void wxStyledTextCtrl::WordLeftEnd | ( |  | ) |

Move caret left one word, position cursor at end of word.

## ◆ WordLeftEndExtend()

void wxStyledTextCtrl::WordLeftEndExtend | ( |  | ) |

Move caret left one word, position cursor at end of word, extending selection to new caret position.

## ◆ WordLeftExtend()

void wxStyledTextCtrl::WordLeftExtend | ( |  | ) |

Move caret left one word extending selection to new caret position.

## ◆ WordPartLeft()

void wxStyledTextCtrl::WordPartLeft | ( |  | ) |

Move to the previous change in capitalisation.

## ◆ WordPartLeftExtend()

void wxStyledTextCtrl::WordPartLeftExtend | ( |  | ) |

Move to the previous change in capitalisation extending selection to new caret position.

## ◆ WordPartRight()

void wxStyledTextCtrl::WordPartRight | ( |  | ) |

Move to the change next in capitalisation.

## ◆ WordPartRightExtend()

void wxStyledTextCtrl::WordPartRightExtend | ( |  | ) |

Move to the next change in capitalisation extending selection to new caret position.

## ◆ WordRight()

void wxStyledTextCtrl::WordRight | ( |  | ) |

Move caret right one word.

## ◆ WordRightEnd()

void wxStyledTextCtrl::WordRightEnd | ( |  | ) |

Move caret right one word, position cursor at end of word.

## ◆ WordRightEndExtend()

void wxStyledTextCtrl::WordRightEndExtend | ( |  | ) |

Move caret right one word, position cursor at end of word, extending selection to new caret position.

## ◆ WordRightExtend()

void wxStyledTextCtrl::WordRightExtend | ( |  | ) |

Move caret right one word extending selection to new caret position.

## ◆ WordStartPosition()

int wxStyledTextCtrl::WordStartPosition | ( | int | pos,
|  | bool | onlyWordCharacters )

Get position of start of word.

## ◆ WrapCount()

int wxStyledTextCtrl::WrapCount | ( | int | docLine | ) |

The number of display lines needed to wrap a document line.

## ◆ WriteText()

virtual void wxStyledTextCtrl::WriteText | ( | const wxString & | text | ) |
| virtual

Writes the text into the text control at the current insertion position.

Parameters

  text | Text to write to the text control.

Remarks
  Newlines in the text string are the only control characters allowed, and they will cause appropriate line breaks. See operator<<() and AppendText() for more convenient ways of writing to the window. After the write operation, the insertion point will be at the end of the inserted text, so subsequent write operations will be appended. To append text after the user may have interacted with the control, call wxTextCtrl::SetInsertionPointEnd() before writing.

Reimplemented from wxTextEntry.

## ◆ XYToPosition()

virtual long wxStyledTextCtrl::XYToPosition | ( | long | x,
|  | long | y ) const
| virtual

Converts the given zero based column and line number to a position.

Parameters

  x | The column number.
  y | The line number.

Returns
  The position value, or -1 if x or y was invalid.

## ◆ ZoomIn()

void wxStyledTextCtrl::ZoomIn | ( |  | ) |

Magnify the displayed text by increasing the sizes by 1 point.

## ◆ ZoomOut()

void wxStyledTextCtrl::ZoomOut | ( |  | ) |

Make the displayed text smaller by decreasing the sizes by 1 point.